// JavaScript Document
/*
	Phantom 
	applicationModal.php
	This script contains functions for group creation and autolock
	Copyright � 2011, SplashData
	Written under contract by Robosoft Technologies Pvt. Ltd.
*/
filePath = "/splashid/bbmobileclient/";
var countdown ="";
var time ="";
var GlobalVarRecordId;

/*
Function 	:openDHTMLWindow(ptitle, purl, pwidth, pheight, name)
Brief 		:openDHTMLWindow opens a modal window
Detail 		:This member function is used to open a modal window
Input param :ptitle-title of the window,
			 purl-url to the page to be opened,
			 pwidth - width of the window,
			 pheight -height of the window, 
			 name - name of the window
Input/ output param : none
Return 		:Returns void
*/
function openDHTMLWindow(ptitle, purl, pwidth, pheight, name)
{
	 	purl = document.location.protocol+'//'+document.location.host+ purl;
		dia = Dialog.info(
						  {
							url: purl,
							cancel:function(win) 
									{debug("cancel confirm panel");},
									options: {method: 'post'} 
							}, 
							{ className: "alphacube", title: "<b>"+ptitle+"</b>", width: pwidth, height: pheight, winName: name}
						);

} 

/*
Function 	:openLockWindow(ptitle, purl, pwidth, pheight, name)
Brief 		:openLockWindow opens a modal window
Detail 		:This member function is used to open a lock modal window
Input param :ptitle-title of the window,
			 purl-url to the page to be opened,
			 pwidth - width of the window,
			 pheight -height of the window, 
			 name - name of the window
Input/ output param : none
Return 		:Returns void
*/
function openLockWindow(ptitle, purl, pwidth, pheight, name)
{
	 	purl = document.location.protocol+'//'+document.location.host+ purl;
		dia = Dialog.info(
						  {
							url: purl,
							cancel:function(win) 
									{debug("cancel confirm panel");},
									options: {method: 'post'} 
							}, 
							{ className: "alphacube1", title: "<b>"+ptitle+"</b>", width: pwidth, height: pheight, winName: name}
						);

}

/*
Function 	:opencat_window()
Brief 		:opencat_window opens a modal window with the help o openDHTMLWindow function 
Detail 		:This member function is used to open a category modal window
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function opencat_window()
{
	
	//openDHTMLWindow("Edit Group", filePath+'editCategory.php', 435,360, "editGroup");	
	//var getCat=getCategory();
	window.location =filePath+'editCategory.php';
}

/*
Function 	:getCategory()
Brief 		:getCategory()  fetches all the categories 
Detail 		:This member function is used to get all the categories and display it in edit category window
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function getCategory()
{
	
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
							//alert(xmlhttp.responseText);
							var category =eval("("+xmlhttp.responseText+")");
												
							categorycount=category.categorycount;								
							
							var categoryarray= new Array();
							var categoryidarray= new Array();							 
							
							var userCategory=category.username;
							userCategory="Personal-"+userCategory;
							categoryarray[0]=userCategory;
							if(categoryarray[0].length>13)
							{
								categoryarray[0]=categoryarray[0].substring(0,13);
								categoryarray[0]+="...";
							}							
								
							 for(i=0;i<categorycount;i++)
							 {
								 categoryarray[i+1]=category.categories[i].NAME;									
								 if(categoryarray[i+1].length>13)
								 {
									categoryarray[i+1]=categoryarray[i+1].substring(0,13);
									categoryarray[i+1]+="...";										
								 }									 
								 categoryidarray[i+1]=category.categories[i].GROUPID;
							 }								
								
								var oTable = document.createElement('table');
								oTable.border=0;
								oTable.cellSpacing='0';
							
								oTable.width='100%';
								oTable.setAttribute('id','tableId');
								
								var oTBody = document.createElement('tbody');	
								
								var oTR1=document.createElement('tr');
								
									var oTD11=document.createElement('td');
									oTD11.setAttribute('height','7px');
									
								oTR1.appendChild(oTD11);
								oTBody.appendChild(oTR1);
								
								
								for(i=0;i<=categorycount;i++)
								{
								
									var oTR2=document.createElement('tr');
									oTR2.setAttribute('id','tr'+i);
									
									if(i%2!=0)
									{
										oTR2.setAttribute('class','grpodd_color');
									}
									else
									{
										oTR2.setAttribute('class','grpeven_color');
									}
									if(i==0){
										var catid='catid'+category.userId;
									}
									else{
										var catid='catid'+categoryidarray[i];
									}
									/*alert(categoryarray[i]);*/
										
										var tabid='td'+i;
										
										var oTD=document.createElement('td');
										oTD.setAttribute('width','5px');
										
										var oTD1=document.createElement('td');
										oTD1.setAttribute('class','edit_category');
										oTD1.setAttribute('width','20%');
										oTD1.setAttribute('id','td'+i);
										oTD1.setAttribute("onclick","edit_cat('"+tabid+"','"+catid+"')");
										
										var oTD2=document.createElement('td');
										oTD2.setAttribute('class','category_font');
										oTD2.setAttribute('align','left');
										oTD2.setAttribute('style','padding:0px 0px 0px 4px');
										oTD2.appendChild(document.createTextNode(categoryarray[i]));
										oTD2.setAttribute('width','44%');
										
										var oTD3=document.createElement('td');
										oTD3.setAttribute('class','dup_category');
										oTD3.setAttribute('width','10%');
										oTD3.setAttribute('style','padding:0px 0px 0px 0px');
										oTD3.setAttribute("onclick","dup_categoryUI('"+tabid+"','"+catid+"')");
										
										var oTD4=document.createElement('td');
										oTD4.setAttribute('class','del_category');
										oTD4.setAttribute('style','padding:0px 0px 0px 0px');
										oTD4.setAttribute('width','16%');
										oTD4.setAttribute('id', catid);
										oTD4.setAttribute("onclick","deletecat_confirmation('"+catid+"','"+tabid+"')");
								
								
									
									oTR2.appendChild(oTD);
									oTR2.appendChild(oTD1);
									oTR2.appendChild(oTD2);
									oTR2.appendChild(oTD3);
									oTR2.appendChild(oTD4);
									oTBody.appendChild(oTR2);
									
								}
								
								oTable.appendChild(oTBody);
									
							document.getElementById('tab_border').appendChild(oTable);
						
							
				}
	
			}
				
		xmlhttp.open("POST","../webservices/editcategory.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();		
	

return true;
		
}

/*
Function 	:dup_categoryUI(id,catgid)
Brief 		:dup_categoryUI  displays the duplicate category UI
Detail 		:This member function is used to displays the duplicate category UI on click of Duplicate button
Input param :id - rowid, ctid -category id
Input/ output param : none
Return 		:Returns void
*/
function dup_categoryUI(id,catgid)
{
	var catgid=catgid;
	catgid=catgid.split("catid");
	catgid=catgid[1];
	obj=document.getElementById('editvalue');

	document.getElementById('usrcontent').innerHTML='';
	document.getElementById('mergecatcontent').innerHTML='';
	document.getElementById('footerbuttons').innerHTML='';

						 
	var xmlhttp1;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp1=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp1=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp1.onreadystatechange=function(){
  		if (xmlhttp1.readyState==4 && xmlhttp1.status==200){
							var grppermissions =eval("("+xmlhttp1.responseText+")");
    						//alert(xmlhttp1.responseText);
													
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							var col_id=id.split("d");
							x=col_id[1];
							if(x==0){
								///Element.hide(indicatorId);
								alert("You cannot duplicate your personal group.");
								
							}
							else{
					
							if(grpedit==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to duplicate group.");
							
							}
							else{
									var xmlhttp;
									if (window.XMLHttpRequest){  	
										xmlhttp=new XMLHttpRequest();
									}else{							// code for IE6, IE5
										xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
									}
									xmlhttp.onreadystatechange=function(){
									if (xmlhttp.readyState==4 && xmlhttp.status==200){
									//alert(xmlhttp.responseText);
									var category =eval("("+xmlhttp.responseText+")");
							
																	
									var categorycount=category.categorycount;
									var usrcount=category.usercount;
									
									var categoryarray= new Array();
									var categoryidarray= new Array();
									var useridarray= new Array();
								
									for(i=0;i<categorycount;i++){
										categoryarray[i+1]=category.categories[i].NAME;
										categoryidarray[i+1]=category.categories[i].GROUPID;
										
									}
									
									for(i=0;i<usrcount;i++){
										useridarray[i]=category.userlist[i].USERID;
										
									}
									
									obj.id=categoryidarray[x];
										
									document.getElementById('edit_category').style.display="none";									
									document.getElementById('catpermission').style.display="block";									
									dupcatname=categoryarray[x]+' copy';									
									document.getElementById(obj.id).value=dupcatname;
									
									var oTable = document.createElement('table');
									oTable.setAttribute('cellpadding','0');
									
									oTable.setAttribute('cellspacing','0');
									oTable.setAttribute('style','padding:10px 0px 0px 10px');
									oTable.setAttribute('width','100%');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									
									for(y=0;y<usrcount;y++){
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.setAttribute('class',class1);
									
										
										var oTD1 = document.createElement('td');
										
										if(category.userlist[y].NAME.length>12){
											userlist=category.userlist[y].NAME.substring(0,12);
											userlist+="...";
										}
										else{
											userlist=category.userlist[y].NAME;
										}
										//alert(category.userlist[y].NAME);
										oTD1.appendChild(document.createTextNode(userlist));
										oTD1.setAttribute('width','33%');
										oTD1.setAttribute('id','user'+y);
										oTD1.setAttribute('title',category.userlist[y].NAME);
										oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										
										var desc='';
										var oTD2 = document.createElement('td');
										
										if(category.userlist[y].DESCRIPTION.length>13){
											desc=category.userlist[y].DESCRIPTION.substring(0,13);
											desc+="...";
										}
										else{
											desc=category.userlist[y].DESCRIPTION;
										}
										
										oTD2.appendChild(document.createTextNode(desc));
										oTD2.setAttribute('style','padding:0px 0px 0px 5px');
										oTD2.setAttribute('width','33%');
										
										var oTD3 = document.createElement('td');
										
										var chkbox=document.createElement('input');
										chkbox.setAttribute('type','checkbox');
										chkbox.setAttribute('id','id'+y);
										//chkbox.align='center';
										chkbox.setAttribute('style','margin:0px 0px 0px 30px');
										oTD3.appendChild(chkbox);
										
									oTR.appendChild(oTD1);
									oTR.appendChild(oTD2);
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('usrcontent').appendChild(oTable);	
									
									var categorycount=category.categorycount;
									
									var oTable = document.createElement('table');
									oTable.setAttribute('cellpadding','0');
									
									oTable.setAttribute('cellspacing','0');
									oTable.setAttribute('style','padding:10px 0px 0px 6px');
									oTable.setAttribute('width','95%');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									var z=0;	
									for(y=0;y<categorycount;y++){
										
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.setAttribute('class',class1);
										
										var catgname="";
										catgname=category.categories[y].NAME;
										
										
										if(catgname.length>16){
											catgname=catgname.substring(0,16);
											catgname+="...";
										}
																			
											var oTD1 = document.createElement('td');
											oTD1.appendChild(document.createTextNode(catgname));
											oTD1.setAttribute('width','60%');
											oTD1.setAttribute('id','grpid'+z);
											oTD1.setAttribute('title',category.categories[y].NAME);
											
											oTD1.setAttribute('style','padding:0px 0px 0px 15px');
										
											var oTD3 = document.createElement('td');
											var chkbox=document.createElement('input');
											chkbox.setAttribute('type','checkbox');
											chkbox.setAttribute('id','group'+z);
											oTD3.setAttribute('align','center');
											oTD3.appendChild(chkbox);
											z++;
										
									oTR.appendChild(oTD1);
								
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
										
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('mergecatcontent').appendChild(oTable);
									
									var permissionid=--x;
									
									var catPermission=category.categories[permissionid].PERMISSION;
									//alert(catPermission);
									document.getElementById('catoverrides').checked=false;
									document.getElementById('useroverrides').checked=false;
									
										
									if(catPermission==1){
										document.getElementById('catoverrides').checked='checked';
									}
									else{
										document.getElementById('useroverrides').checked='checked';
									}
									
								
									var recordPermission=category.categories[permissionid].RECORDPERMISSION;
										rpermission=parseInt(recordPermission);
										var i=0;
										var bin=rpermission.toString(2);
										var str='';
										var len=bin.length;
										var append=3-len;
										for(i=0;i<append;i++){
											str+=0;
										}
										str+=bin;
										recdelete=str.charAt(0);
										recedit=str.charAt(1);
										recadd=str.charAt(2);
										
										document.getElementById('addrec').checked=false;
										document.getElementById('editrec').checked=false;
										document.getElementById('delrec').checked=false;
										if(recadd==1){
											document.getElementById('addrec').checked='checked';
										}
										if(recedit==1){
											document.getElementById('editrec').checked='checked';
										}
										if(recdelete==1){
											document.getElementById('delrec').checked='checked';
										}
										if(document.all){
											var sFloat="styleFloat";
										}else{
											var sFloat="cssFloat";
											}
										var oTable1 = document.createElement('table');
										oTable1.cellPadding='0';
										oTable1.width="100%";
										oTable1.cellspacing='0';
										oTable1.border='0';
										oTable1.className='titletext';
										
										var oTBody = document.createElement('tbody');
										
										var oTR = document.createElement('tr');
										var oTD1 = document.createElement('td');
										
									var divM=document.createElement('div');
									divM.style.width='100%';
									//divM.style.backgroundColor='#9AAABE';
									divM.style[sFloat]="left";
									
									var div1=document.createElement('div');
									div1.style.width='20%';
									div1.style[sFloat]="left";
									//var oA1=document.createElement('a');
									//oA1.setAttribute('href','#');
									div1.setAttribute('onclick',"cancelcat('"+obj.id+"')");													
									div1.setAttribute('class','Cancelbutton');
									//div1.appendChild(oA1);
									divM.appendChild(div1);
									 
									var div2=document.createElement('div');
									div2.style.width='60%';
									div2.style[sFloat]="left";
									div2.className='editheader';
									div2.appendChild(document.createTextNode('Define Group'));
									divM.appendChild(div2);
									
									var div3=document.createElement('div');
									div3.style.width='20%';
									div3.style[sFloat]="left";													
									//var oA2=document.createElement('a');
									div3.setAttribute("onclick","dupCat('"+obj.id+"','"+usrcount+"','"+categorycount+"')");
									//oA2.setAttribute('href','#');
									div3.setAttribute('class','OKbutton');
									//div3.appendChild(oA2);
									divM.appendChild(div3); 
									 
									oTD1.appendChild(divM);																					
									oTR.appendChild(oTD1);
									oTBody.appendChild(oTR);
																		
										oTable1.appendChild(oTBody);
										document.getElementById('footerbuttons').appendChild(oTable1);
					
					///Element.hide(indicatorId);
				
					}
				
				}
						
				xmlhttp.open("POST","../webservices/editcategory.php",true);
				xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
				xmlhttp.send();
				}
								
			}
		}
	}
	var params1 ='catid='+catgid;			
	xmlhttp1.open("POST","../webservices/getDescription.php",true);
	xmlhttp1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp1.send(params1);
}

/*
Function 	:dupCat(id,usrcount,grpcount)
Brief 		:dupCat duplicates the category 
Detail 		:This member function is used to duplicate the category after checking 
			  for duplicate category names and user permissions
Input param :id - rowid,usrcount-no.of users checked, grpcount -no.of groups checked
Input/ output param : none
Return 		:Returns void
*/
function dupCat(id,usrcount,grpcount)
{
	
		
	uiddata = '';
	var j =0;
	for(i=0;i<usrcount;i++){
		var chkid='id'+i;
		var userid='user'+i;
		
		chkarray = document.getElementById(chkid).checked;
		
		if(chkarray){
			uid =document.getElementById(userid).title;
			//alert(uid);
			uiddata += "uid"+j+"="+uid+"&";
			j++;
		}
	}
	
	var p=0;
	for(i=0;i<grpcount;i++){
		var grpid='group'+i;
		
		var grpname='grpid'+i;
		grparray = document.getElementById(grpid).checked;
		
		if(grparray){
			grpname =document.getElementById(grpname).title;
			//alert(grpname);
			uiddata += "grpname"+p+"="+grpname+"&";
			p++;
		}
		
	}
	
	var catprevails=document.getElementById('catoverrides').checked;
	if(catprevails){
		var add=document.getElementById('addrec').checked;
		var del=document.getElementById('delrec').checked;
		var edit=document.getElementById('editrec').checked;
		uiddata += "add"+"="+add+"&"+"del"+"="+del+"&"+"edit"+"="+edit+"&"+"prevails"+"="+catprevails+"&";
	
	}
	

	///Element.show(indicatorId);
	var catname=document.getElementById(id).value;
	cat_id=id;
	
	var regExp=/^(?=Personal-)/;
	if(catname=='')
	{
		///Element.hide(indicatorId);
		alert('You must specify a name for this Group.');
	}
	
	else if(regExp.test(catname)){
		///Element.hide(indicatorId);
		alert("Group name cannot start with 'Personal-'.\nThis keyword is reserved for personal Group.");
	}
	
	else
	{
		catname=encodeURIComponent(catname);
		uiddata += "catname="+catname+"&catid="+id+"&usercount="+usrcount+"&grpcount="+grpcount;
		//alert(uiddata);
				 
		var xmlhttp;
		if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}else{							// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange=function(){
			if (xmlhttp.readyState==4 && xmlhttp.status==200){
				//alert(xmlhttp.responseText);
					var categorydetail =eval("("+xmlhttp.responseText+")");	
					
					var categorycount=categorydetail.grpNameexists;
					
										
					if(categorycount=='yes')
					{
						alert('Group name cannot be duplicated. Please enter different Group name.');	
					}
					
					else
					{
						
						
						var obj=document.getElementById(id);
						//alert(obj);
					 	obj.id='editvalue';
					 	document.getElementById('catpermission').style.display='none'; 
						document.getElementById('edit_category').style.display="block";
						document.getElementById('tab_border').innerHTML='';
					 	getCategory();	
					}
					///Element.hide(indicatorId);
				}
			}
					
		xmlhttp.open("POST","../webservices/createCategory.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(uiddata);	
	}
}



/*
Function 	:deletecat_confirmation(catid,id)
Brief 		:deletecat_confirmation gives confirmation dialog
Detail 		:This member function is used to delete the category on click 
			 of Delete button after checking user permissions
Input param :id - rowid,catid- category id
Input/ output param : none
Return 		:Returns void
*/
function deletecat_confirmation(catid,id)
{
	
	var xmlhttp1;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp1=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp1=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp1.onreadystatechange=function(){
  		if (xmlhttp1.readyState==4 && xmlhttp1.status==200){
							//alert(xmlhttp1.responseText);
							var grppermissions =eval("("+xmlhttp1.responseText+")");	
							
							
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							
							var newid=id.split("td");
							new_id=newid[1];
							
							
							if(new_id==0){
								///Element.hide(indicatorId);
								alert("You cannot delete your personal group.");
								
							}
							else{
									
							
							if(grpdelete==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to delete group.");	
							}
							else{
								var result=confirm('All Types and Records inside this group will be deleted.\nAre you sure you want to do this?');	
								if(result==true){
									
									var cat_id=catid.split("catid");
									id=cat_id[1];
								
								  	var xmlhttp;
									if (window.XMLHttpRequest){  	
												xmlhttp=new XMLHttpRequest();
									}else{							// code for IE6, IE5
												xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
									}
									xmlhttp.onreadystatechange=function(){
										if (xmlhttp.readyState==4 && xmlhttp.status==200){
											//alert(xmlhttp.responseText);
										    										  
										 	document.getElementById('tab_border').innerHTML='';
										 	getCategory();
										
										 
										}
								}
								var params = 'catid='+id;			
								xmlhttp.open("POST","../webservices/deleteCategory.php",true);
								xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
								xmlhttp.send(params);
	
							}
							/// Element.hide(indicatorId);
						}
					}
						
				}
		}
				
		xmlhttp1.open("POST","../webservices/checkPermissions.php",true);
		xmlhttp1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp1.send();
	
}

/*
Function 	:editSuccess(id,usrcount,grpcount)
Brief 		:editSuccess edits the category
Detail 		:This member function is used to edit the category after checking user permissions
Input param :id - rowid,usrcount-no.of users checked, grpcount -no.of groups checked
Input/output param : none
Return 		:Returns void
*/
function editSuccess(id,usrcount,grpcount)
{
	
	uiddata = '';
	unchkd='';
	var j =0;
	for(i=0;i<usrcount;i++){
		var chkid='id'+i;
		var userid='user'+i;
		
		chkarray = document.getElementById(chkid).checked;
		uid =document.getElementById(userid).title;
		//alert(uid);
		if(chkarray){
			
			uiddata += "uid"+j+"="+uid+"&";
			
		}
		else{
			uiddata+="unchkusr"+j+"="+uid+"&";
			
		}
		j++;
	}
	
	var p=0;
	for(i=0;i<grpcount;i++){
		var grpid='group'+i;
		
		var grpname='grpid'+i;
		grparray = document.getElementById(grpid).checked;
		grpname =document.getElementById(grpname).title;
		//alert(grpname);
		if(grparray){
			
			uiddata += "grpname"+p+"="+grpname+"&";
			
		}
		else{
			
			uiddata+="unchkgrp"+p+"="+grpname+"&";
			
		}
		p++;
	}
	
	var catprevails=document.getElementById('catoverrides').checked;
	if(catprevails){
		var add=document.getElementById('addrec').checked;
		var del=document.getElementById('delrec').checked;
		var edit=document.getElementById('editrec').checked;
		uiddata += "add"+"="+add+"&"+"del"+"="+del+"&"+"edit"+"="+edit+"&"+"prevails"+"="+catprevails+"&";
	
	}
	var regExp=/^(?=Personal-)/;
	
	///Element.show(indicatorId);
	
	var catname=document.getElementById(id).value;
	

	if(catname=='')
	{
		///Element.hide(indicatorId);
		alert('You must specify a name for this Category.');
	}
	else if(regExp.test(catname)){
		///Element.hide(indicatorId);
		alert("Group name cannot start with 'Personal-'.\nThis keyword is reserved for personal group.");
	}
	
	else
	{
		catname=encodeURIComponent(catname);
		uiddata +='catid='+id+'&catname='+catname+'&usercount='+usrcount+'&grpcount='+grpcount;
		
				 
		var xmlhttp;
		if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}else{							// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange=function(){
			if (xmlhttp.readyState==4 && xmlhttp.status==200){
				//alert(xmlhttp.responseText);
				var categorydetail =eval("("+xmlhttp.responseText+")");
						
								
				 var categorycount=categorydetail.grpNameexists;
										
				 if(categorycount=='yes')
				 {
					 alert('Group name cannot be duplicated. Please enter different Group name.');	
				 }
  				 else
				 {
					 
					 obj= document.getElementById(id);
					 obj.id='editvalue';
					 document.getElementById('catpermission').style.display='none'; 
					 document.getElementById('edit_category').style.display="block";
					 document.getElementById('tab_border').innerHTML='';
					 getCategory();	
				 }
				 
				 
				///Element.hide(indicatorId);
					 
				}
			}
					
		xmlhttp.open("POST","../webservices/editCategoryname.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(uiddata);
	}
}

/*
Function 	:createNewCat(usrcount,grpcount)
Brief 		:createNewCat creates new category
Detail 		:This member function is used to create the category after checking user permissions
Input param :usrcount-no.of users checked, grpcount -no.of groups checked
Input/output param : none
Return 		:Returns void
*/
function createNewCat(usrcount,grpcount)
{
	
	uiddata = '';
	var j =0;
	for(i=0;i<usrcount;i++){
		var chkid='id'+i;
		var userid='user'+i;
		
		chkarray = document.getElementById(chkid).checked;
		
		if(chkarray){
			uid =document.getElementById(userid).title;
			uiddata += "uid"+j+"="+uid+"&";
			j++;
		}
	}
	
	var p=0;
	
	for(i=0;i<grpcount;i++){
		var grpid='group'+i;
		
		var grpname='grpid'+i;
		grparray = document.getElementById(grpid).checked;
		//alert(grparray);
		if(grparray){
			grpname =document.getElementById(grpname).title;
			uiddata += "grpname"+p+"="+grpname+"&";
			
			p++;
		}
	}
	
	

	///Element.show(indicatorId);
	
	var regExp=/^(?=Personal-)/;
	
	var catname=document.getElementById('editvalue').value;
	
	catname=encodeURIComponent(catname);
	uiddata +="catname="+catname+"&usercount="+usrcount+"&grpcount="+grpcount;
	
	//alert(uiddata);
	
	if(catname=='')
	{
		///Element.hide(indicatorId);
		alert('You must specify a name for this Group.');	
	}
	
	else if(regExp.test(catname)){
		///Element.hide(indicatorId);
		alert("Group name cannot start with 'Personal-'.\nThis keyword is reserved for personal group.");
	}
	
	else
	{
	
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					//alert(xmlhttp.responseText);
					var categorydetail =eval("("+xmlhttp.responseText+")");	
					
					var categorycount=categorydetail.grpNameexists;
					
					if(categorycount=='yes')
					{
						alert('Group name cannot be duplicated. Please enter different Group name.');	
					}
					
					else
					{
						document.getElementById('catpermission').style.display='none'; 
						document.getElementById('edit_category').style.display="block";
						document.getElementById('tab_border').innerHTML='';
						
						getCategory();	
					}
					///Element.hide(indicatorId);
				}
			}
					
		xmlhttp.open("POST","../webservices/createCategory.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(uiddata);
	
	}
}

/*
Function 	:createNewCat(usrcount,grpcount)
Brief 		:createNewCat creates new category
Detail 		:This member function is used to create the category after checking user permissions
Input param :usrcount-no.of users checked, grpcount -no.of groups checked
Input/output param : none
Return 		:Returns void
*/
function createNewCatUI()
{
	obj=document.getElementById('editvalue');
	obj.id='editvalue';
	
	document.getElementById('usrcontent').innerHTML='';
	document.getElementById('mergecatcontent').innerHTML='';
	document.getElementById('footerbuttons').innerHTML='';
	
	///Element.show(indicatorId);
						 
	var xmlhttp1;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp1=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp1=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp1.onreadystatechange=function(){
  		if (xmlhttp1.readyState==4 && xmlhttp1.status==200){
							//alert(xmlhttp.responseText);
							var grppermissions =eval("("+xmlhttp1.responseText+")");	
														
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							if(grpadd==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to add group.");	
								
							}else{
																
									var xmlhttp;
									if (window.XMLHttpRequest){  
										xmlhttp=new XMLHttpRequest();
									}else{							// code for IE6, IE5
										xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
									}
									xmlhttp.onreadystatechange=function(){
									if (xmlhttp.readyState==4 && xmlhttp.status==200){
									//alert(xmlhttp.responseText);
									var category =eval("("+xmlhttp.responseText+")");
									
									
									document.getElementById('edit_category').style.display="none";
									
									document.getElementById('catpermission').style.display="block";
									
									
									
									var usrcount=category.usercount;
									
									var oTable = document.createElement('table');
									//oTable.bgcolor='#FF0000';
									oTable.cellPadding='0';
									//oTable.align='center';
									oTable.cellSpacing='0';
									oTable.setAttribute('style','padding:10px 0px 0px 10px');
									
									oTable.border='0';
									oTable.width='100%';
									var oTBody = document.createElement('tbody');
									
									for(y=0;y<usrcount;y++){
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.className =class1;
										
										var oTD1 = document.createElement('td');
										
										if(category.userlist[y].NAME.length>12){
											userlist=category.userlist[y].NAME.substring(0,12);
											userlist+="...";
										}
										else{
											userlist=category.userlist[y].NAME;
										}
										
										
										oTD1.appendChild(document.createTextNode(userlist));
										oTD1.setAttribute('width','33%');
										oTD1.setAttribute('id','user'+y);
										oTD1.setAttribute('title',category.userlist[y].NAME);
										oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										var desc='';
										var oTD2 = document.createElement('td');
										
										if(category.userlist[y].DESCRIPTION.length>13){
											desc=category.userlist[y].DESCRIPTION.substring(0,13);
											desc+="...";
										}
										else{
											desc=category.userlist[y].DESCRIPTION;
										}
										
										oTD2.appendChild(document.createTextNode(desc));
										oTD2.setAttribute('style','padding:0px 0px 0px 5px');
										oTD2.setAttribute('width','33%');
										
										var oTD3 = document.createElement('td');
										
										var chkbox=document.createElement('input');
										chkbox.setAttribute('type','checkbox');
										chkbox.setAttribute('id','id'+y);
										chkbox.setAttribute('style','margin:0px 0px 0px 30px');
										oTD3.appendChild(chkbox);
										
									oTR.appendChild(oTD1);
									oTR.appendChild(oTD2);
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('usrcontent').appendChild(oTable);	
									
									var categorycount=category.categorycount;
									
									var oTable = document.createElement('table');
									oTable.setAttribute('cellpadding','0');
									oTable.setAttribute('align','center');
									oTable.cellSpacing='0';
									oTable.setAttribute('style','padding:10px 0px 0px 9px');
									oTable.setAttribute('width','95%');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									
									document.getElementById('editvalue').value='';
									
									for(y=0;y<categorycount;y++){
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.className=class1;
										
										var catgname="";
										catgname=category.categories[y].NAME;
										
										
										if(catgname.length>16){
											catgname=catgname.substring(0,16);
											catgname+="...";
										}
																				
											var oTD1 = document.createElement('td');
											oTD1.appendChild(document.createTextNode(catgname));
											oTD1.setAttribute('width','60%');
											oTD1.align='left';
											oTD1.setAttribute('id','grpid'+y);
											oTD1.setAttribute('title',category.categories[y].NAME);
											oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										
											var oTD3 = document.createElement('td');
											var chkbox=document.createElement('input');
											chkbox.setAttribute('type','checkbox');
											oTD3.setAttribute('align','center');
											chkbox.setAttribute('id','group'+y);
											oTD3.appendChild(chkbox);
										
									oTR.appendChild(oTD1);
								
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('mergecatcontent').appendChild(oTable);
									
									if (document.all) { var sFloat="styleFloat"; //ie
												} else {  var sFloat="cssFloat"; }//firefox	
									var oTable1 = document.createElement('table');
									oTable1.setAttribute('cellpadding','0');
									oTable1.setAttribute('align','center');
									oTable1.cellSpacing='0';
									oTable1.width='100%';
									oTable1.border='0';
									oTable1.className='titletext';
									
									var oTBody = document.createElement('tbody');
									var oTR1=document.createElement('tr');												
									var oTD1=document.createElement('td');
									
									var divM=document.createElement('div');
									divM.style.width='100%';
									//divM.style.backgroundColor='#9AAABE';
									divM.style[sFloat]="left";
									
									var div1=document.createElement('div');
									div1.style.width='20%';
									div1.style[sFloat]="left";
									//var oA1=document.createElement('a');
									//oA1.setAttribute('href','#');
									div1.setAttribute('onclick',"cancelcat('"+obj.id+"')");													
									div1.setAttribute('class','Cancelbutton');
									//div1.appendChild(oA1);
									divM.appendChild(div1);
									 
									var div2=document.createElement('div');
									div2.style.width='60%';
									div2.style[sFloat]="left";
									div2.className='editheader';
									div2.appendChild(document.createTextNode('Define Group'));
									divM.appendChild(div2);
									
									var div3=document.createElement('div');
									div3.style.width='20%';
									div3.style[sFloat]="left";													
									//var oA2=document.createElement('a');
								div3.setAttribute("onclick","createNewCat('"+usrcount+"','"+categorycount+"')");
									//oA2.setAttribute('href','#');
									div3.setAttribute('class','OKbutton');
									//div3.appendChild(oA2);
									divM.appendChild(div3); 
									 
									oTD1.appendChild(divM);																					
									oTR1.appendChild(oTD1);
									oTBody.appendChild(oTR1);
									
									oTable1.appendChild(oTBody);
									
									document.getElementById('footerbuttons').appendChild(oTable1);
							
										document.getElementById('addrec').checked=false;
										document.getElementById('editrec').checked=false;
										document.getElementById('delrec').checked=false;
										document.getElementById('useroverrides').checked=false;
										document.getElementById('catoverrides').checked=false;
									
									document.getElementById('useroverrides').checked='checked';								
									}
								}
									
							xmlhttp.open("POST","../webservices/editcategory.php",true);
							xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
							xmlhttp.send();
							}
							}
				   }
					
		xmlhttp1.open("POST","../webservices/checkPermissions.php",true);
		xmlhttp1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp1.send();
}

/*
Function 	:cancelcreatecat(new_id)
Brief 		:cancelcreatecat canceling creation of new category
Detail 		:This member function is used to cancel creation of new category on clicking Cancel button
Input param :new_id- rowid
Input/output param : none
Return 		:Returns void
*/
function cancelcreatecat(new_id)
{
	///Element.show(indicatorId);
	document.getElementById('emptyRow').style.display="table-row";
	var index=document.getElementById(new_id).rowIndex;
	var mytable=document.getElementById("tableId")
	
	mytable.deleteRow(index);
	///Element.hide(indicatorId);
}


/*
Function 	:cancelcat(id)
Brief 		:cancelcat canceling editing of category 
Detail 		:This member function is used to cancel  editing of category on clicking Cancel button
Input param :id- rowid
Input/output param : none
Return 		:Returns void
*/
function cancelcat(id)
{
	obj=document.getElementById(id);
	
	obj.id='editvalue';
	
	document.getElementById('catpermission').style.display='none'; 
	document.getElementById('edit_category').style.display="block";
	document.getElementById('tab_border').innerHTML='';
	
	getCategory();
	
}


/*
Function 	:edit_cat(id,catgid)
Brief 		:edit_cat editing category
Detail 		:This member function is used to edit category after checking user permissions
Input param :id- rowid,catid - category id
Input/output param : none
Return 		:Returns void
*/
function edit_cat(id,catgid)
{
	var catgid=catgid;
	catgid=catgid.split("catid");
	catgid=catgid[1];
	obj=document.getElementById('editvalue');	

	document.getElementById('usrcontent').innerHTML='';
	document.getElementById('mergecatcontent').innerHTML='';
	document.getElementById('footerbuttons').innerHTML='';
	///Element.show(indicatorId);	
						 
	var xmlhttp1;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp1=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp1=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp1.onreadystatechange=function(){
  		if (xmlhttp1.readyState==4 && xmlhttp1.status==200){
							//alert(xmlhttp1.responseText);
							var grppermissions =eval("("+xmlhttp1.responseText+")");	
							
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							if(grpedit==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to edit group.");		
							}
							else{
								
							
								    	var xmlhttp;
										if (window.XMLHttpRequest){  	
											xmlhttp=new XMLHttpRequest();
										}else{							// code for IE6, IE5
											xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
										}
										xmlhttp.onreadystatechange=function(){
										if (xmlhttp.readyState==4 && xmlhttp.status==200){
										//alert(xmlhttp.responseText);
										var category =eval("("+xmlhttp.responseText+")");
										
										var categorycount=category.categorycount;
									
										var categoryarray= new Array();
										var categoryidarray= new Array();
										for(i=0;i<categorycount;i++){
											categoryarray[i+1]=category.categories[i].NAME;
											categoryidarray[i+1]=category.categories[i].GROUPID;
										
										}
		
										var col_id=id.split("d");
										x=col_id[1];
															
									if(x==0){
										///Element.hide(indicatorId);
										alert("You cannot edit your personal group.");
									}else{
									
									
										var usrcount=category.usercount;
																	
										document.getElementById('edit_category').style.display="none";
										
										document.getElementById('catpermission').style.display="block";
										
										document.getElementById('editvalue').value=categoryarray[x];
										
										
										obj.id=categoryidarray[x];
										
										
										var oTable = document.createElement('table');
										oTable.cellPadding='0';
										//oTable.setAttribute('align','center');
										oTable.cellSpacing='0';
										oTable.setAttribute('style','padding:10px 0px 0px 10px');
										oTable.setAttribute('width','100%');
										oTable.border='0';
										var oTBody = document.createElement('tbody');
										
										for(y=0;y<usrcount;y++){
											
											if(y%2 == 0){
												class1 = 'fieldodd';
											}else{
												class1 = 'fieldeven';
											}
											
										var oTR = document.createElement('tr');
									
										oTR.className=class1;
										
										var oTD1 = document.createElement('td');
										
										if(category.userlist[y].NAME.length>12){
											userlist=category.userlist[y].NAME.substring(0,12);
											userlist+="...";
										}
										else{
											userlist=category.userlist[y].NAME;
										}
										
										oTD1.appendChild(document.createTextNode(userlist));
										oTD1.setAttribute('width','33%');
										oTD1.setAttribute('id','user'+y);
										oTD1.setAttribute('title',category.userlist[y].NAME);
										oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										var desc='';
										var oTD2 = document.createElement('td');
										
										if(category.userlist[y].DESCRIPTION.length>13){
											desc=category.userlist[y].DESCRIPTION.substring(0,13);
											desc+="...";
										}
										else{
											desc=category.userlist[y].DESCRIPTION;
										}
										
										oTD2.appendChild(document.createTextNode(desc));
										oTD2.setAttribute('style','padding:0px 0px 0px 5px');
										oTD2.setAttribute('width','33%');
										var oTD3 = document.createElement('td');
										var chkbox=document.createElement('input');
										chkbox.setAttribute('type','checkbox');
										chkbox.setAttribute('id','id'+y);
										chkbox.setAttribute('style','margin:0px 0px 0px 30px');
									
										if(category.userlist[y].SET==1){
											chkbox.checked=true;
										}
										else{
											chkbox.checked=false;
										}
										oTD3.appendChild(chkbox);
										
										oTR.appendChild(oTD1);
										oTR.appendChild(oTD2);
										oTR.appendChild(oTD3);
										oTBody.appendChild(oTR);
											
										}
										oTable.appendChild(oTBody);
						
										document.getElementById('usrcontent').appendChild(oTable);	
										
										var categorycount=category.categorycount;
									
										var oTable = document.createElement('table');
										oTable.cellPadding='0';
										//oTable.setAttribute('align','center');
										oTable.cellSpacing='0';
										oTable.setAttribute('style','padding:10px 0px 0px 9px');
										oTable.setAttribute('width','95%');
										oTable.border='0';
										var oTBody = document.createElement('tbody');
										var z=0;var w=0;
										for(y=0;y<categorycount;y++){
										
											if(category.categories[y].NAME!=categoryarray[x]){
												if(w%2 == 0){
													class1 = 'fieldodd';
												}else{
													class1 = 'fieldeven';
												}
											
												var oTR = document.createElement('tr');
									
												oTR.className=class1;
										
												var catgname="";
												catgname=category.categories[y].NAME;
												
												
												if(catgname.length>16){
													catgname=catgname.substring(0,16);
													catgname+="...";
												}
																				
												var oTD1 = document.createElement('td');
												oTD1.appendChild(document.createTextNode(catgname));
												oTD1.setAttribute('width','50%');
												oTD1.setAttribute('id','grpid'+z);
												oTD1.setAttribute('title',category.categories[y].NAME);
												oTD1.setAttribute('style','padding:0px 0px 0px 8px');
											
												var oTD3 = document.createElement('td');
												var chkbox=document.createElement('input');
												chkbox.setAttribute('type','checkbox');
												chkbox.setAttribute('id','group'+z);
												
												if(category.categories[y].SET==1){
													chkbox.checked=true;
												}
												else{
													chkbox.checked=false;
												}
												oTD3.setAttribute('align','center');
												oTD3.appendChild(chkbox);
												z++;
										
												oTR.appendChild(oTD1);
								
												oTR.appendChild(oTD3);
												oTBody.appendChild(oTR);
												w++;
										}
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('mergecatcontent').appendChild(oTable);
									
									var permissionid=--x;
									
									var catPermission=category.categories[permissionid].PERMISSION;
									
									document.getElementById('catoverrides').checked=false;
									document.getElementById('useroverrides').checked=false;
									             
									if(catPermission==1){
										document.getElementById('catoverrides').checked='checked';
									}
									else{
										document.getElementById('useroverrides').checked='checked';
									}
									
										var recordPermission=category.categories[permissionid].RECORDPERMISSION;
										rpermission=parseInt(recordPermission);
										var i=0;
										var bin=rpermission.toString(2);
										var str='';
										var len=bin.length;
										var append=3-len;
										for(i=0;i<append;i++){
											str+=0;
										}
										str+=bin;
										recdelete=str.charAt(0);
										recedit=str.charAt(1);
										recadd=str.charAt(2);
										
										document.getElementById('addrec').checked=false;
										document.getElementById('editrec').checked=false;
										document.getElementById('delrec').checked=false;
										if(recadd==1){
											document.getElementById('addrec').checked='checked';
										}
										if(recedit==1){
											document.getElementById('editrec').checked='checked';
										}
										if(recdelete==1){
											document.getElementById('delrec').checked='checked';
										}
										
										if(document.all){
											var sFloat="styleFloat";
										}else{
											var sFloat="cssFloat";
											}
										var newcatcount=categorycount-1;
									if (document.all) { var sFloat="styleFloat"; //ie
												} else {  var sFloat="cssFloat"; }//firefox	
									var oTable1 = document.createElement('table');
									oTable1.setAttribute('cellpadding','0');
									oTable1.setAttribute('align','center');
									oTable1.cellSpacing='0';
									oTable1.width='100%';
									oTable1.border='0';
									oTable1.className='titletext';
									
									var oTBody = document.createElement('tbody');
									var oTR1=document.createElement('tr');												
									var oTD1=document.createElement('td');
								
									var divM=document.createElement('div');
									divM.style.width='100%';
									//divM.style.backgroundColor='#9AAABE';
									divM.style[sFloat]="left";
									
									var div1=document.createElement('div');
									div1.style.width='20%';
									div1.style[sFloat]="left";
									//var oA1=document.createElement('a');
									//oA1.setAttribute('href','#');
									div1.setAttribute('onclick',"cancelcat('"+obj.id+"')");													
									div1.setAttribute('class','Cancelbutton');
									//div1.appendChild(oA1);
									divM.appendChild(div1);
									 
									var div2=document.createElement('div');
									div2.style.width='60%';
									div2.style[sFloat]="left";
									div2.className='editheader';
									div2.appendChild(document.createTextNode('Define Group'));
									divM.appendChild(div2);
									
									var div3=document.createElement('div');
									div3.style.width='20%';
									div3.style[sFloat]="left";													
									//var oA2=document.createElement('a');
									div3.setAttribute("onclick","editSuccess('"+obj.id+"','"+usrcount+"','"+newcatcount+"')");
									//oA2.setAttribute('href','#');
									div3.setAttribute('class','OKbutton');
									//div3.appendChild(oA2);
									divM.appendChild(div3); 
									 
									oTD1.appendChild(divM);																					
									oTR1.appendChild(oTD1);
									oTBody.appendChild(oTR1);
									
									oTable1.appendChild(oTBody);
									
									document.getElementById('footerbuttons').appendChild(oTable1);
									
									
									
										///Element.hide(indicatorId);
									}
									}
								}
				var params = 'catgid='+catgid;	
				xmlhttp.open("POST","../webservices/editcategory.php",true);
				xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
				xmlhttp.send(params);
						}
						
				}
		}
		var params1 = 'catid='+catgid;			
		xmlhttp1.open("POST","../webservices/checkPermissions.php",true);
		xmlhttp1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp1.send(params1);
}



function deletetype_confirmation()
{
	confirm('Deleteing a Type will cause all entries with that type to be deleted.\nAre you sure you want to do this?');	
}


function openEmailWindow()
{
	
	 openDHTMLWindow("", filePath+'toolsEmail.php', 428,320, "emailTools");
}

function openlock_window()
{
	
		time=3600;
	 	document.getElementById("overlay").style.display="block";
		var lockedUI=getlockUI();
}


function openlockwin3()
{
	
		time=3600;
	 	document.getElementById("overlay").style.display="block";
		var lockedUI=getlockUI();
}


/*
Function 	:checklockmainui()
Brief 		:checklockmainui prevents from switching to Main UI when window is locked
Detail 		:This member function is used to check and stop the user from switching to
			 mainpage when window is locked
Input param :none
Input/output param : none
Return 		:Returns void
*/
function checklockmainui()
{

						 
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					
					var session =eval("("+xmlhttp.responseText+")");
									
					if (session.authsession==1)
					{
						document.getElementById('homediv1').style.display = 'none'; 
						document.getElementById('logout').style.display = 'none';
						openlock_window();
						
					}
				}
				
				}
		
		
		xmlhttp.open("POST","../bbmobileclient/checklocked.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
			
}


/*
Function 	:checklockui()
Brief 		:checklockui prevents from switching to Main UI when window is locked
Detail 		:This member function is used to check and stop the user from switching to
			 mainpage when window is locked
Input param :none
Input/output param : none
Return 		:Returns void
*/
function checklockui()
{

						 
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					//alert(xmlhttp.responseText);
					var session =eval("("+xmlhttp.responseText+")");
									
					if (session.authsession==1)
					{
						//document.getElementById('homediv1').style.display = 'none'; 
						//document.getElementById('logout').style.display = 'none';
						openlockwin2();
						
					}
				}
				
				}
		
		
		xmlhttp.open("POST","../bbmobileclient/checklocked.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
			
}

function checklockui3()
{

						 
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					//alert(xmlhttp.responseText);
					var session =eval("("+xmlhttp.responseText+")");
									
					if (session.authsession==1)
					{
						//document.getElementById('homediv1').style.display = 'none'; 
						//document.getElementById('logout').style.display = 'none';
						openlockwin3();
						
					}
				}
				
				}
		
		
		xmlhttp.open("POST","../bbmobileclient/checklocked.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
			
}

/*
Function 	:checklocklogin()
Brief 		:checklocklogin checks session before switching to Main UI when window is locked
Detail 		:This member function is used to check  session and stop/allow the user  from switching to
			 mainpage when window is locked
Input param :none
Input/output param : none
Return 		:Returns void
*/
function checklocklogin()
{
				 
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					//alert(xmlhttp.responseText);
					var session =eval("("+xmlhttp.responseText+")");
					
				
					if (session.authsession==1)
					{
					
					window.location="http://../bbmobileclient/mainpage.php";
					
						
					}
				}
				
	}
				
	xmlhttp.open("POST","../bbmobileclient/checklocked.php",true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send();
}



/*
Function 	:getlockUI()
Brief 		:getlockUI displaying lock modal window
Detail 		:This member function is used to display lock modal window
Input param :none
Input/output param : none
Return 		:Returns void
*/

function getlockUI()
{
		
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					//alert(xmlhttp.responseText);
					var userName =eval("("+xmlhttp.responseText+")");
					var emailId=userName.username;
					
					document.getElementById('email').value=emailId;
					document.getElementById('email').disabled='true';
				}
				
		}
	xmlhttp.open("POST","../bbmobileclient/lockUI.php",true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send();
		
		
}

/*
Function 	:unlock()
Brief 		:unlock does password validation and unlocks the locked window
Detail 		:This member function is used to do password validation and unlock the locked window
Input param :none
Input/output param : none
Return 		:Returns void
*/
function unlock3()
{
	var password=document.getElementById('pass').value;
	
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
						//alert(xmlhttp.responseText);
						var credentials =eval("("+xmlhttp.responseText+")");
					
										
						if(credentials.password==0){
							document.getElementById('invalidpwd').innerHTML='Please enter valid password.';	
							document.getElementById('pass').value='';
						}
						else if(credentials.password==2){
							document.getElementById('invalidpwd').innerHTML="Password can't be empty.";	
							document.getElementById('pass').value='';
						}
						else{
							countdown_clear();
							getvalue();
							//Dialog.cancelCallback();
							document.getElementById('email').value = '';
							document.getElementById('pass').value = '';
							document.getElementById('overlay').style.display = 'none';
							document.getElementById('homediv1').style.display = 'block';
							
						}
				}
				
				}
		var params = 'pwd='+password;			
		xmlhttp.open("POST","../bbmobileclient/unlock.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(params);	
}
/*
Function 	:unlock()
Brief 		:unlock does password validation and unlocks the locked window
Detail 		:This member function is used to do password validation and unlock the locked window
Input param :none
Input/output param : none
Return 		:Returns void
*/
function unlock()
{
	var password=document.getElementById('pass').value;
	//alert(password);
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
						//alert(xmlhttp.responseText);
						var credentials =eval("("+xmlhttp.responseText+")");
					
										
						if(credentials.password==0){
							document.getElementById('invalidpwd').innerHTML='Please enter valid password.';	
							document.getElementById('pass').value='';
						}
						else if(credentials.password==2){
							document.getElementById('invalidpwd').innerHTML="Password can't be empty.";	
							document.getElementById('pass').value='';
						}
						else{
							countdown_clear();
							getvalue();
							//Dialog.cancelCallback();
							document.getElementById('email').value = '';
							document.getElementById('pass').value = '';
							document.getElementById('overlay').style.display = 'none';
							document.getElementById('homediv1').style.display = 'block';
							document.getElementById('logout').style.display = 'block';
						}
				   }
				
				}
		var params = 'pwd='+password;			
		xmlhttp.open("POST","../bbmobileclient/unlock.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(params);	
}

function selectImg()
{
	    openDHTMLWindow("Choose Icon", filePath+'selectImage.php',550,400, "icon_choose");
		
}

/*
Function 	:selectImgEditType(iconid)
Brief 		:selectImgEditType UI for icon image
Detail 		:This member function is used to select a icon for new/edit type
Input param :iconid-icon id
Input/output param : none
Return 		:Returns void
*/
function selectImgEditType(iconid)
{	
	document.getElementById('newimg').style.display='block';
	imgtable='<table id="pik_icon" align="center" width="97%"><tr><td id="0" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(0)" src="images/HighIcons/high0.png" width="32px"></td><td id="8" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(8)" src="images/HighIcons/high8.png" width="32px"></td><td id="16" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(16)" src="images/HighIcons/high16.png" width="32px"></td><td id="24" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(24)" src="images/HighIcons/high24.png" width="32px"></td><td id="32" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(32)" src="images/HighIcons/high32.png" width="32px"></td><td id="40" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(40)" src="images/HighIcons/high40.png" width="32px"></td><td id="48" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(48)" src="images/HighIcons/high48.png" width="32px"></td><td id="56" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(56)" src="images/HighIcons/high56.png" width="32px"></td></tr><tr><td id="1" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(1)" src="images/HighIcons/high1.png" width="32px"></td><td id="9" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(9)" src="images/HighIcons/high9.png" width="32px"></td><td id="17" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(17)" src="images/HighIcons/high17.png" width="32px"></td><td id="25" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(25)" src="images/HighIcons/high25.png" width="32px"></td><td id="33" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(33)" src="images/HighIcons/high33.png" width="32px"></td><td id="41" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(41)" src="images/HighIcons/high41.png" width="32px"></td><td id="49" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(49)" src="images/HighIcons/high49.png" width="32px"></td><td id="57" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(57)" src="images/HighIcons/high57.png" width="32px"></td></tr><tr><td id="2" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(2)" src="images/HighIcons/high2.png" width="32px"></td><td id="10" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(10)" src="images/HighIcons/high10.png" width="32px"></td><td id="18" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(18)" src="images/HighIcons/high18.png" width="32px"></td><td id="26" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(26)" src="images/HighIcons/high26.png" width="32px"></td><td id="34" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(34)" src="images/HighIcons/high34.png" width="32px">	</td><td id="42" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(42)" src="images/HighIcons/high42.png" width="32px"></td><td id="50" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(50)" src="images/HighIcons/high50.png" width="32px"></td><td id="58" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(58)" src="images/HighIcons/high58.png" width="32px"></td></tr><tr><td id="3" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(3)" src="images/HighIcons/high3.png" width="32px"></td><td id="11" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(11)" src="images/HighIcons/high11.png" width="32px"></td><td id="19" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(19)" src="images/HighIcons/high19.png" width="32px"></td><td id="27" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(27)" src="images/HighIcons/high27.png" width="32px"></td><td id="35" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(35)" src="images/HighIcons/high35.png" width="32px"></td><td id="43" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(43)" src="images/HighIcons/high43.png" width="32px"></td><td id="51" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(51)" src="images/HighIcons/high51.png" width="32px"></td><td id="59" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(59)" src="images/HighIcons/high59.png" width="32px"></td></tr><tr><td id="4" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(4)" src="images/HighIcons/high4.png" width="32px">	</td><td id="12" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(12)" src="images/HighIcons/high12.png" width="32px"></td><td id="20" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(20)" src="images/HighIcons/high20.png" width="32px">	</td><td id="28" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(28)" src="images/HighIcons/high28.png" width="32px"></td><td id="36" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(36)" src="images/HighIcons/high36.png" width="32px">		</td><td id="44" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(44)" src="images/HighIcons/high44.png" width="32px"></td><td id="52" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(52)" src="images/HighIcons/high52.png" width="32px"></td><td id="60" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(60)"  src="images/HighIcons/high60.png" width="32px">		</td></tr><tr><td id="5" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(5)" src="images/HighIcons/high5.png" width="32px"></td><td id="13" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(13)" 		src="images/HighIcons/high13.png" width="32px"></td><td id="21" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(21)" src="images/HighIcons/high21.png" width="32px"></td><td id="29" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(29)" 	src="images/HighIcons/high29.png" width="32px"></td><td id="37" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(37)" src="images/HighIcons/high37.png" width="32px"></td><td id="45" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(45)" src="images/HighIcons/high45.png" width="32px"></td>	<td id="53" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(53)" src="images/HighIcons/high53.png" width="32px"></td><td id="61" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(61)" src="images/HighIcons/high61.png" width="32px"></td></tr><tr><td id="6" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(6)" src="images/HighIcons/high6.png" width="32px">			</td><td id="14" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(14)" src="images/HighIcons/high14.png" width="32px"></td><td id="22" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(22)" src="images/HighIcons/high22.png" width="32px"></td><td id="30" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(30)" src="images/HighIcons/high30.png" width="32px"></td><td id="38" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(38)" src="images/HighIcons/high38.png" width="32px"></td><td id="46" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(46)" 			src="images/HighIcons/high46.png" width="32px"></td><td id="54" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(54)" src="images/HighIcons/high54.png" width="32px"></td><td id="62" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(62)" 			src="images/HighIcons/high62.png" width="32px"></td></tr><tr><td id="7" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(7)" src="images/HighIcons/high7.png" width="32px"></td><td id="15" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(15)" src="images/HighIcons/high15.png" width="32px"></td><td id="23" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(23)" src="images/HighIcons/high23.png" width="32px"></td><td id="31" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(31)" src="images/HighIcons/high31.png" width="32px"></td><td id="39" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(39)" src="images/HighIcons/high39.png" width="32px"></td><td id="47" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(47)" src="images/HighIcons/high47.png" width="32px"></td><td id="55" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(55)" src="images/HighIcons/high55.png" width="32px"></td><td id="63" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(63)" src="images/HighIcons/high63.png" width="32px"></td></tr></table><table width="97%" align="center" id="pik_icon_cntrl">		<tr><td align="right">&nbsp;</td> <td align="left">&nbsp;</td></tr><tr><td width="476" align="right"><input type="button" class="export_cancel" name="cancel" value="" onClick="javascript:deselecttesting();"></td><td width="471" align="left"><input type="button" class="btn_ok" name="ok" value="" onClick="javascript:testingEditType();">	</td></tr></table>';
	
	document.getElementById("newimg").innerHTML =imgtable;
		
}
/*
Function 	:selectImgNewRec(iconid)
Brief 		:selectImgNewRec UI for icon image
Detail 		:This member function is used to select a icon for new/edit type
Input param :iconid-icon id
Input/output param : none
Return 		:Returns void
*/
function selectImgNewRec(iconid)
{
	document.getElementById('newimg').style.display='block';
	imgtable='<table id="pik_icon" align="center" width="97%"><tr><td id="0" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(0)" src="images/HighIcons/high0.png" width="32px"></td><td id="8" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(8)" src="images/HighIcons/high8.png" width="32px"></td><td id="16" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(16)" src="images/HighIcons/high16.png" width="32px"></td><td id="24" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(24)" src="images/HighIcons/high24.png" width="32px"></td><td id="32" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(32)" src="images/HighIcons/high32.png" width="32px"></td><td id="40" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(40)" src="images/HighIcons/high40.png" width="32px"></td><td id="48" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(48)" src="images/HighIcons/high48.png" width="32px"></td><td id="56" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(56)" src="images/HighIcons/high56.png" width="32px"></td></tr><tr><td id="1" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(1)" src="images/HighIcons/high1.png" width="32px"></td><td id="9" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(9)" src="images/HighIcons/high9.png" width="32px"></td><td id="17" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(17)" src="images/HighIcons/high17.png" width="32px"></td><td id="25" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(25)" src="images/HighIcons/high25.png" width="32px"></td><td id="33" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(33)" src="images/HighIcons/high33.png" width="32px"></td><td id="41" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(41)" src="images/HighIcons/high41.png" width="32px"></td><td id="49" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(49)" src="images/HighIcons/high49.png" width="32px"></td><td id="57" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(57)" src="images/HighIcons/high57.png" width="32px"></td></tr><tr><td id="2" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(2)" src="images/HighIcons/high2.png" width="32px"></td><td id="10" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(10)" src="images/HighIcons/high10.png" width="32px"></td><td id="18" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(18)" src="images/HighIcons/high18.png" width="32px"></td><td id="26" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(26)" src="images/HighIcons/high26.png" width="32px"></td><td id="34" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(34)" src="images/HighIcons/high34.png" width="32px">	</td><td id="42" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(42)" src="images/HighIcons/high42.png" width="32px"></td><td id="50" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(50)" src="images/HighIcons/high50.png" width="32px"></td><td id="58" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(58)" src="images/HighIcons/high58.png" width="32px"></td></tr><tr><td id="3" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(3)" src="images/HighIcons/high3.png" width="32px"></td><td id="11" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(11)" src="images/HighIcons/high11.png" width="32px"></td><td id="19" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(19)" src="images/HighIcons/high19.png" width="32px"></td><td id="27" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(27)" src="images/HighIcons/high27.png" width="32px"></td><td id="35" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(35)" src="images/HighIcons/high35.png" width="32px"></td><td id="43" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(43)" src="images/HighIcons/high43.png" width="32px"></td><td id="51" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(51)" src="images/HighIcons/high51.png" width="32px"></td><td id="59" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(59)" src="images/HighIcons/high59.png" width="32px"></td></tr><tr><td id="4" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(4)" src="images/HighIcons/high4.png" width="32px">	</td><td id="12" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(12)" src="images/HighIcons/high12.png" width="32px"></td><td id="20" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(20)" src="images/HighIcons/high20.png" width="32px">	</td><td id="28" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(28)" src="images/HighIcons/high28.png" width="32px"></td><td id="36" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(36)" src="images/HighIcons/high36.png" width="32px">		</td><td id="44" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(44)" src="images/HighIcons/high44.png" width="32px"></td><td id="52" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(52)" src="images/HighIcons/high52.png" width="32px"></td><td id="60" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(60)"  src="images/HighIcons/high60.png" width="32px">		</td></tr><tr><td id="5" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(5)" src="images/HighIcons/high5.png" width="32px"></td><td id="13" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(13)" 		src="images/HighIcons/high13.png" width="32px"></td><td id="21" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(21)" src="images/HighIcons/high21.png" width="32px"></td><td id="29" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(29)" 	src="images/HighIcons/high29.png" width="32px"></td><td id="37" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(37)" src="images/HighIcons/high37.png" width="32px"></td><td id="45" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(45)" src="images/HighIcons/high45.png" width="32px"></td>	<td id="53" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(53)" src="images/HighIcons/high53.png" width="32px"></td><td id="61" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(61)" src="images/HighIcons/high61.png" width="32px"></td></tr><tr><td id="6" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(6)" src="images/HighIcons/high6.png" width="32px">			</td><td id="14" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(14)" src="images/HighIcons/high14.png" width="32px"></td><td id="22" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(22)" src="images/HighIcons/high22.png" width="32px"></td><td id="30" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(30)" src="images/HighIcons/high30.png" width="32px"></td><td id="38" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(38)" src="images/HighIcons/high38.png" width="32px"></td><td id="46" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(46)" 			src="images/HighIcons/high46.png" width="32px"></td><td id="54" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(54)" src="images/HighIcons/high54.png" width="32px"></td><td id="62" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(62)" 			src="images/HighIcons/high62.png" width="32px"></td></tr><tr><td id="7" valign="bottom" align="center" onClick="setBorder(this);">	<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(7)" src="images/HighIcons/high7.png" width="32px"></td><td id="15" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(15)" src="images/HighIcons/high15.png" width="32px"></td><td id="23" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(23)" src="images/HighIcons/high23.png" width="32px"></td><td id="31" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(31)" src="images/HighIcons/high31.png" width="32px"></td><td id="39" valign="bottom" align="center" onClick="setBorder(this);">			<img alt="Select Image &amp; Click Ok" height="32px" onClick="test(39)" src="images/HighIcons/high39.png" width="32px"></td><td id="47" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(47)" src="images/HighIcons/high47.png" width="32px"></td><td id="55" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(55)" src="images/HighIcons/high55.png" width="32px"></td><td id="63" valign="bottom" align="center" onClick="setBorder(this);"><img alt="Select Image &amp; Click Ok" height="32px" onClick="test(63)" src="images/HighIcons/high63.png" width="32px"></td></tr></table><table width="97%" align="center" id="pik_icon_cntrl">		<tr><td align="right">&nbsp;</td> <td align="left">&nbsp;</td></tr><tr><td width="476" align="right"><input type="button" class="export_cancel" name="cancel" value="" onClick="javascript:deselecttesting();"></td><td width="471" align="left"><input type="button" class="btn_ok" name="ok" value="" onClick="javascript:testingNewRec();">	</td></tr></table>';
	document.getElementById("newimg").innerHTML =imgtable;		
}
bgImgColor = ""
function setBorder(selectedimage)
{			
	document.getElementById(selectedimage.id).style.background="blue";
	if (bgImgColor != "")
	{
		document.getElementById(bgImgColor).style.background="none";
	}
		bgImgColor = selectedimage.id;
}
		
var name="";
var imagename="";
function test(name)
{	
	imagename=name;		
}
		
	
function testing()
{
	if(imagename != "" && imagename != null)
	{
		/*document.getElementById("imageid").value = imagename;*/			
		imagepath = "images/HighIcons/high"+imagename+".png";
		document.getElementById("iconid").src=imagepath;
		var x=document.getElementById("iconid").src;
		imagename = "";
	}
}
/*
Function 	:testingEditType()
Brief 		:testingEditType selects the icon image
Detail 		:This member function is used to select a icon for new/edit type
Input param :none
Input/output param : none
Return 		:Returns void
*/
function testingEditType()
{
	if((imagename != "" && imagename != null) || (imagename=="0"))
	{				
		imagepath = "images/HighIcons/high"+imagename+".png";		
		document.getElementById(iconid).src=imagepath;		
		hdnimage = "img"+iconid;		
		var x=document.getElementById(hdnimage).value=imagename;		
		imagename = "";		
		document.getElementById('newimg').style.display='none';
		
	}
	else{
		imagename = "";
		document.getElementById('newimg').style.display='none';
	}
	
}	
/*
Function 	:testingNewRec()
Brief 		:testingNewRec selects the icon image
Detail 		:This member function is used to select a icon for new/edit/duplicate record
Input param :none
Input/output param : none
Return 		:Returns void
*/
function testingNewRec()
{
	if((imagename != "" && imagename != null) || (imagename=="0"))
	{
		imagepath = "images/HighIcons/high"+imagename+".png";
		document.getElementById(iconId).src=imagepath;
	
		hdnimage = "img"+iconId;
		var x=document.getElementById(hdnimage).value=imagename;
		
		imagename = "";
		//set hidden field when image is customized
		var y=document.getElementById("hdnCustImg").value=1;
		document.getElementById('newimg').style.display='none';
	}	
	else{
		imagename = "";
		document.getElementById('newimg').style.display='none';
	}
}		

		
function deselecttesting()
{
	imagename = "";
	document.getElementById('newimg').style.display='none';
}

function optionsClose(toRefresh){

    /*top.winOption.close(true);*/
	Dialog.cancelCallback();

}		

/*
Function 	:getvalue()
Brief 		:getvalue gets the timeout value
Detail 		:This member function is used fetch the sleepminutes and autolock value
Input param :none
Input/output param : none
Return 		:Returns void
*/
function getvalue()
{

	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
						//alert(xmlhttp.responseText);
						var tools =eval("("+xmlhttp.responseText+")");
						var autolock = tools.AUTOLOCK;
						var sleepminutes = tools.SLEEPMINUTES;
						
						if(autolock == 1){
							time1 = sleepminutes * 60;
							time = time1+1;
						}else{
							time = 3600;
						}
						countdown_init();									
					}
				}
					
		xmlhttp.open("POST","../webservices/getAutoLockTimer.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
			
}

/*
Function 	:countdown_init()
Brief 		:countdown_init is a timeout counter
Detail 		:This member function is used initiate the countdown_trigger() when no mouse/keyboard action
Input param :none
Input/output param : none
Return 		:Returns void
*/
function countdown_init() {
	countdown_number = time;
	countdown_trigger();
}

/*
Function 	:countdown_trigger()
Brief 		:countdown_trigger is a timeout counter
Detail 		:This member function is used decrement the timeout value when no mouse/keyboard action
Input param :none
Input/output param : none
Return 		:Returns void
*/
function countdown_trigger() {
    if(countdown_number > 0) {
        countdown_number--;
       // document.getElementById('countdown_text').innerHTML = countdown_number;
        if(countdown_number > 0) {
            countdown = setTimeout('countdown_trigger()', 1000);
			
        }else{
		document.getElementById('homediv1').style.display = 'none'; 
		//document.getElementById('logout').style.display = 'none';
		openlock_window();
		}
    }
}

/*
Function 	:countdown_clear()
Brief 		:countdown_clear clears counter
Detail 		:This member function is used clear timeout counter
Input param :none
Input/output param : none
Return 		:Returns void
*/
function countdown_clear() {
    clearTimeout(countdown);
}

/*
Function 	:logout()
Brief 		:logout is used to logout form application
Detail 		:This member function is used to logout form application
Input param :none
Input/output param : none
Return 		:Returns void
*/
function logout()
{
	
	window.location='../bbmobileclient/logout.php';
}