//
// 	changePassword.js
//  Phantom
//  Created by Namratha Nayak on 8/04/11.
// 	Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//

//Function Name    : savepwd
//Description      : checking user permissions, changing the password and error handling during the same
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function savepwd()
{
	
	document.getElementById('indicator').style.display="block";
	var regexp=/^\s*$/;
	var alpnum=/[A-Za-z]/;
	var checksame=/[A-Za-z]\s$/;
	
			 
	var xmlhttp2;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp2=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp2=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp2.onreadystatechange=function(){
  		if (xmlhttp2.readyState==4 && xmlhttp2.status==200){
    			//alert("2"+xmlhttp2.responseText);
				var pwddetails =eval("("+xmlhttp2.responseText+")");	
				
				if(pwddetails.changepassword==0){
						document.getElementById('indicator').style.display="none";
						alert("You don't have privilege to change password.");
				}else{
						
						var oldpwd=document.getElementById('oldpassword').value;
						var newpwd=document.getElementById('newpassword').value;
						var repeatpwd=document.getElementById('repeatpassword').value;
					
						if(oldpwd==''){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Please enter the old password.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd=='' || repeatpwd==''|| regexp.test(newpwd) || regexp.test(repeatpwd)){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='White spaces and blanks are not allowed.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd.length<6 || repeatpwd.length<6){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Password should be minimum of 6 characters.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(pwddetails.oldpassword!=oldpwd){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Old password is incorrect. Passwords are case sensitive.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd != repeatpwd){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Your New password and Confirm password are not matching.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(!alpnum.test(newpwd) || !alpnum.test(repeatpwd)){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Password should be alphanumeric';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd==pwddetails.oldpassword || repeatpwd==pwddetails.oldpassword || checksame.test(newpwd) || checksame.test(repeatpwd)){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Old and New password cannot be the same';
							document.getElementById('indicator').style.display="none";	
							
						}else{
							var xmlhttp1;
							if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
								xmlhttp1=new XMLHttpRequest();
							}else{							// code for IE6, IE5
								xmlhttp1=new ActiveXObject("Microsoft.XMLHTTP");
							}
							xmlhttp1.onreadystatechange=function(){
							if (xmlhttp1.readyState==4 && xmlhttp1.status==200){
								//alert("1"+xmlhttp1.responseText);
																							 
								var xmlhttp;
								if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
									xmlhttp=new XMLHttpRequest();
								}else{							// code for IE6, IE5
									xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
								}
								xmlhttp.onreadystatechange=function(){
									if (xmlhttp.readyState==4 && xmlhttp.status==200){
										//alert("0"+xmlhttp.responseText);
										var passcheck =eval("("+xmlhttp.responseText+")");
										var check =passcheck.auth;
										if(check == 1){
										
											document.getElementById('passwordmsg').setAttribute('class','pwrdsuccessmsg');
											document.getElementById('passwordmsg').innerHTML='Password changed successfully.';
											document.getElementById('indicator').style.display="none";	
										 }else{
											document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
											document.getElementById('passwordmsg').innerHTML='Password is not changed.Please try again.';
											document.getElementById('indicator').style.display="none";	
										 }
									}
								}
							var params = 'newpwd='+ newpwd;		
							xmlhttp.open("POST","../bbmobileclient/changePasswordSession.php",true);
							xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
							xmlhttp.send(params);
								
							}
						}
						
					var params1 = 'newpwd='+ newpwd;			
					xmlhttp1.open("POST","../webservices/changePassword.php",true);
					xmlhttp1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
					xmlhttp1.send(params1);
					}
				}
			}
		}
		//alert(2);				
		xmlhttp2.open("POST","../webservices/changePasswordchk.php",true);
		xmlhttp2.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp2.send();
}