//
// 	toolsModal.js
//  Phantom
//  Created by Ranjana Paleppady and Namratha Nayak on 3/04/11.
// 	Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//

//Function Name    : opentools_window
//Description      : opens the tools modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function opentools_window()
{
	 //openDHTMLWindow("", filePath+'tools.php', 305,400, "tools");
	// var tool = getToolsDetails();
	 window.location =filePath+'tools.php';
}

//Function Name    : validateAutolock
//Description      : validates if the input is a NaN and opens error msg window
//Input Parameters : None
//Output Parameters: None
//Return value     : flag 0 or 1

function validateAutolock()
{
	var checkstring = $("timeout").value;
	var flag = 0;
	if(isNaN(checkstring)){
		flag = 0;
		alert("Please enter numeric values in the time field!");
	}else if((checkstring >60) || (checkstring <1)){
		flag = 0;
		alert("The value must be between 1 and 60.");
	}else{
		flag = 1;
	}
	return flag;
}

//Function Name    : checkUncheck
//Description      : validates if the enable timeout checkbox is checked and enables/diables the time input textbox
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function checkUncheck()
{
	var timeoutcheck = $("enableTimeout").checked;
	$("savedmessageoption").style.display="none"; 
	if(timeoutcheck)
	{
		$("timeout").disabled=false;
	}else{
		
		$("timeout").disabled=true;
	}
}

//Function Name    : getToolsDetails
//Description      : gets the SLEEPMINUTES,AUTOLOCK from DB using ajax request  and enables/disables the timeout checkbox
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function getToolsDetails()
{
	new Ajax.Updater('user','../webservices/getToolsDetails.php',
					{
						 asynchronous:true, 	
						 evalScripts:true,
						 requestHeaders: {Accept: 'application/json'},
						 onSuccess:function(request){
							 
								var tool = request.responseText.evalJSON(true);
								var autolock = tool.AUTOLOCK;
								var sleepminutes = tool.SLEEPMINUTES;
								var maxsleepminutes = tool.MAXSLEEPMINUTES;
								
								if(autolock == 1){
									$("enableTimeout").checked = true;
									$("timeout").value=sleepminutes;
									$("timeout").disabled=false;
								}else{
									$("enableTimeout").checked = false;
									$("timeout").value=10;
									$("timeout").disabled=true;
								}											
						}
					});	
	return true;
}


//Function Name    : validateAutolock
//Description      : this function is used to store updated sleepminutes in DB using ajax updater
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function saveOptions()
{
	var validate = validateAutolock();
	if(validate){
			var checkTimeout = $("enableTimeout").checked;
			var sleepminutes = $("timeout").value;
			if(checkTimeout){
				var autolock = 1;
			}else{
				var autolock = 0;
			}
			
			var parameters = "autolock="+autolock+"&sleepminutes="+sleepminutes;
			
			new Ajax.Updater('user','../webservices/saveToolsOptions.php',
							   {
								 asynchronous:true, 	
								 evalScripts:true,
								 postBody: parameters,
								 requestHeaders: {Accept: 'application/json'},
								 onSuccess:function(request){
									$("savedmessageoption").style.display="block"; 
									return true;										
								}
							});	
			return true;
	}//validate
	else{
		
	}
}