//
// 	changePassword.js
//  Phantom
//  Created by Namratha Nayak on 8/04/11.
// 	Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//

//Function Name    : savepwd
//Description      : checking user permissions, changing the password and error handling during the same
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function savepwd()
{
	document.getElementById('indicator').style.display="block";
	var regexp=/^\s*$/;
	var alpnum=/[A-Za-z]/;
	var checksame=/[A-Za-z]\s$/;
	new Ajax.Updater('user','../webservices/changePasswordchk.php',
				 {
				 asynchronous:true, 	
				 evalScripts:true,
				 requestHeaders: {Accept: 'application/json'},
				 
				onSuccess:function(request){	
				var pwddetails=request.responseText.evalJSON(true);
				if(pwddetails.changepassword==0){
						document.getElementById('indicator').style.display="none";
						alert("You don't have privilege to change password.");
				}else{
						
						var oldpwd=document.getElementById('oldpassword').value;
						var newpwd=document.getElementById('newpassword').value;
						var repeatpwd=document.getElementById('repeatpassword').value;
					
						if(oldpwd==''){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Please enter the old password.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd=='' || repeatpwd==''|| regexp.test(newpwd) || regexp.test(repeatpwd)){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='White spaces and blanks are not allowed.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd.length<6 || repeatpwd.length<6){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Password should be minimum of 6 characters.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(pwddetails.oldpassword!=oldpwd){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Old password is incorrect. Passwords are case sensitive.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd != repeatpwd){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Your New password and Confirm password are not matching.';
							document.getElementById('indicator').style.display="none";	
							
						}else if(!alpnum.test(newpwd) || !alpnum.test(repeatpwd)){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Password should be alphanumeric';
							document.getElementById('indicator').style.display="none";	
							
						}else if(newpwd==pwddetails.oldpassword || repeatpwd==pwddetails.oldpassword || checksame.test(newpwd) || checksame.test(repeatpwd)){
							document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
							document.getElementById('passwordmsg').innerHTML='Old and New password cannot be the same';
							document.getElementById('indicator').style.display="none";	
							
						}else{
							new Ajax.Updater('user','../webservices/changePassword.php',
							 {
							 asynchronous:true, 	
							 evalScripts:true,
							 postBody: 'newpwd='+ newpwd,
							 requestHeaders: {Accept: 'application/json'},
							 
							onSuccess:function(request){	
								new Ajax.Updater('user','../webclient/changePasswordSession.php',
							 		{	
									 asynchronous:true, 	
									 evalScripts:true,
									 postBody: 'newpwd='+ newpwd,
									 requestHeaders: {Accept: 'application/json'},
									 
									 onSuccess:function(request){
										 var passcheck = request.responseText.evalJSON(true);
										 var check =passcheck.auth;
										 if(check == 1){
										
											document.getElementById('passwordmsg').setAttribute('class','pwrdsuccessmsg');
											document.getElementById('passwordmsg').innerHTML='Password changed successfully.';
											document.getElementById('indicator').style.display="none";	
										 }else{
											document.getElementById('passwordmsg').setAttribute('class','pwrdmsg');
											document.getElementById('passwordmsg').innerHTML='Password is not changed.Please try again.';
											document.getElementById('indicator').style.display="none";	
										 }
									}
								});
								
							}
						});
					}
				}
			}
		});
}