//
// 	toolsImportModal.js
//  Phantom
//  Created by Ranjana Paleppady on 13/04/11.
//  Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//

//Function Name    : importVid
//Description      : check whether the imported file is vid file
//Input Parameters : None
//Output Parameters: None
//Return value     : flag true or false

function importVid()
{
	//alert(1);
	var fileName = $("importedFile").value;
	var ext = fileName.split(".");
	//alert(fileName);
	var extension= ext[1];
	//alert(extension);
	var flag = true;
	if(fileName.length == 0){
		alert("Please select a file.");
		flag =false;
		
	}else if(extension != "vid"){
		alert("Please select a .vid file!");
		flag =false;
		
	}else{
		$('emailIndicator').setAttribute('style','display:block');
		flag =true;
	}
	//alert(flag);
	return flag;
}



//Function Name    : openImportWindow
//Description      : opens a import window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function openImportWindow()
{
	
	newImportWindow = window.open('importwindow.php?c='+GlobalVarCatId ,'myimportwin','left=300,top=250,width=430,height=312,location=no,menubar=no,scrollbars=no,toolbar=no,resizable=no,copyhistory=no');
	
}

//Function Name    : closeWindow
//Description      : close import and export open windows
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function closeWindow()
{
	if((newImportWindow)&&(!newImportWindow.closed)){
		//alert("import");
		newImportWindow.close();
	}
	if((newExportWindow)&&(!newExportWindow.closed)){
		//alert("Export");
		newExportWindow.close();
	}
	//alert(1);
	return true;
	
}

//Function Name    : closeModalWindow
//Description      : close modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None


function closeModalWindow()
{
	Dialog.cancelCallback();
	getvalue();
	getcategory();
	closeWindow();	
		
}

//Function Name    : checkError
//Description      : function to display(hide/show) import error/success message 
//Input Parameters : None
//Output Parameters: None
//Return value     : None


function checkError()
{
	var fullURL = parent.document.URL
   var errmsg = fullURL.substring(fullURL.indexOf('=')+1, fullURL.length);
   var e = errmsg.split("&");
   var err =e[0];
   $('emailIndicator').setAttribute('style','display:none');
   $('errMsg').setAttribute('style','display:block');
   if(err == '1'){
   	$('errMsg').setAttribute('class','pwrdmsg');
   	$('errMsg').innerHTML = "The password is incorrect!";
   	
   }
   if(err == '2'){
	$('errMsg').setAttribute('class','pwrdsuccessmsg');
   	$('errMsg').innerHTML = "Import Successful!";
   	
   }
   if(err == '3'){
	$('errMsg').setAttribute('class','pwrdmsg');
   	$('errMsg').innerHTML = "File upload failed!";
   	
   }
}