//
//  deleteRecordModal.js
//  Phantom
//  Created by Ranjana Paleppady on 9/03/11.
// 	Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//

//Function Name    : deleteRecord
//Description      : check if record is selected and opens delete record modal window or error message modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function deleteRecord()
{
	
	var recordExists = GlobalVarRecordId;
	if(recordExists != 0){
		openDeleteRecord();
	}else{
		noDelete();
	}
}



//Function Name    : noDelete
//Description      : open error msg modal window if no record is selected on click of delete button 
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function noDelete()
{
		openDHTMLWindow("", filePath+'noDelete.php', 300,100, "recoverpwd");		
}


//Function Name    : openDeleteRecord
//Description      : open delete record modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function openDeleteRecord()
{
	
	catid=document.getElementById('categoryid').value;
	//alert(catid);						 
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
							//alert(xmlhttp.responseText);
							var recordpermissions =eval("("+xmlhttp.responseText+")");	
							

						
							permission=recordpermissions.recordpermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							recorddelete=str.charAt(0);
							recordedit=str.charAt(1);
							recordadd=str.charAt(2);
							
							if(recorddelete==0){
								alert("You don't have privilege to delete record.");		
							}
							else{
								url = "deleteRec.php?recId="+GlobalVarRecordId;
								str = "Are you really sure you want to delete the selected record?";
								if(confirm(str))
								{
									location.replace(url);
								}
								//openDHTMLWindow("Delete Record", filePath+'deleteRec.php', 300,160, "deleteRecord");
							}
							}
						}
		var params = 'catid='+catid;			
		xmlhttp.open("POST","../webservices/checkPermissions.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(params);	
		//var n = deleteRecordData();
}


//Function Name    : deleteRecordData
//Description      : open delete record modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function deleteRecordData(){
	
	var param = 'recid='+GlobalVarRecordId;
		
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
					//alert(xmlhttp.responseText);
					var check =eval("("+xmlhttp.responseText+")");	
							 			
					if(check.deleted == 1){
						window.location ='mainpage.php';
					}else{											
						("deleteRecord").innerHTML="";
					}
		}
	}
				
	xmlhttp.open("POST","../webservices/deleteRecord.php",true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send(param);
	return true;			
}

//-------------------------deletion handling within edit/duplicate modal window--------------//
//Function Name    : openDeleteEdittedRecord
//Description      : open delete record modal window  within edit/duplicate modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function openDeleteEdittedRecord()
{
	catid=document.getElementById('categoryid').value;
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
							//alert(xmlhttp.responseText);
							var recordpermissions =eval("("+xmlhttp.responseText+")");	
																	
							permission=recordpermissions.recordpermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							recorddelete=str.charAt(0);
							recordedit=str.charAt(1);
							recordadd=str.charAt(2);
							
							if(recorddelete==0){
								alert("You don't have privilege to delete record.");		
							}
							else{
								str = "Are you really sure you want to delete the selected record?";
								if(confirm(str))
								{
									deleteRecordDataInEdit();
									//url = "mainpage.php";
									//location.replace(url);
								}
							}
							}
						}
		var params = 'catid='+catid;			
		xmlhttp.open("POST","../webservices/checkPermissions.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(params);
		//var n = deleteRecordData();
}

//Function Name    : deleteRecordDataInEdit
//Description      : open delete record modal window (within edit/duplicate modal)
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function deleteRecordDataInEdit(){ 
//alert("in");
var param = 'recid='+GlobalVarRecordId;
var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
							//alert(xmlhttp.responseText);
							var check =eval("("+xmlhttp.responseText+")");	
							if(check.deleted == 1){
								url = "mainpage.php";
								location.replace(url);
								/*Dialog.cancelCallback();*/
								//window.location.reload(true);
							}else{
								
								("deleteRecord").innerHTML="";
								//var n = deleteRecordData();
							}
				}
			}
					
		xmlhttp.open("POST","../webservices/deleteRecord.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(param);
		return true;
}
