//
// 	duplicateRecordModal.js
//  Phantom
//  Created by Ranjana Paleppady on 18/03/11.
// 	Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//

//global variables
time3 = 0;
time3 = new Date().getTime();

//Function Name    : duplicateRecord
//Description      : validate if record exists and call function to open duplicate record modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function duplicateRecord()
{
	var recordExists = GlobalVarRecordId;
	if(recordExists != 0){
			openDuplicateRecord();
	}else{
			noDuplicate();
	}
							 
		
}
//Function Name    : noDuplicate
//Description      : opens no record seleted error message modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function noDuplicate()
{
		openDHTMLWindow("", filePath+'noDuplicate.php', 300,100, "noDuplicate");
		
}


//Function Name    : openDuplicateRecord
//Description      : function to open duplicate record modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function openDuplicateRecord()
{
	var recordExists = GlobalVarRecordId;
	catid=document.getElementById('categoryid').value;
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
							//alert(xmlhttp.responseText);
							var recordpermissions =eval("("+xmlhttp.responseText+")");
							
							permission=recordpermissions.recordpermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							recorddelete=str.charAt(0);
							recordedit=str.charAt(1);
							recordadd=str.charAt(2);
							
							if(recordedit==0){
								alert("You don't have privilege to duplicate record.");		
							}
							else{
								//openDHTMLWindow("Duplicate Record", filePath+'duplicateRec.php', 550,482, "duplicateRecord");
								//var n = duplicateRecordData();
								window.location =filePath+'duplicateRec.php?recId='+recordExists;								
							}
							
							}
						}
		var params = 'catid='+catid;			
		xmlhttp.open("POST","../webservices/checkPermissions.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(params);	
}

//Function Name    : duplicateRecordData
//Description      : get record fieldname details for the selected record
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function duplicateRecordData(){
	var recId=GlobalVarRecordId;
	var param = 'recid='+GlobalVarRecordId;
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
										//alert(xmlhttp.responseText);
										var recorddetails =eval("("+xmlhttp.responseText+")");										
																				
										var fieldArray = new Array();
										fieldArray[0]=recorddetails.fields.FIELD1;
										fieldArray[1]=recorddetails.fields.FIELD2;
										fieldArray[2]=recorddetails.fields.FIELD3;
										fieldArray[3]=recorddetails.fields.FIELD4;
										fieldArray[4]=recorddetails.fields.FIELD5;
										fieldArray[5]=recorddetails.fields.FIELD6;
										fieldArray[6]=recorddetails.fields.FIELD7;
										fieldArray[7]=recorddetails.fields.FIELD8;
										fieldArray[8]=recorddetails.fields.FIELD9;
										fieldArray[9]=recorddetails.fields.FIELD10;
										fieldArray[10]="Attachment";
										attachmentName = recorddetails.attachmentName;
										var icon=recorddetails.fields.ICONID;
										var mask=recorddetails.fields.MASKS;
										hasAttachment = recorddetails.hasAttachment;
										//var fieldoldvalue10=recorddetails.fieldvalues.FIELD10;
										//var fieldvalue10 = fieldoldvalue10.split(" ",1);
										
										var fieldvalueArray = new Array();
										fieldvalueArray[0]=recorddetails.fieldvalues.FIELD1;
										fieldvalueArray[1]=recorddetails.fieldvalues.FIELD2;
										fieldvalueArray[2]=recorddetails.fieldvalues.FIELD3;
										fieldvalueArray[3]=recorddetails.fieldvalues.FIELD4;
										fieldvalueArray[4]=recorddetails.fieldvalues.FIELD5;
										fieldvalueArray[5]=recorddetails.fieldvalues.FIELD6;
										fieldvalueArray[6]=recorddetails.fieldvalues.FIELD7;
										fieldvalueArray[7]=recorddetails.fieldvalues.FIELD8;
										fieldvalueArray[8]=recorddetails.fieldvalues.FIELD9;
										fieldvalueArray[9]=recorddetails.fieldvalues.FIELD10;
										fieldvalueArray[0] +=  " Copy";
										var notes=recorddetails.fieldvalues.NOTES;
										var typeid=recorddetails.typeid;
										var groupid=recorddetails.groupid;
										customdata = recorddetails.customized;
										
										//------------------fill * if masked---------------------//
										
										var num1=1;
										var num2=2;
										var num3=4;
										var num4=8;
										var num5=16;
										var num6=32;
										var num7=64;
										var num8=128;
										var num9=256;
										var num10=512;
										
										
										maskfield1=mask & num1;
										maskfield2=mask & num2;
										maskfield3=mask & num3;
										maskfield4=mask & num4;
										maskfield5=mask & num5;
										maskfield6=mask & num6;
										maskfield7=mask & num7;
										maskfield8=mask & num8;
										maskfield9=mask & num9;
										maskfield10=mask & num10;
									
										var checkbox =Array();
										if(maskfield1){
											checkbox[0] = "*";
										}else{
											checkbox[0] = "";
											
										}
										
										
										if(maskfield2){
											checkbox[1] = "*";
										}else{
											checkbox[1] = "";
											
										}
										
										
										if(maskfield3){
											checkbox[2] = "*";
										}else{
											checkbox[2] = "";
											
										}
										
										
										if(maskfield4){
											checkbox[3] = "*";
										}else{
											checkbox[3] = "";
											
										}
										
										
										if(maskfield5){
											checkbox[4] = "*";
										}else{
											checkbox[4] = "";
											
										}
										
										
										if(maskfield6){
											checkbox[5] = "*";
										}else{
											checkbox[5] = "";
											
										}
										
										
										if(maskfield7){
											checkbox[6] = "*";
										}else{
											checkbox[6] = "";
											
										}
										if(maskfield8){
											checkbox[7] = "*";
										}else{
											checkbox[7] = "";
											
										}
										
										
										if(maskfield9){
											checkbox[8] = "*";
										}else{
											checkbox[8] = "";
											
										}
									
										
										if(maskfield10){
											checkbox[9] = "*";
										}else{
											checkbox[9] = "";
											
										}
										checkbox[10] = "";
										
										//------------type arrays-------------//
										var typecount=recorddetails.typecount;
																						
										var typeidarray= new Array();
										var typearray= new Array();
										for (i=0;i<typecount;i++)
										{
											typeidarray[i]=recorddetails.typeids[i];
											typearray[i]=recorddetails.types[i];
										}
										
										var userCategory=recorddetails.username;
							 			userCategory="Personal-"+userCategory;
												
										var userCategoryId=recorddetails.userId;
										
										//------------group arrays-------------//
										var groupcount=recorddetails.groupcount;
										
										var groupidarray= new Array();
										var grouparray= new Array();
										
										groupidarray[0]=userCategoryId;
										grouparray[0]=userCategory;
										for (i=0;i<groupcount;i++)
										{
											groupidarray[i+1]=recorddetails.groupids[i];
											grouparray[i+1]=recorddetails.groups[i];
										}
										
										//------------------------------------//
										//alert(typearray);
										if (document.all) { var sFloat="styleFloat"; //ie
												} else {  var sFloat="cssFloat"; }//firefox	
												
												var oTable = document.createElement('table');
												oTable.border=0;
												oTable.width='100%';
												oTable.cellSpacing='0';
												oTable.align='center';
												
												//oTable.style.padding='0px 20px 0px 0px';
												
												var oTBody = document.createElement('tbody');
												var oTR1=document.createElement('tr');
												
												var oTD1=document.createElement('td');
												oTD1.colSpan='4';
												oTD1.setAttribute('class','titletext');
													var divM=document.createElement('div');
													divM.style.width='100%';
													divM.style.height='26px';
													
													divM.style[sFloat]="left";
													
													var div1=document.createElement('div');
													div1.style.width='20%';
													div1.style[sFloat]="left";
													var oA1=document.createElement('a');
													oA1.setAttribute('href','#');
													oA1.setAttribute("onclick","window.location.href='mainpage.php';");													
													oA1.setAttribute('class','discardrec');
													div1.appendChild(oA1);
													divM.appendChild(div1);
													/////////
													var div2=document.createElement('div');
													div2.style.width='60%';													
													div2.style[sFloat]="left";
													div2.className='editheader';
													div2.appendChild(document.createTextNode('Duplicate Record'));
													divM.appendChild(div2);												
													
													var div3=document.createElement('div');
													div3.style.width='20%';
													div3.style[sFloat]="left";													
													var oA2=document.createElement('a');
													oA2.setAttribute("onclick","saveDuplicatedRecord('"+typeid+"','1');");
													oA2.setAttribute('href','#');
													oA2.setAttribute('class','saverecord');
													div3.appendChild(oA2);
													divM.appendChild(div3); 
													oTD1.appendChild(divM);
																					
												oTR1.appendChild(oTD1);
												oTBody.appendChild(oTR1);
												
										//hidden field
										var oinp=document.createElement('input');
										oinp.setAttribute('type','hidden');
										oinp.setAttribute('id','hdnCust');
										oinp.setAttribute('value','0');
										oTBody.appendChild(oinp);
										
										//hidden field groupid for delete
										var oinp1=document.createElement('input');
										oinp1.setAttribute('type','hidden');
										oinp1.setAttribute('id','categoryid');
										oinp1.setAttribute('value',groupid);
										oTBody.appendChild(oinp1);
										
										var oTR2=document.createElement('tr');
										var iconId = "iconid"+typeid;
										var imgId = "img"+iconId;
										var oTD3=document.createElement('td');
										oTD3.setAttribute('style','padding:10px 0px 0px 2px');
										oTD3.setAttribute('rowspan','2');
										oTD3.setAttribute('colspan','2');
										var img=document.createElement('img');
										img.setAttribute('id',iconId);
										img.setAttribute('src','images/HighIcons/high'+icon+'.png');
										//img.setAttribute('width','48');
										//img.setAttribute('height','48');
										oTD3.setAttribute('align','center');
										img.setAttribute('style','cursor:pointer');
										img.setAttribute("onclick","selectImgNewRec('"+iconId+"')");
										oTD3.appendChild(img);
										var oINPUT6=document.createElement('input');
										oINPUT6.setAttribute('type','hidden');
										oINPUT6.setAttribute('id',imgId);
										oINPUT6.setAttribute('value',icon);
										oTD3.appendChild(oINPUT6);
										var oINPUT7=document.createElement('input');
										oINPUT7.setAttribute('type','hidden');
										oINPUT7.setAttribute('id',"hdnCustImg");
										oINPUT7.setAttribute('value','0');
										oTD3.appendChild(oINPUT7);
										
										var oTD2=document.createElement('td');
										oTD2.style.padding='10px 2px 0px 0px';	
										oTD2.colSpan='2';	
										oTD2.align='left';										
										var select1=document.createElement('select');
										select1.setAttribute('id','selectIdType');
										select1.className='txtboxfonts';
										select1.style.width='140px';
										//alert(1);
										for(i=0;i<typecount;i++)
										{
											
											var option=document.createElement('option');
											option.setAttribute('value',typeidarray[i]);
											if(typeid==typeidarray[i])
											{
												option.setAttribute('selected','selected');
											}
											var text=document.createTextNode(typearray[i]);
											option.appendChild(text);
											select1.appendChild(option);
										}
										select1.setAttribute("onchange","editRecChangeDetails(this.value,'"+typeid+"')");
										oTD2.appendChild(select1);
										
										oTR2.appendChild(oTD3);
										oTD2.appendChild(select1);
										oTR2.appendChild(oTD2);												
										oTBody.appendChild(oTR2);
									
										var oTR3=document.createElement('tr');										
										var oTD2=document.createElement('td');
										oTD2.setAttribute('style','padding:6px 0px 4px 0px');
										oTD2.colSpan='2';	
										oTD2.align='left';
										var select1=document.createElement('select');
										select1.style.width='140px';
										select1.className='txtboxfonts';
										select1.setAttribute('id','selectIdGrp');
										
										for(i=0;i<=groupcount;i++)
										{
											
											var option=document.createElement('option');
											option.setAttribute('value',groupidarray[i]);
											if(groupid==groupidarray[i])
											{
												option.setAttribute('selected','selected');
											}
											var text=document.createTextNode(grouparray[i]);
											option.appendChild(text);
											select1.appendChild(option);
										}
										
										oTD2.appendChild(select1);
										oTR3.appendChild(oTD2);
										oTBody.appendChild(oTR3);
										
										
										var fieldArray2 = new Array();
											//-----------ellipses-----------------//
										if(fieldArray[0].length>15){
											fieldArray2[0] = fieldArray[0].substring(0,15);
											fieldArray2[0] += "...";
										}else{
											fieldArray2[0] = fieldArray[0];
										}
										//-----------------------------------//
										var r1 = 1;
										var valueIdText = "field"+r1;
										var valueId = "fieldName"+r1;
										//alert("valueIdText="+fieldvalueArray[i]);
										var oTR4=document.createElement('tr');
										var oTD1=document.createElement('td');
										oTD1.setAttribute('id',valueId);
										oTD1.className ='field_fonts';
										oTD1.setAttribute('align','right');
										oTD1.setAttribute('height','25');
										oTD1.width='35%';
										oTD1.appendChild(document.createTextNode(fieldArray2[0]));
										oTD1.setAttribute('title',fieldArray[0]);
										var oTD8=document.createElement('td');
										oTD8.className ='field_fonts';
										oTD8.width='10%';
										oTD8.appendChild(document.createTextNode(':'));
									
										var oTD2=document.createElement('td');
										oTD2.height='25'
										oTD2.setAttribute('style','padding:0px 0px 0px 0px');
										var input1=document.createElement('input');
										input1.setAttribute('id',valueIdText);
										//input1.setAttribute('type','text');
										//input1.setAttribute('size','22');
										//input1.className='txtboxfonts';
										//input1.setAttribute('style','height:25px');
										oTD2.width='40%';
										input1.setAttribute('value',fieldvalueArray[0]);
										input1.className ='field_text';
										oTD2.appendChild(input1);
										
										var oTD5=document.createElement('td');
										oTD5.setAttribute('style','padding:0px 0px 0px 0px');
										oTD5.className ='field_fonts';
										oTD5.setAttribute('id','maskbox'+0);
										oTD5.width='15%';
										oTD5.appendChild(document.createTextNode(checkbox[0]));
										oTR4.appendChild(oTD1);
										oTR4.appendChild(oTD8);
										oTR4.appendChild(oTD2);
										oTR4.appendChild(oTD5);
										oTBody.appendChild(oTR4);	
										
										
										
										for(y=1;y<10;y++)
										{												
											var r =y+1;	
											var valueId2Text = "field"+r;
											var valueId2 = "fieldName"+r;
											//-----------ellipses-----------------//
											
											if(fieldArray[y].length>15){
												fieldArray2[y] = fieldArray[y].substring(0,15);
												fieldArray2[y] += "...";
											}else{
												fieldArray2[y] = fieldArray[y];
											}
											//-----------------------------------//
											var oTR4=document.createElement('tr');
											var oTD3=document.createElement('td');
											oTD3.setAttribute('id',valueId2);
											oTD3.setAttribute('class','field_fonts');
											oTD3.width='35%';
											oTD3.setAttribute('align','right');
											oTD3.appendChild(document.createTextNode(fieldArray2[y]));
											oTD3.setAttribute('title',fieldArray[y]);
											
											var oTD9=document.createElement('td');
											oTD9.width='10%';
											oTD9.setAttribute('class','field_fonts');
											oTD9.appendChild(document.createTextNode(':'));
											
											var oTD4=document.createElement('td');
											//---------get current date------------//
											var currentTime = new Date()
											var month = currentTime.getMonth();
											var day = currentTime.getDate();
											var year = currentTime.getFullYear();
											if(month == 0){
												var month1 = "January";
											}else if(month == 1){
												var month1 = "February";
											}else if(month == 2){
												var month1 = "March";
											}else if(month == 3){
												var month1 = "April";
											}else if(month == 4){
												var month1 = "May";
											}else if(month == 5){
												var month1 = "June";
											}else if(month == 6){
												var month1 = "July";
											}else if(month == 7){
												var month1 = "August";
											}else if(month == 8){
												var month1 = "September";
											}else if(month == 9){
												var month1 = "October";
											}else if(month == 10){
												var month1 = "November";
											}else{
												var month1 = "December";
											}
											
											var curdate = month1+" "+day+","+year;
											//--------------------------------------//
											oTD4.setAttribute('style','padding:0px 0px 0px 0px');
											
											oTD4.align='left';
											oTD4.height='25';
											//oTD4.setAttribute('style','padding:0px 0px 0px 4px');
											
											
											var input=document.createElement('input');
											input.setAttribute('id',valueId2Text);
											input.setAttribute('type','text');
											//input.setAttribute('size','22');
											//input.setAttribute('style','height:20px');
											input.className='field_text';
											input.setAttribute('value',fieldvalueArray[y]);
											if(y==9)
											{
												input.setAttribute('disabled','disabled');	
												input.setAttribute('value',curdate);
											}
											//input.setAttribute('class','txt_box');
											oTD4.appendChild(input);
													
											var oTD6=document.createElement('td');
											oTD6.setAttribute('style','padding:0px 0px 0px 0px');
											oTD6.setAttribute('class','field_fonts');
											oTD6.setAttribute('id','maskbox'+y);
											oTD6.appendChild(document.createTextNode(checkbox[y]));
										
											oTR4.appendChild(oTD3);
											oTR4.appendChild(oTD9);
											oTR4.appendChild(oTD4);
											oTR4.appendChild(oTD6);
											oTBody.appendChild(oTR4);	
										}
																				
										var oTR9=document.createElement('tr');
										var oTD1=document.createElement('td');
										oTD1.setAttribute('class','field_fonts');
										oTD1.setAttribute('align','right');
										oTD1.setAttribute('style','padding:0px 0px 20px 4px');
										oTD1.appendChild(document.createTextNode('Notes'));
										oTD1.setAttribute('title','Notes');
										
										var oTD3=document.createElement('td');
										oTD3.className ='field_fonts';
										oTD3.setAttribute('style','padding:0px 0px 20px 0px');
										oTD3.width='10%';
										oTD3.appendChild(document.createTextNode(':'));	
										
										var oTD2=document.createElement('td');
										oTD2.setAttribute('colspan','4');
										oTD2.setAttribute('style','padding:4px 0px 10px 0px');
										oTD2.setAttribute('style','padding:4px 0px 0px 0px');
												
											var input=document.createElement('input');
										
											input.setAttribute('id','notes');
											input.className='txtarea';
											input.setAttribute('value',notes);
										
										
										oTD2.appendChild(input);
										
										oTR9.appendChild(oTD1);
										oTR9.appendChild(oTD3);
										oTR9.appendChild(oTD2);
										oTBody.appendChild(oTR9);
										oTable.appendChild(oTBody);
										
										//alert(4);
										var oTable1 = document.createElement('table');
										oTable1.border=0;
										oTable1.setAttribute('cellspacing','0');
										oTable1.setAttribute('width','100%');
										oTable1.setAttribute('style','margin-top:10px');
										
										var oTBody1 = document.createElement('tbody');
										var oTR10=document.createElement('tr');
									
										var oTD1=document.createElement('td');
										//oTD1.setAttribute('width','28%');
										var oA5=document.createElement('a');
										oA5.setAttribute('href','#');
										oA5.setAttribute('class','dupdeleterec');
										oA5.setAttribute('onclick','openDeleteEdittedRecord();');
										oTD1.appendChild(oA5);
										
										var oTD2=document.createElement('td');
										oTD2.setAttribute('width','28%');
										var oA7=document.createElement('a');
										oA7.setAttribute('href','#');
										oA7.setAttribute('class','dduprecord');
										oA7.setAttribute("onclick","saveDuplicatedRecord('"+typeid+"','2');");
										oTD2.appendChild(oA7);
										
										var oTD5=document.createElement('td');
										oTD5.setAttribute('width','28%');
										var oA3=document.createElement('a');
										oA3.setAttribute('href','#');
										oA3.setAttribute('class','custduprecord');
										oA3.setAttribute('onclick','newRecCustomize();');
										oTD5.appendChild(oA3);			
																						
										oTR10.appendChild(oTD1);
										oTR10.appendChild(oTD2);
										oTR10.appendChild(oTD5);
										
										oTBody1.appendChild(oTR10);
										oTable1.appendChild(oTBody1);
										
										var oTable2 = document.createElement('table');
										oTable2.border=0;
										oTable2.setAttribute('cellspacing','0');
										oTable2.setAttribute('style','padding:0px 0px 0px 0px');
										oTable2.setAttribute('width','100%');
										
										var oTBody2 = document.createElement('tbody');
										var oTR12=document.createElement('tr');
										var oTD7=document.createElement('td');
										oTD7.height=15;
										var oDIV1=document.createElement('div');
										oDIV1.id = "dupDuplicateRec";
										oTD7.appendChild(oDIV1);
										oTR12.appendChild(oTD7);
										oTBody2.appendChild(oTR12);
										oTable2.appendChild(oTBody2);
										
										document.getElementById('addNewRecord').appendChild(oTable);
										document.getElementById('addNewRecord').appendChild(oTable1);
										document.getElementById('addNewRecord').appendChild(oTable2);
										return true;												
											}
						}
					
		xmlhttp.open("POST","../webservices/duplicateRecord.php",true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send(param);		
		return true;
}

//Function Name    : openDuplicateAttachmentWindow
//Description      : opens a duplicate attachment window
//Input Parameters : None
//Output Parameters: None
//Return value     : None
newDuplicateAttachmentWindow = "";
function openDuplicateAttachmentWindow()
{
	
newDuplicateAttachmentWindow = window.open('duplicateattachmentwindow.php?n='+attachmentName+'&t='+time3 ,'myeditattachmentwin','left=300, top=250,width=430,height=312,location=no, menubar=no, scrollbars=no, toolbar=no, resizable=no, copyhistory=no');
	
}
//Function Name    : editRecChangeDetails
//Description      : function to update fieldnames on change of type in dropdown list
//Input Parameters : newtypeid,typeid
//Output Parameters: None
//Return value     : None

function editRecChangeDetails(newtypeid,typeid)
{
	$("hdnCust").value = 1;
	var recChange=newRecChangeDetails(newtypeid,typeid);
}


//Function Name    : saveDuplicatedRecord
//Description      : function to save data
//Input Parameters : typeid
//Output Parameters: None
//Return value     : None

function saveDuplicatedRecord(typeid,dupFlag)
{
	
	
	var field1id = "field1";
	var field2id = "field2";
	var field3id = "field3";
	var field4id = "field4";
	var field5id = "field5";
	var field6id = "field6";
	var field7id = "field7";
	var field8id = "field8";
	var field9id = "field9";
	//var field10id = "field10";
	var notesid = "notes";
	var elm1 = document.getElementById('selectIdType');
	var elm2 = document.getElementById('selectIdGrp');
	var imageid = "imgiconid"+typeid;

	var icon 	= $(imageid).value;
	
	var field1 = $(field1id).value;
	var field2 = $(field2id).value;
	var field3 = $(field3id).value;
	var field4 = $(field4id).value;
	var field5 = $(field5id).value;
	var field6 = $(field6id).value;
	var field7 = $(field7id).value;
	var field8 = $(field8id).value;
	var field9 = $(field9id).value;
	//encode url
	field1 = encodeURIComponent(field1);
	field2 = encodeURIComponent(field2);
	field3 = encodeURIComponent(field3);
	field4 = encodeURIComponent(field4);
	field5 = encodeURIComponent(field5);
	field6 = encodeURIComponent(field6);
	field7 = encodeURIComponent(field7);
	field8 = encodeURIComponent(field8);
	field9 = encodeURIComponent(field9);
	//var field10 =$(field10id).value;
		//------------get date--------------//
	
	var today1 =new Date();
	var h = today1.getHours();
	var m = today1.getMinutes();
	var s = today1.getSeconds();
	var month = today1.getMonth();
	month = month +1;
	var day = today1.getDate();
	var year = today1.getFullYear();
	
	var date1 =today1.toString();
	
	var checkGMT = date1.search("GMT");
	var checkUTC = date1.search("UTC");
	
	if(checkUTC != -1){
		var gmt1 = date1.split("UTC");
	}
	if(checkGMT != -1){
		var gmt1 = date1.split("GMT");
	}
	var gmt2 = gmt1[1].split(" ");
	var gmt = gmt2[0];
	
	
	if(month<10){
		month = "0"+month;
	}
	if(day<10){
		day= "0"+day;
	}
	if(h<10){
		h = "0"+h;
	}
	if(m<10){
		m= "0"+m;
	}
	if(s<10){
		s= "0"+s;
	}
	
	var field10 = year+"-"+month+"-"+day+" "+h+":"+m+":"+s+" "+gmt;
	field10 = encodeURIComponent(field10);
	//----------------------------------//
	var notes =$(notesid).value;
	notes = encodeURIComponent(notes);
	var selectedTypeId = elm1.options[elm1.selectedIndex].value;
	var selectedGrpId = elm2.options[elm2.selectedIndex].value;
	var customizedFields = $("hdnCust").value;
	var customizedImg = $("hdnCustImg").value;
	
	if((customizedFields == 1)||(customizedImg == 1)||(customdata == 1)){
		var customized = 1;		//if icon or field title is customized 
	}else{
		var customized = 0;		//if icon and field title is not customized 
	}

//alert(customizedImg);
	if(customized == 1){
		//alert("in cust");
				var field1id = "fieldName1";
				var field2id = "fieldName2";
				var field3id = "fieldName3";
				var field4id = "fieldName4";
				var field5id = "fieldName5";
				var field6id = "fieldName6";
				var field7id = "fieldName7";
				var field8id = "fieldName8";
				var field9id = "fieldName9";
				var field10id= "fieldName10";
				
			
				
				var fieldTitle1 = $(field1id).title;
				var fieldTitle2 = $(field2id).title;
				var fieldTitle3 = $(field3id).title;
				var fieldTitle4 = $(field4id).title;
				var fieldTitle5 = $(field5id).title;
				var fieldTitle6 = $(field6id).title;
				var fieldTitle7 = $(field7id).title;
				var fieldTitle8 = $(field8id).title;
				var fieldTitle9 = $(field9id).title;
				var fieldTitle10 = $(field10id).title;
				//encode url
				fieldTitle1 = encodeURIComponent(fieldTitle1);
				fieldTitle2 = encodeURIComponent(fieldTitle2);
				fieldTitle3 = encodeURIComponent(fieldTitle3);
				fieldTitle4 = encodeURIComponent(fieldTitle4);
				fieldTitle5 = encodeURIComponent(fieldTitle5);
				fieldTitle6 = encodeURIComponent(fieldTitle6);
				fieldTitle7 = encodeURIComponent(fieldTitle7);
				fieldTitle8 = encodeURIComponent(fieldTitle8);
				fieldTitle9 = encodeURIComponent(fieldTitle9);
				fieldTitle10 = encodeURIComponent(fieldTitle10);
			
				var maskSum = 0;
				if(($("maskbox0").innerHTML) == "*"){
					maskSum += 1;
				}
				
				if(($("maskbox1").innerHTML) == "*"){
					maskSum += 2;
				}
				
				if(($("maskbox2").innerHTML) == "*"){
					maskSum += 4;
				}
				if(($("maskbox3").innerHTML) == "*"){
					maskSum += 8;
				}
				
				if(($("maskbox4").innerHTML) == "*"){
					maskSum += 16;
				}
				
				if(($("maskbox5").innerHTML) == "*"){
					maskSum += 32;
				}
				
				if(($("maskbox6").innerHTML) == "*"){
					maskSum += 64;
				}
				
				if(($("maskbox7").innerHTML) == "*"){
					maskSum += 128;
				}
				if(($("maskbox8").innerHTML) == "*"){
					maskSum += 256;
				}
				
				if(($("maskbox9").innerHTML) == "*"){
					maskSum += 512;
				}
				//alert("MASKSUM="+maskSum);
				
				var parameters = "typeId="+selectedTypeId+"&groupId="+selectedGrpId+"&iconId="+icon+"&field1="+field1+"&field2="+field2+"&field3="+field3+"&field4="+field4+"&field5="+field5+"&field6="+field6+"&field7="+field7+"&field8="+field8+"&field9="+field9+"&field10="+field10+"&notes="+notes+"&custom="+customized+"&fieldTitle1="+fieldTitle1+"&fieldTitle2="+fieldTitle2+"&fieldTitle3="+fieldTitle3+"&fieldTitle4="+fieldTitle4+"&fieldTitle5="+fieldTitle5+"&fieldTitle6="+fieldTitle6+"&fieldTitle7="+fieldTitle7+"&fieldTitle8="+fieldTitle8+"&fieldTitle9="+fieldTitle9+"&fieldTitle10="+fieldTitle10+"&maskSum="+maskSum+"&attachmentTime="+time3+"&hasAttachment="+hasAttachment+"&recid="+GlobalVarRecordId;
	//alert(parameters);
}else{
//alert(2);
				var parameters = "typeId="+selectedTypeId+"&groupId="+selectedGrpId+"&field1="+field1+"&field2="+field2+"&field3="+field3+"&field4="+field4+"&field5="+field5+"&field6="+field6+"&field7="+field7+"&field8="+field8+"&field9="+field9+"&field10="+field10+"&notes="+notes+"&custom="+customized+"&attachmentTime="+time3+"&hasAttachment="+hasAttachment+"&recid="+GlobalVarRecordId;
	
}
if(dupFlag == 1){
	
	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
    		//alert(xmlhttp.responseText);
																
			//Dialog.cancelCallback();
			//GlobalVarRecordId =0;
			//getcategory();
			//window.location.reload(true);
			window.location =filePath+'mainpage.php';
		}
	 }
					
	xmlhttp.open("POST","../webservices/saveDuplicatedRecord.php",true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send(parameters);
}
if(dupFlag == 2){
	

	var xmlhttp;
	if (window.XMLHttpRequest){  	// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
  	}else{							// code for IE6, IE5
  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange=function(){
  		if (xmlhttp.readyState==4 && xmlhttp.status==200){
    		//alert(xmlhttp.responseText);
			
			var fielddup = $(field1id).value;
			$(field1id).value = fielddup+" Copy";
			$('dupDuplicateRec').setAttribute('class','pwrdsuccessmsg');
			$('dupDuplicateRec').innerHTML = "Duplicate Successful!";
		}
	 }
					
	xmlhttp.open("POST","../webservices/saveDuplicatedRecordDup.php",true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send(parameters);
}	
}
//--function defined in recordModal.js------//
//newRecChangeDetails,newRecCustomize,newRecCustomizeDisplay,saveCustomChange and resetChanges