// JavaScript Document
/*
	Phantom 
	applicationModal.php
	This script contains functions for group creation and autolock
	Copyright  2011, SplashData
	Written under contract by Robosoft Technologies Pvt. Ltd.
*/

filePath = "/splashid/webclient/";
var countdown ="";
var time ="";


/*
Function 	:openDHTMLWindow(ptitle, purl, pwidth, pheight, name)
Brief 		:openDHTMLWindow opens a modal window
Detail 		:This member function is used to open a modal window
Input param :ptitle-title of the window,
			 purl-url to the page to be opened,
			 pwidth - width of the window,
			 pheight -height of the window, 
			 name - name of the window
Input/ output param : none
Return 		:Returns void
*/

function openDHTMLWindow(ptitle, purl, pwidth, pheight, name)
{
	 	purl = document.location.protocol+'//'+document.location.host+ purl;
		dia = Dialog.info(
						  {
							url: purl,
							cancel:function(win) 
									{debug("cancel confirm panel");},
									options: {method: 'post'} 
							}, 
							{ className: "alphacube", title: "<b>"+ptitle+"</b>", width: pwidth, height: pheight, winName: name}
						);

} 



/*
Function 	:openLockWindow(ptitle, purl, pwidth, pheight, name)
Brief 		:openLockWindow opens a modal window
Detail 		:This member function is used to open a lock modal window
Input param :ptitle-title of the window,
			 purl-url to the page to be opened,
			 pwidth - width of the window,
			 pheight -height of the window, 
			 name - name of the window
Input/ output param : none
Return 		:Returns void
*/

function openLockWindow(ptitle, purl, pwidth, pheight, name)
{
	if((newImportWindow)&&(!newImportWindow.closed)){
		
		newImportWindow.close();
	}
	if((newExportWindow)&&(!newExportWindow.closed)){
		
		newExportWindow.close();
	}
	if((newAttachmentWindow)&&(!newAttachmentWindow.closed)){
		
		newAttachmentWindow.close();
	}
	if((newDuplicateAttachmentWindow)&&(!newDuplicateAttachmentWindow.closed)){
		
		newDuplicateAttachmentWindow.close();
	}
	if((newEditAttachmentWindow)&&(!newEditAttachmentWindow.closed)){
		
		newEditAttachmentWindow.close();
	}
	 	purl = document.location.protocol+'//'+document.location.host+ purl;
		dia = Dialog.info(
						  {
							url: purl,
							cancel:function(win) 
									{debug("cancel confirm panel");},
									options: {method: 'post'} 
							}, 
							{ className: "alphacube1", title: "<b>"+ptitle+"</b>", width: pwidth, height: pheight, winName: name}
						);

}



/*
Function 	:opencat_window()
Brief 		:opencat_window opens a modal window with the help o openDHTMLWindow function 
Detail 		:This member function is used to open a category modal window
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function opencat_window()
{
	
	openDHTMLWindow("Edit Group", filePath+'editCategory.php', 435,375, "editGroup");
	
	var getCat=getCategory();

}


/*
Function 	:getCategory()
Brief 		:getCategory()  fetches all the categories 
Detail 		:This member function is used to get all the categories and display it in edit category window
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function getCategory()
{


	new Ajax.Updater('user','../webservices/editcategory.php',
					 {asynchronous:true, 	evalScripts:true,requestHeaders: {Accept: 'application/json'},
				onSuccess:function(request){
					
							 var category = request.responseText.evalJSON(true);
							//alert(request.responseText);
							 categorycount=category.categorycount;
								
							
							var categoryarray= new Array();
							var categoryidarray= new Array();
							 
							
							 var userCategory=category.username;
							 userCategory="Personal-"+userCategory;
							 categoryarray[0]=userCategory;
							  if(categoryarray[0].length>20)
									 {
										categoryarray[0]=categoryarray[0].substring(0,20);
										categoryarray[0]+="...";
									 }
							
								
								 for(i=0;i<categorycount;i++)
								 {
									
									 categoryarray[i+1]=category.categories[i].NAME;
									
									 if(categoryarray[i+1].length>20)
									 {
										categoryarray[i+1]=categoryarray[i+1].substring(0,20);
										categoryarray[i+1]+="...";
										
									 }
									 
									 categoryidarray[i+1]=category.categories[i].GROUPID;
																	
								 }
								
								
								var oTable = document.createElement('table');
								oTable.border=0;
								oTable.cellSpacing='0';
								oTable.setAttribute('align','center');
								oTable.setAttribute('width','418');
								oTable.setAttribute('id','tableId');
								
								var oTBody = document.createElement('tbody');
								
															
								var oTR1=document.createElement('tr');
								oTR1.setAttribute('id','emptyRow');
								var oTD1=document.createElement('td');
								oTD1.setAttribute('colspan','4');
								oTD1.style.border='1px solid #B8B8B8';
								oTR1.appendChild(oTD1);
								oTBody.appendChild(oTR1);
								
								for(i=0;i<=categorycount;i++)
								{
								
									var oTR2=document.createElement('tr');
									oTR2.setAttribute('height','30');
									oTR2.setAttribute('id','tr'+i);
									
									if(i%2!=0)
									{
										oTR2.setAttribute('class','odd_color');
									}
									else
									{
										oTR2.setAttribute('class','even_color');
									}
									if(i==0){
										var catid='catid'+category.userId;
									}
									else{
										var catid='catid'+categoryidarray[i];
									}
									/*alert(categoryarray[i]);*/
										
										var tabid='td'+i;
										
										var oTD1=document.createElement('td');
										oTD1.setAttribute('class','edit_category');
										oTD1.setAttribute('width','51');
										oTD1.setAttribute('id','td'+i);
										oTD1.setAttribute("onclick","edit_cat('"+tabid+"','"+catid+"')");
										
										var oTD2=document.createElement('td');
										oTD2.setAttribute('class','category_font');
										oTD2.setAttribute('align','left');
										oTD2.setAttribute('style','padding:0px 0px 0px 15px');
										oTD2.appendChild(document.createTextNode(categoryarray[i]));
										oTD2.setAttribute('width','212');
										
										var oTD3=document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.className ='duplicateButton';
										/*input_butn.value='Duplicate'*/
										input_butn.style.cursor='pointer';
										input_butn.setAttribute("onclick","dup_categoryUI('"+tabid+"','"+catid+"')");
										oTD3.appendChild(input_butn);
										
										var oTD4=document.createElement('td');
										oTD4.setAttribute('class','delete_action');
										oTD4.setAttribute('style','padding:0px 0px 0px 15px');
										oTD4.setAttribute('width','45');
										oTD4.setAttribute('id', catid);
										oTD4.setAttribute("onclick","deletecat_confirmation('"+catid+"','"+tabid+"')");
								
								
									oTR2.appendChild(oTD1);
									oTR2.appendChild(oTD2);
									oTR2.appendChild(oTD3);
									oTR2.appendChild(oTD4);
									oTBody.appendChild(oTR2);
								
								}
								
								oTable.appendChild(oTBody);
									
							document.getElementById('tab_border').appendChild(oTable);
						
							
				}
	
			});
	

return true;
		
}

/*
Function 	:dup_categoryUI(id,catgid)
Brief 		:dup_categoryUI  displays the duplicate category UI
Detail 		:This member function is used to displays the duplicate category UI on click of Duplicate button
Input param :id - rowid, ctid -category id
Input/ output param : none
Return 		:Returns void
*/
function dup_categoryUI(id,catgid)
{
	var catgid=catgid;
	catgid=catgid.split("catid");
	catgid=catgid[1];
	obj=document.getElementById('editvalue');

	document.getElementById('usrcontent').innerHTML='';
	document.getElementById('mergecatcontent').innerHTML='';
	document.getElementById('footerbuttons').innerHTML='';

	///Element.show(indicatorId);
	
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
								postBody:'catid='+catgid,
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var grppermissions = request.responseText.evalJSON(true);
							//alert(request.responseText);
							
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							var col_id=id.split("d");
							x=col_id[1];
							if(x==0){
								///Element.hide(indicatorId);
								alert("You cannot duplicate your personal group.");
								
							}
							else{
					
							if(grpedit==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to duplicate group.");
							
							}
							else{
								new Ajax.Updater('user','../webservices/editcategory.php',
								{
									asynchronous:true, 
									evalScripts:true,
									requestHeaders: {Accept: 'application/json'},
									onSuccess:function(request){
							
									var category = request.responseText.evalJSON(true);
								/*	alert(request.responseText);*/
									
									var categorycount=category.categorycount;
									var usrcount=category.usercount;
									
									var categoryarray= new Array();
									var categoryidarray= new Array();
									var useridarray= new Array();
								
									for(i=0;i<categorycount;i++){
										categoryarray[i+1]=category.categories[i].NAME;
										categoryidarray[i+1]=category.categories[i].GROUPID;
										
									}
									
									for(i=0;i<usrcount;i++){
										useridarray[i]=category.userlist[i].USERID;
										
									}
									
									obj.id=categoryidarray[x];
										
									document.getElementById('edit_category').style.display="none";
									
									document.getElementById('catpermission').style.display="block";
									
									dupcatname=categoryarray[x]+' copy';
									
									document.getElementById(obj.id).value=dupcatname;
									
									var oTable = document.createElement('table');
									oTable.setAttribute('cellpadding','0');
									oTable.setAttribute('align','center');
									oTable.setAttribute('cellspacing','0');
									oTable.setAttribute('style','padding:10px 0px 0px 6px');
									oTable.setAttribute('width','410px');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									
									for(y=0;y<usrcount;y++){
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.setAttribute('class',class1);
									
										
										var oTD1 = document.createElement('td');
										
										if(category.userlist[y].NAME.length>13){
											userlist=category.userlist[y].NAME.substring(0,13);
											userlist+="...";
										}
										else{
											userlist=category.userlist[y].NAME;
										}
										//alert(category.userlist[y].NAME);
										oTD1.appendChild(document.createTextNode(userlist));
										oTD1.setAttribute('width','135px');
										oTD1.setAttribute('id','user'+y);
										oTD1.setAttribute('title',category.userlist[y].NAME);
										oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										var desc='';
										var oTD2 = document.createElement('td');
										
										if(category.userlist[y].DESCRIPTION.length>13){
											desc=category.userlist[y].DESCRIPTION.substring(0,13);
											desc+="...";
										}
										else{
											desc=category.userlist[y].DESCRIPTION;
										}
										
										oTD2.appendChild(document.createTextNode(desc));
										oTD2.setAttribute('style','padding:0px 0px 0px 5px');
										oTD2.setAttribute('width','135px');
										var oTD3 = document.createElement('td');
										var chkbox=document.createElement('input');
										chkbox.setAttribute('type','checkbox');
										chkbox.setAttribute('id','id'+y);
										chkbox.setAttribute('style','margin:0px 0px 0px 60px');
										oTD3.appendChild(chkbox);
										
									oTR.appendChild(oTD1);
									oTR.appendChild(oTD2);
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('usrcontent').appendChild(oTable);	
									
									var categorycount=category.categorycount;
									
									var oTable = document.createElement('table');
									oTable.setAttribute('cellpadding','0');
									oTable.setAttribute('align','center');
									oTable.setAttribute('cellspacing','0');
									oTable.setAttribute('style','padding:10px 0px 0px 6px');
									oTable.setAttribute('width','410px');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									var z=0;	
									for(y=0;y<categorycount;y++){
										
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.setAttribute('class',class1);
										
										var catgname="";
										catgname=category.categories[y].NAME;
										
										
										if(catgname.length>26){
											catgname=catgname.substring(0,26);
											catgname+="...";
										}
																			
											var oTD1 = document.createElement('td');
											oTD1.appendChild(document.createTextNode(catgname));
											oTD1.setAttribute('width','205px');
											oTD1.setAttribute('id','grpid'+z);
											oTD1.setAttribute('title',category.categories[y].NAME);
											
											oTD1.setAttribute('style','padding:0px 0px 0px 15px');
										
											var oTD3 = document.createElement('td');
											var chkbox=document.createElement('input');
											chkbox.setAttribute('type','checkbox');
											chkbox.setAttribute('id','group'+z);
											oTD3.setAttribute('align','center');
											oTD3.appendChild(chkbox);
											z++;
										
									oTR.appendChild(oTD1);
								
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
										
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('mergecatcontent').appendChild(oTable);
									
									var permissionid=--x;
									
									var catPermission=category.categories[permissionid].PERMISSION;
									//alert(catPermission);
									document.getElementById('catoverrides').checked=false;
									document.getElementById('useroverrides').checked=false;
									
										
									if(catPermission==1){
										document.getElementById('catoverrides').checked='checked';
									}
									else{
										document.getElementById('useroverrides').checked='checked';
									}
									
								
									var recordPermission=category.categories[permissionid].RECORDPERMISSION;
										rpermission=parseInt(recordPermission);
										var i=0;
										var bin=rpermission.toString(2);
										var str='';
										var len=bin.length;
										var append=3-len;
										for(i=0;i<append;i++){
											str+=0;
										}
										str+=bin;
										recdelete=str.charAt(0);
										recedit=str.charAt(1);
										recadd=str.charAt(2);
										
										document.getElementById('addrec').checked=false;
										document.getElementById('editrec').checked=false;
										document.getElementById('delrec').checked=false;
										if(recadd==1){
											document.getElementById('addrec').checked='checked';
										}
										if(recedit==1){
											document.getElementById('editrec').checked='checked';
										}
										if(recdelete==1){
											document.getElementById('delrec').checked='checked';
										}
										
										var oTable1 = document.createElement('table');
										oTable1.cellPadding='0';
										oTable1.align='center';
										oTable1.cellspacing='0';
										oTable1.border='0';
										
										var oTBody = document.createElement('tbody');
										
										var oTR = document.createElement('tr');
										oTR.height='20px';
									
									//var newcatcount=categorycount-1;
										var oTD1 = document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.style.cursor='pointer';
										input_butn.className ='Cancelbutton';
										input_butn.style.margin='24px 210px 0px 0px';
										input_butn.setAttribute("onclick","cancelcat('"+obj.id+"')");
										oTD1.appendChild(input_butn);
										
										var oTD2 = document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.style.cursor='pointer';
										input_butn.className='OKbutton';
										input_butn.setAttribute('style','margin:24px 0px 0px 0px');
										input_butn.setAttribute("onclick","dupCat('"+obj.id+"','"+usrcount+"','"+categorycount+"')");
										oTD2.appendChild(input_butn);
									
										oTR.appendChild(oTD1);
										oTR.appendChild(oTD2);
										oTBody.appendChild(oTR);
										oTable1.appendChild(oTBody);
										document.getElementById('footerbuttons').appendChild(oTable1);
					
					///Element.hide(indicatorId);
				
					}
				
				});	
							}
								
							}
							}
						});
}


/*
Function 	:dupCat(id,usrcount,grpcount)
Brief 		:dupCat duplicates the category 
Detail 		:This member function is used to duplicate the category after checking 
			  for duplicate category names and user permissions
Input param :id - rowid,usrcount-no.of users checked, grpcount -no.of groups checked
Input/ output param : none
Return 		:Returns void
*/
function dupCat(id,usrcount,grpcount)
{
	
		
	uiddata = '';
	var j =0;
	for(i=0;i<usrcount;i++){
		var chkid='id'+i;
		var userid='user'+i;
		
		chkarray = document.getElementById(chkid).checked;
		
		if(chkarray){
			uid =document.getElementById(userid).title;
			//alert(uid);
			uiddata += "uid"+j+"="+uid+"&";
			j++;
		}
	}
	
	var p=0;
	for(i=0;i<grpcount;i++){
		var grpid='group'+i;
		
		var grpname='grpid'+i;
		grparray = document.getElementById(grpid).checked;
		
		if(grparray){
			grpname =document.getElementById(grpname).title;
			//alert(grpname);
			uiddata += "grpname"+p+"="+grpname+"&";
			p++;
		}
		
	}
	
	var catprevails=document.getElementById('catoverrides').checked;
	if(catprevails){
		var add=document.getElementById('addrec').checked;
		var del=document.getElementById('delrec').checked;
		var edit=document.getElementById('editrec').checked;
		uiddata += "add"+"="+add+"&"+"del"+"="+del+"&"+"edit"+"="+edit+"&"+"prevails"+"="+catprevails+"&";
	
	}
	

	///Element.show(indicatorId);
	var catname=document.getElementById(id).value;
	cat_id=id;
	
	var regExp=/^(?=Personal-)/;
	if(catname=='')
	{
		///Element.hide(indicatorId);
		alert('You must specify a name for this Group.');
	}
	
	else if(regExp.test(catname)){
		///Element.hide(indicatorId);
		alert("Group name cannot start with 'Personal-'.\nThis keyword is reserved for personal Group.");
	}
	
	else
	{
		catname=encodeURIComponent(catname);
		uiddata += "catname="+catname+"&catid="+id+"&usercount="+usrcount+"&grpcount="+grpcount;
		//alert(uiddata);
		
		new Ajax.Updater('user','../webservices/createCategory.php',
				 {
				
				 asynchronous:true, 	
				 evalScripts:true,
				 postBody: uiddata,
				 requestHeaders: {Accept: 'application/json'},
				 
					onSuccess:function(request){	
					var categorydetail = request.responseText.evalJSON(true);
				//alert(request.responseText);
					var categorycount=categorydetail.grpNameexists;
					
										
					if(categorycount=='yes')
					{
						alert('Group name cannot be duplicated. Please enter different Group name.');	
					}
					
					else
					{
						
						
						var obj=document.getElementById(id);
						//alert(obj);
					 	obj.id='editvalue';
					 	document.getElementById('catpermission').style.display='none'; 
						document.getElementById('edit_category').style.display="block";
						document.getElementById('tab_border').innerHTML='';
					 	getCategory();	
					}
					///Element.hide(indicatorId);
				}
			});
	}
}




/*
Function 	:deletecat_confirmation(catid,id)
Brief 		:deletecat_confirmation gives confirmation dialog
Detail 		:This member function is used to delete the category on click 
			 of Delete button after checking user permissions
Input param :id - rowid,catid- category id
Input/ output param : none
Return 		:Returns void
*/
function deletecat_confirmation(catid,id)
{
	
	
	///Element.show(indicatorId);
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var grppermissions = request.responseText.evalJSON(true);
							/*alert(request.responseText);*/
							
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							
							var newid=id.split("td");
							new_id=newid[1];
							
							
							if(new_id==0){
								///Element.hide(indicatorId);
								alert("You cannot delete your personal group.");
								
							}
							else{
									
							
							if(grpdelete==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to delete group.");	
							}
							else{
								var result=confirm('All Types and Records inside this group will be deleted.\nAre you sure you want to do this?');	
								if(result==true){
									
									var cat_id=catid.split("catid");
									id=cat_id[1];
								
									new Ajax.Updater('user','../webservices/deleteCategory.php',
										{
										  asynchronous:true, 	
										  evalScripts:true,
										  postBody: 'catid='+id,
										  requestHeaders: {Accept: 'application/json'},
										  onSuccess:function(request){
											  
										 document.getElementById('tab_border').innerHTML='';
										 getCategory();
										
										 
										}
								});
	
							}
							/// Element.hide(indicatorId);
						}
							}
						
				}
		});
	
}

/*
Function 	:editSuccess(id,usrcount,grpcount)
Brief 		:editSuccess edits the category
Detail 		:This member function is used to edit the category after checking user permissions
Input param :id - rowid,usrcount-no.of users checked, grpcount -no.of groups checked
Input/output param : none
Return 		:Returns void
*/
function editSuccess(id,usrcount,grpcount)
{
	
	uiddata = '';
	unchkd='';
	var editBtn = 1;
	var j =0;
	for(i=0;i<usrcount;i++){
		var chkid='id'+i;
		var userid='user'+i;
		
		chkarray = document.getElementById(chkid).checked;
		uid =document.getElementById(userid).title;
		//alert(uid);
		if(chkarray){
			
			uiddata += "uid"+j+"="+uid+"&";
			
		}
		else{
			uiddata+="unchkusr"+j+"="+uid+"&";
			
		}
		j++;
	}
	
	var p=0;
	for(i=0;i<grpcount;i++){
		var grpid='group'+i;
		
		var grpname='grpid'+i;
		grparray = document.getElementById(grpid).checked;
		grpname =document.getElementById(grpname).title;
		//alert(grpname);
		if(grparray){
			
			uiddata += "grpname"+p+"="+grpname+"&";
			
		}
		else{
			
			uiddata+="unchkgrp"+p+"="+grpname+"&";
			
		}
		p++;
	}
	
	var catprevails=document.getElementById('catoverrides').checked;
	if(catprevails){
		var add=document.getElementById('addrec').checked;
		var del=document.getElementById('delrec').checked;
		var edit=document.getElementById('editrec').checked;
		uiddata += "add"+"="+add+"&"+"del"+"="+del+"&"+"edit"+"="+edit+"&"+"prevails"+"="+catprevails+"&";
	
	}
	var regExp=/^(?=Personal-)/;
	
	///Element.show(indicatorId);
	
	var catname=document.getElementById(id).value;
	

	if(catname=='')
	{
		///Element.hide(indicatorId);
		alert('You must specify a name for this Category.');
	}
	else if(regExp.test(catname)){
		///Element.hide(indicatorId);
		alert("Group name cannot start with 'Personal-'.\nThis keyword is reserved for personal group.");
	}
	
	else
	{
		catname=encodeURIComponent(catname);
		uiddata +='catid='+id+'&catname='+catname+'&usercount='+usrcount+'&grpcount='+grpcount+"&editBtn="+editBtn;
		//alert(uiddata);
		new Ajax.Updater('user','../webservices/editCategoryname.php',
				 {
				 asynchronous:true, 	
				 evalScripts:true,
				 postBody:uiddata,
				 requestHeaders: {Accept: 'application/json'},
				 
				 onSuccess:function(request){
						
				 var categorydetail = request.responseText.evalJSON(true);
				 //alert(request.responseText);
				 var categorycount=categorydetail.grpNameexists;
										
				 if(categorycount=='yes')
				 {
					 alert('Group name cannot be duplicated. Please enter different Group name.');	
				 }
  				 else
				 {
					 
					 obj= document.getElementById(id);
					 obj.id='editvalue';
					 document.getElementById('catpermission').style.display='none'; 
					 document.getElementById('edit_category').style.display="block";
					 document.getElementById('tab_border').innerHTML='';
					 getCategory();	
				 }
				 
				 
				///Element.hide(indicatorId);
					 
				}
			});
	}
}


/*
Function 	:createNewCat(usrcount,grpcount)
Brief 		:createNewCat creates new category
Detail 		:This member function is used to create the category after checking user permissions
Input param :usrcount-no.of users checked, grpcount -no.of groups checked
Input/output param : none
Return 		:Returns void
*/
function createNewCat(usrcount,grpcount)
{
	
	uiddata = '';
	var j =0;
	for(i=0;i<usrcount;i++){
		var chkid='id'+i;
		var userid='user'+i;
		
		chkarray = document.getElementById(chkid).checked;
		
		if(chkarray){
			uid =document.getElementById(userid).title;
			uiddata += "uid"+j+"="+uid+"&";
			j++;
		}
	}
	
	var p=0;
	
	for(i=0;i<grpcount;i++){
		var grpid='group'+i;
		
		var grpname='grpid'+i;
		grparray = document.getElementById(grpid).checked;
		//alert(grparray);
		if(grparray){
			grpname =document.getElementById(grpname).title;
			uiddata += "grpname"+p+"="+grpname+"&";
			
			p++;
		}
	}
	
	

	///Element.show(indicatorId);
	
	var regExp=/^(?=Personal-)/;
	
	var catname=document.getElementById('editvalue').value;
	
	catname=encodeURIComponent(catname);
	uiddata +="catname="+catname+"&usercount="+usrcount+"&grpcount="+grpcount;
	
	//alert(uiddata);
	
	if(catname=='')
	{
		///Element.hide(indicatorId);
		alert('You must specify a name for this Group.');	
	}
	
	else if(regExp.test(catname)){
		///Element.hide(indicatorId);
		alert("Group name cannot start with 'Personal-'.\nThis keyword is reserved for personal group.");
	}
	
	else
	{
		
	new Ajax.Updater('user','../webservices/createCategory.php',
				 {
					 asynchronous:true, 	
					 evalScripts:true,
					 postBody:uiddata,
					 requestHeaders: {Accept: 'application/json'},
				 
					onSuccess:function(request){	
					var categorydetail = request.responseText.evalJSON(true);
					//alert(request.responseText);
					var categorycount=categorydetail.grpNameexists;
					
					if(categorycount=='yes')
					{
						alert('Group name cannot be duplicated. Please enter different Group name.');	
					}
					
					else
					{
						document.getElementById('catpermission').style.display='none'; 
						document.getElementById('edit_category').style.display="block";
						document.getElementById('tab_border').innerHTML='';
						
						getCategory();	
					}
					///Element.hide(indicatorId);
				}
			});
	
	}
}


/*
Function 	:createNewCat(usrcount,grpcount)
Brief 		:createNewCat creates new category
Detail 		:This member function is used to create the category after checking user permissions
Input param :usrcount-no.of users checked, grpcount -no.of groups checked
Input/output param : none
Return 		:Returns void
*/
function createNewCatUI()
{
	obj=document.getElementById('editvalue');
	obj.id='editvalue';
	
	document.getElementById('usrcontent').innerHTML='';
	document.getElementById('mergecatcontent').innerHTML='';
	document.getElementById('footerbuttons').innerHTML='';
	
	///Element.show(indicatorId);
	
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var grppermissions = request.responseText.evalJSON(true);
							/*alert(request.responseText);*/
							
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							if(grpadd==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to add group.");	
								
							}else{
								new Ajax.Updater('user','../webservices/editcategory.php',
								{
									asynchronous:true, 
									evalScripts:true,
									requestHeaders: {Accept: 'application/json'},
									onSuccess:function(request){
									var category = request.responseText.evalJSON(true);
									//alert(request.responseText);
									
									document.getElementById('edit_category').style.display="none";
									
									document.getElementById('catpermission').style.display="block";
									
									
									
									var usrcount=category.usercount;
									
									var oTable = document.createElement('table');
									//oTable.bgcolor='#FF0000';
									oTable.cellPadding='0';
									oTable.align='center';
									oTable.cellSpacing='0';
									oTable.setAttribute('style','padding:10px 0px 0px 6px');
									oTable.setAttribute('width','410px');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									
									for(y=0;y<usrcount;y++){
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.className =class1;
										
										var oTD1 = document.createElement('td');
										
										if(category.userlist[y].NAME.length>13){
											userlist=category.userlist[y].NAME.substring(0,13);
											userlist+="...";
										}
										else{
											userlist=category.userlist[y].NAME;
										}
										
										
										oTD1.appendChild(document.createTextNode(userlist));
										oTD1.setAttribute('width','135px');
										oTD1.setAttribute('id','user'+y);
										oTD1.setAttribute('title',category.userlist[y].NAME);
										oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										var desc='';
										var oTD2 = document.createElement('td');
										
										if(category.userlist[y].DESCRIPTION.length>13){
											desc=category.userlist[y].DESCRIPTION.substring(0,13);
											desc+="...";
										}
										else{
											desc=category.userlist[y].DESCRIPTION;
										}
										
										oTD2.appendChild(document.createTextNode(desc));
										oTD2.setAttribute('style','padding:0px 0px 0px 5px');
										oTD2.setAttribute('width','135px');
										var oTD3 = document.createElement('td');
										var chkbox=document.createElement('input');
										chkbox.setAttribute('type','checkbox');
										chkbox.setAttribute('id','id'+y);
										chkbox.setAttribute('style','margin:0px 0px 0px 60px');
										oTD3.appendChild(chkbox);
										
									oTR.appendChild(oTD1);
									oTR.appendChild(oTD2);
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('usrcontent').appendChild(oTable);	
									
									var categorycount=category.categorycount;
									
									var oTable = document.createElement('table');
									oTable.setAttribute('cellpadding','0');
									oTable.setAttribute('align','center');
									oTable.cellSpacing='0';
									oTable.setAttribute('style','padding:10px 0px 0px 6px');
									oTable.setAttribute('width','410px');
									oTable.border='0';
									var oTBody = document.createElement('tbody');
									
									document.getElementById('editvalue').value='';
									
									for(y=0;y<categorycount;y++){
										
										if(y%2 == 0){
											class1 = 'fieldodd';
										}else{
											class1 = 'fieldeven';
										}
										
									var oTR = document.createElement('tr');
									
									oTR.className=class1;
										
										var catgname="";
										catgname=category.categories[y].NAME;
										
										
										if(catgname.length>26){
											catgname=catgname.substring(0,26);
											catgname+="...";
										}
																				
											var oTD1 = document.createElement('td');
											oTD1.appendChild(document.createTextNode(catgname));
											oTD1.setAttribute('width','205px');
											oTD1.align='left';
											oTD1.setAttribute('id','grpid'+y);
											oTD1.setAttribute('title',category.categories[y].NAME);
											oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										
											var oTD3 = document.createElement('td');
											var chkbox=document.createElement('input');
											chkbox.setAttribute('type','checkbox');
											oTD3.setAttribute('align','center');
											chkbox.setAttribute('id','group'+y);
											oTD3.appendChild(chkbox);
										
									oTR.appendChild(oTD1);
								
									oTR.appendChild(oTD3);
									oTBody.appendChild(oTR);
										
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('mergecatcontent').appendChild(oTable);
									
									var oTable1 = document.createElement('table');
									oTable1.setAttribute('cellpadding','0');
									oTable1.setAttribute('align','center');
									oTable1.cellSpacing='0';
									oTable1.border='0';
									
									var oTBody = document.createElement('tbody');
									
									var oTR = document.createElement('tr');
									oTR.height='20px';
									
										var oTD1 = document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.style.cursor='pointer';
										input_butn.className='Cancelbutton';
										input_butn.style.margin='24px 210px 0px 0px';
										input_butn.setAttribute("onclick","cancelcat('"+obj.id+"')");
										oTD1.appendChild(input_butn);
										
										var oTD2 = document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.style.cursor='pointer';
										input_butn.setAttribute('class','OKbutton');
										input_butn.setAttribute('style','margin:24px 0px 0px 0px');
										input_butn.setAttribute("onclick","createNewCat('"+usrcount+"','"+categorycount+"')");
										oTD2.appendChild(input_butn);
									
									oTR.appendChild(oTD1);
									oTR.appendChild(oTD2);
									oTBody.appendChild(oTR);
									oTable1.appendChild(oTBody);
									
									document.getElementById('footerbuttons').appendChild(oTable1);
							
										document.getElementById('addrec').checked=false;
										document.getElementById('editrec').checked=false;
										document.getElementById('delrec').checked=false;
										document.getElementById('useroverrides').checked=false;
										document.getElementById('catoverrides').checked=false;
									
									document.getElementById('useroverrides').checked='checked';								
									}
								});		
							}
							}
				   });
}


/*
Function 	:cancelcreatecat(new_id)
Brief 		:cancelcreatecat canceling creation of new category
Detail 		:This member function is used to cancel creation of new category on clicking Cancel button
Input param :new_id- rowid
Input/output param : none
Return 		:Returns void
*/
function cancelcreatecat(new_id)
{
	///Element.show(indicatorId);
	document.getElementById('emptyRow').style.display="table-row";
	var index=document.getElementById(new_id).rowIndex;
	var mytable=document.getElementById("tableId")
	
	mytable.deleteRow(index);
	///Element.hide(indicatorId);
}


/*
Function 	:cancelcat(id)
Brief 		:cancelcat canceling editing of category 
Detail 		:This member function is used to cancel  editing of category on clicking Cancel button
Input param :id- rowid
Input/output param : none
Return 		:Returns void
*/
function cancelcat(id)
{
	obj=document.getElementById(id);
	
	obj.id='editvalue';
	
	document.getElementById('catpermission').style.display='none'; 
	document.getElementById('edit_category').style.display="block";
	document.getElementById('tab_border').innerHTML='';
	
	getCategory();
	
}


/*
Function 	:edit_cat(id,catgid)
Brief 		:edit_cat editing category
Detail 		:This member function is used to edit category after checking user permissions
Input param :id- rowid,catid - category id
Input/output param : none
Return 		:Returns void
*/
function edit_cat(id,catgid)
{
var catgid=catgid;
catgid=catgid.split("catid");
catgid=catgid[1];
	obj=document.getElementById('editvalue');
	

	document.getElementById('usrcontent').innerHTML='';
	document.getElementById('mergecatcontent').innerHTML='';
	document.getElementById('footerbuttons').innerHTML='';
	///Element.show(indicatorId);
	
	
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							postBody:'catid='+catgid,
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var grppermissions = request.responseText.evalJSON(true);
							
							permission=grppermissions.grppermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							grpdelete=str.charAt(0);
							grpedit=str.charAt(1);
							grpadd=str.charAt(2);
							
							if(grpedit==0){
								///Element.hide(indicatorId);
								alert("You don't have privilege to edit group.");		
							}
							else{
								
									
								new Ajax.Updater('user','../webservices/editcategory.php',
									{
										asynchronous:true,
										evalScripts:true,
										postBody:'catgid='+catgid,
										requestHeaders: {Accept: 'application/json'},
								    	onSuccess:function(request){
										
										var category = request.responseText.evalJSON(true);
									//alert(request.responseText);
										var categorycount=category.categorycount;
									
										var categoryarray= new Array();
										var categoryidarray= new Array();
										for(i=0;i<categorycount;i++){
											categoryarray[i+1]=category.categories[i].NAME;
											categoryidarray[i+1]=category.categories[i].GROUPID;
										
										}
		
										var col_id=id.split("d");
										x=col_id[1];
															
									if(x==0){
										///Element.hide(indicatorId);
										alert("You cannot edit your personal group.");
									}else{
									
									
										var usrcount=category.usercount;
																	
										document.getElementById('edit_category').style.display="none";
										
										document.getElementById('catpermission').style.display="block";
										
										document.getElementById('editvalue').value=categoryarray[x];
										
										
										obj.id=categoryidarray[x];
										
										
										var oTable = document.createElement('table');
										oTable.cellPadding='0';
										oTable.setAttribute('align','center');
										oTable.cellSpacing='0';
										oTable.setAttribute('style','padding:10px 0px 0px 6px');
										oTable.setAttribute('width','412px');
										oTable.border='0';
										var oTBody = document.createElement('tbody');
										
										for(y=0;y<usrcount;y++){
											
											if(y%2 == 0){
												class1 = 'fieldodd';
											}else{
												class1 = 'fieldeven';
											}
											
										var oTR = document.createElement('tr');
									
										oTR.className=class1;
										
										var oTD1 = document.createElement('td');
										
										if(category.userlist[y].NAME.length>13){
											userlist=category.userlist[y].NAME.substring(0,13);
											userlist+="...";
										}
										else{
											userlist=category.userlist[y].NAME;
										}
										
										oTD1.appendChild(document.createTextNode(userlist));
										oTD1.setAttribute('width','135px');
										oTD1.setAttribute('id','user'+y);
										oTD1.setAttribute('title',category.userlist[y].NAME);
										oTD1.setAttribute('style','padding:0px 0px 0px 8px');
										var desc='';
										var oTD2 = document.createElement('td');
										
										if(category.userlist[y].DESCRIPTION.length>13){
											desc=category.userlist[y].DESCRIPTION.substring(0,13);
											desc+="...";
										}
										else{
											desc=category.userlist[y].DESCRIPTION;
										}
										
										oTD2.appendChild(document.createTextNode(desc));
										oTD2.setAttribute('style','padding:0px 0px 0px 5px');
										oTD2.setAttribute('width','135px');
										var oTD3 = document.createElement('td');
										var chkbox=document.createElement('input');
										chkbox.setAttribute('type','checkbox');
										chkbox.setAttribute('id','id'+y);
										chkbox.setAttribute('style','margin:0px 0px 0px 60px');
									
										if(category.userlist[y].SET==1){
											chkbox.checked=true;
										}
										else{
											chkbox.checked=false;
										}
										oTD3.appendChild(chkbox);
										
										oTR.appendChild(oTD1);
										oTR.appendChild(oTD2);
										oTR.appendChild(oTD3);
										oTBody.appendChild(oTR);
											
										}
										oTable.appendChild(oTBody);
						
										document.getElementById('usrcontent').appendChild(oTable);	
										
										var categorycount=category.categorycount;
									
										var oTable = document.createElement('table');
										oTable.cellPadding='0';
										oTable.setAttribute('align','center');
										oTable.cellSpacing='0';
										oTable.setAttribute('style','padding:10px 0px 0px 6px');
										oTable.setAttribute('width','410px');
										oTable.border='0';
										var oTBody = document.createElement('tbody');
										var z=0;var w=0;
										for(y=0;y<categorycount;y++){
										
											if(category.categories[y].NAME!=categoryarray[x]){
												if(w%2 == 0){
													class1 = 'fieldodd';
												}else{
													class1 = 'fieldeven';
												}
											
												var oTR = document.createElement('tr');
									
												oTR.className=class1;
										
												var catgname="";
												catgname=category.categories[y].NAME;
												
												
												if(catgname.length>26){
													catgname=catgname.substring(0,26);
													catgname+="...";
												}
																				
												var oTD1 = document.createElement('td');
												oTD1.appendChild(document.createTextNode(catgname));
												oTD1.setAttribute('width','205px');
												oTD1.setAttribute('id','grpid'+z);
												oTD1.setAttribute('title',category.categories[y].NAME);
												oTD1.setAttribute('style','padding:0px 0px 0px 8px');
											
												var oTD3 = document.createElement('td');
												var chkbox=document.createElement('input');
												chkbox.setAttribute('type','checkbox');
												chkbox.setAttribute('id','group'+z);
												
												if(category.categories[y].SET==1){
													chkbox.checked=true;
												}
												else{
													chkbox.checked=false;
												}
												oTD3.setAttribute('align','center');
												oTD3.appendChild(chkbox);
												z++;
										
												oTR.appendChild(oTD1);
								
												oTR.appendChild(oTD3);
												oTBody.appendChild(oTR);
												w++;
										}
										
									}
									oTable.appendChild(oTBody);
					
									document.getElementById('mergecatcontent').appendChild(oTable);
									
									var permissionid=--x;
									
									var catPermission=category.categories[permissionid].PERMISSION;
									
									document.getElementById('catoverrides').checked=false;
									document.getElementById('useroverrides').checked=false;
									             
									if(catPermission==1){
										document.getElementById('catoverrides').checked='checked';
									}
									else{
										document.getElementById('useroverrides').checked='checked';
									}
									
										var recordPermission=category.categories[permissionid].RECORDPERMISSION;
										rpermission=parseInt(recordPermission);
										var i=0;
										var bin=rpermission.toString(2);
										var str='';
										var len=bin.length;
										var append=3-len;
										for(i=0;i<append;i++){
											str+=0;
										}
										str+=bin;
										recdelete=str.charAt(0);
										recedit=str.charAt(1);
										recadd=str.charAt(2);
										
										document.getElementById('addrec').checked=false;
										document.getElementById('editrec').checked=false;
										document.getElementById('delrec').checked=false;
										if(recadd==1){
											document.getElementById('addrec').checked='checked';
										}
										if(recedit==1){
											document.getElementById('editrec').checked='checked';
										}
										if(recdelete==1){
											document.getElementById('delrec').checked='checked';
										}
										
										
									var oTable1 = document.createElement('table');
									oTable1.cellPadding='0';
									oTable1.align='center';
									oTable1.cellSpacing='0';
									oTable1.border='0';
									
									var oTBody = document.createElement('tbody');
									
									var oTR = document.createElement('tr');
									oTR.height='20px';
									var newcatcount=categorycount-1;
										var oTD1 = document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.style.cursor='pointer';
										input_butn.className='Cancelbutton';
										input_butn.style.margin='24px 210px 0px 0px';
										input_butn.setAttribute("onclick","cancelcat('"+obj.id+"')");
										oTD1.appendChild(input_butn);
										
										var oTD2 = document.createElement('td');
										input_butn=document.createElement('input');
										input_butn.type='button';
										input_butn.style.cursor='pointer';
										input_butn.className ='OKbutton';
										input_butn.setAttribute('style','margin:24px 0px 0px 0px');
										input_butn.setAttribute("onclick","editSuccess('"+obj.id+"','"+usrcount+"','"+newcatcount+"')");
										oTD2.appendChild(input_butn);
									
									oTR.appendChild(oTD1);
									oTR.appendChild(oTD2);
									oTBody.appendChild(oTR);
									oTable1.appendChild(oTBody);
									document.getElementById('footerbuttons').appendChild(oTable1);
									
									
									
										///Element.hide(indicatorId);
									}
									}
								});
						}
						
				}
		});
}



function deletetype_confirmation()
{
	confirm('Deleteing a Type will cause all entries with that type to be deleted.\nAre you sure you want to do this?');	
}


function openEmailWindow()
{
	
	 openDHTMLWindow("", filePath+'toolsEmail.php', 428,320, "emailTools");
}

function openlock_window()
{
	
		time=3600;
	 	openLockWindow("", filePath+'locked.php', 820,500, "lock");
		
		var lockedUI=getlockUI();
}



/*
Function 	:checklockmainui()
Brief 		:checklockmainui prevents from switching to Main UI when window is locked
Detail 		:This member function is used to check and stop the user from switching to
			 mainpage when window is locked
Input param :none
Input/output param : none
Return 		:Returns void
*/
function checklockmainui()
{

	new Ajax.Updater('user','../webclient/checklocked.php',{
						 asynchronous:true,
						 evalScripts:true,
						
						 requestHeaders: {Accept: 'application/json'},
						 
				onSuccess:function(request){
					var session = request.responseText.evalJSON(true);
				
					if (session.authsession==1)
					{
						document.getElementById('homediv1').style.display = 'none'; 
						document.getElementById('logout').style.display = 'none';
						openlock_window();
						
					}
				}
				
				});
}


/*
Function 	:checklocklogin()
Brief 		:checklocklogin checks session before switching to Main UI when window is locked
Detail 		:This member function is used to check  session and stop/allow the user  from switching to
			 mainpage when window is locked
Input param :none
Input/output param : none
Return 		:Returns void
*/
function checklocklogin()
{
	
	new Ajax.Updater('user','../webclient/checklocked.php',{
						 asynchronous:true,
						 evalScripts:true,
						
						 requestHeaders: {Accept: 'application/json'},
						 
				onSuccess:function(request){
					var session = request.responseText.evalJSON(true);
				
					if (session.authsession==1)
					{
					
					window.location="http://../webclient/mainpage.php";
					
						
					}
				}
				
				});
}

/*
Function 	:getlockUI()
Brief 		:getlockUI displaying lock modal window
Detail 		:This member function is used to display lock modal window
Input param :none
Input/output param : none
Return 		:Returns void
*/

function getlockUI()
{
		
	
		
		new Ajax.Updater('user','../webclient/lockUI.php',
						 {
						 	asynchronous:true,
						 	evalScripts:true,
						
						 	requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){
							
								var userName = request.responseText.evalJSON(true);
								var emailId=userName.username;
								
								document.getElementById('email').value=emailId;
								document.getElementById('email').disabled='true';
							}
				
				});
		
		
}


/*
Function 	:unlock()
Brief 		:unlock does password validation and unlocks the locked window
Detail 		:This member function is used to do password validation and unlock the locked window
Input param :none
Input/output param : none
Return 		:Returns void
*/
function unlock()
{
	var password=document.getElementById('pass').value;
	
	new Ajax.Updater('user','../webclient/unlock.php',{
					 asynchronous:true,
					 evalScripts:true,
					 postBody: 'pwd='+password,
					 requestHeaders: {Accept: 'application/json'},
						onSuccess:function(request){
							
						var credentials = request.responseText.evalJSON(true);
											
						if(credentials.password==0){
							document.getElementById('invalidpwd').innerHTML='Please enter valid password.';	
							document.getElementById('pass').value='';
						}
						else if(credentials.password==2){
							document.getElementById('invalidpwd').innerHTML="Password can't be empty.";	
							document.getElementById('pass').value='';
						}
						else{
							countdown_clear();
							getvalue();
							Dialog.cancelCallback();
							document.getElementById('homediv1').style.display = 'block';
							document.getElementById('logout').style.display = 'block';
						}
				}
				
				});
}


function selectImgEditType(iconid)
{
		iconId = iconid;
		 openDHTMLWindow("Choose Icon", filePath+'selectImage2.php',550,400, "icon_choose");
		
}

function selectImgNewRec(iconid)
{
		iconId = iconid;
		 openDHTMLWindow("Choose Icon", filePath+'selectImage3.php',550,400, "icon_choose");
		
}

bgImgColor = ""
function setBorder(selectedimage)
{			
	document.getElementById(selectedimage.id).style.background="blue";
	if (bgImgColor != "")
	{
		document.getElementById(bgImgColor).style.background="none";
	}
		bgImgColor = selectedimage.id;
}
		
var name="";
var imagename="";
function test(name)
{			
	imagename=name;	
	
}
		


/*
Function 	:testingEditType()
Brief 		:testingEditType selects the icon image
Detail 		:This member function is used to select a icon for new/edit type
Input param :none
Input/output param : none
Return 		:Returns void
*/
function testingEditType()
{
	
	if(imagename != "" && imagename != null)
	{
				
		imagepath = "images/HighIcons/high"+imagename+".png";
		document.getElementById(iconId).src=imagepath;
	
		hdnimage = "img"+iconId;
		var x=document.getElementById(hdnimage).value=imagename;
		
		imagename = "";
	}
	
}	
/*
Function 	:testingNewRec()
Brief 		:testingNewRec selects the icon image
Detail 		:This member function is used to select a icon for new/edit/duplicate record
Input param :none
Input/output param : none
Return 		:Returns void
*/
function testingNewRec()
{
	
	if(imagename != "" && imagename != null)
	{
				
		imagepath = "images/HighIcons/high"+imagename+".png";
		document.getElementById(iconId).src=imagepath;
	
		hdnimage = "img"+iconId;
		var x=document.getElementById(hdnimage).value=imagename;
		
		imagename = "";
		//set hidden field when image is customized
		var y=document.getElementById("hdnCustImg").value=1;
	}
	
}		

		
function deselecttesting()
{
	imagename = "";
}


function optionsClose(toRefresh){

    /*top.winOption.close(true);*/
	Dialog.cancelCallback();

}

/*
Function 	:getvalue()
Brief 		:getvalue gets the timeout value
Detail 		:This member function is used fetch the sleepminutes and autolock value
Input param :none
Input/output param : none
Return 		:Returns void
*/
function getvalue()
{
new Ajax.Updater('user','../webservices/getAutoLockTimer.php',
							   {
								 asynchronous:true, 	
								 evalScripts:true,
								 requestHeaders: {Accept: 'application/json'},
								 onSuccess:function(request){
									 
									var tools = request.responseText.evalJSON(true);
									var autolock = tools.AUTOLOCK;
									var sleepminutes = tools.SLEEPMINUTES;
									
									if(autolock == 1){
										time1 = sleepminutes * 60;
										time = time1+1;
									}else{
										time = 3600;
									}
									countdown_init();									
								}
							});	
			
}

/*
Function 	:countdown_init()
Brief 		:countdown_init is a timeout counter
Detail 		:This member function is used initiate the countdown_trigger() when no mouse/keyboard action
Input param :none
Input/output param : none
Return 		:Returns void
*/
function countdown_init() {
	countdown_number = time;
	countdown_trigger();
}

/*
Function 	:countdown_trigger()
Brief 		:countdown_trigger is a timeout counter
Detail 		:This member function is used decrement the timeout value when no mouse/keyboard action
Input param :none
Input/output param : none
Return 		:Returns void
*/
function countdown_trigger() {
    if(countdown_number > 0) {
        countdown_number--;
        //document.getElementById('countdown_text').innerHTML = countdown_number;
        if(countdown_number > 0) {
            countdown = setTimeout('countdown_trigger()', 1000);
			
        }else{
		document.getElementById('homediv1').style.display = 'none'; 
		document.getElementById('logout').style.display = 'none';
		openlock_window();
		}
    }
}

/*
Function 	:countdown_clear()
Brief 		:countdown_clear clears counter
Detail 		:This member function is used clear timeout counter
Input param :none
Input/output param : none
Return 		:Returns void
*/
function countdown_clear() {
    clearTimeout(countdown);
}