/*
	Phantom 
	dataDisplay.php
	This script contains functions for displaying data in mainpage
	Copyright � 2011, SplashData
	Written under contract by Robosoft Technologies Pvt. Ltd.
*/
termSearch ='';
SessionMask = 1;
GlobalVarRecordId = 0;
GlobalVarCatId = 0;

/*
Function 	:changecategory()
Brief 		:changecategory displays records on changing the category
Detail 		:This member function is used to display records on changing the category
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function changecategory()
{
	document.getElementById('searchcontent').style.display='none';
	var search_term=document.getElementById('search_term').value;
	
	var getcat=document.getElementById('categoryid').value;
	//alert(getcat);
	new Ajax.Updater('user','../webclient/setGroupSession.php',
							 {
								asynchronous:true,
								evalScripts:true,
								postBody: 'catid='+getcat,
								requestHeaders: {Accept: 'application/json'},
								onSuccess:function(request){
									if(search_term)	{
										searchData();
									}else{
										preloadData(getcat);	
									}
								}
							 });
	
}


/*
Function 	:getcategory()
Brief 		:getcategory displays categories
Detail 		:This member function is used to display categories in the category drop down menu
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function getcategory()
{
	GlobalVarRecordId = 0;
	GlobalVarCatId = 0;
	new Ajax.Updater('user','../webservices/category.php',
				 {
				 asynchronous:true, 	
				 evalScripts:true,
				 requestHeaders: {Accept: 'application/json'},
				 
					onSuccess:function(request){	
					//alert(request.responseText);
					document.getElementById('categoryid').options.length=0;
					var groupdata=request.responseText.evalJSON(true);	
					
					var categoryId=groupdata.userId;
										
					var count=groupdata.categoryCount;
					
					var category=groupdata.currentcategory;
					
					var thelist=document.getElementById('categoryid');
					
					var groupIdArray = new Array();
					
						for(i=0;i<count;i++){
							
						groupIdArray[i] = groupdata.groupName[i].GROUPID;
						
						}
					
					
					var userCategory=groupdata.username;
					userCategory="Personal-"+userCategory;
					
					thelist.options.add(new Option(userCategory,categoryId));
					
						for(x=0;x<count;x++){
						
						groupName= groupdata.groupName[x].NAME;
						groupId=groupdata.groupName[x].GROUPUID;
						thelist.options.add(new Option(groupName,groupIdArray[x]));
							
						}
				
										
					var edit='edit'
					thelist.options.add(new Option("Edit Groups...",edit));
					document.getElementById('categoryid').value=category;
					
					var search_term=document.getElementById('search_term').value;
					var getcat=document.getElementById('categoryid').value;
				
					
						if(search_term)
						{
							
							searchData();
						}
						else
						{
							
							preloadData(getcat);	
						}
									
					}
				 });

}



/*
Function 	:preloadData(listvalue)
Brief 		:preloadData displays records
Detail 		:This member function is used to display record type in the first column of the view
Input param :listvalue- category id
Input/ output param : none
Return 		:Returns void
*/
function preloadData(listvalue)
{
	//alert(listvalue);
	GlobalVarCatId = listvalue;
	document.getElementById('indicator').style.display="block";
	document.getElementById('firstColumn').innerHTML='';
	document.getElementById('midColumn').innerHTML='';
	document.getElementById('lastColumn').innerHTML='';
	new Ajax.Updater('user','../webclient/setGroupSession.php',
							 {
								asynchronous:true,
								evalScripts:true,
								postBody: 'catid='+GlobalVarCatId,
								requestHeaders: {Accept: 'application/json'},
								onSuccess:function(request){
									
								}
							 });
	new Ajax.Updater('user','../webservices/preloadData.php',
				 {
				 asynchronous:true, 	
				 evalScripts:true,
				 postBody: 'listvalue='+ listvalue,
				 requestHeaders: {Accept: 'application/json'},
				 
					onSuccess:function(request){		
					//alert(request.responseText);			
					var preloadData=request.responseText.evalJSON(true);
					
					count = preloadData.recordCount;
					groupId=preloadData.GROUPUID;
					
					var oTable = document.createElement('table');
					oTable.setAttribute('cellpadding','0');
					oTable.setAttribute('cellspacing','0');

					var oTBody = document.createElement('tbody');
					allId = "";
					
					for(x=0;x<count;x++){
					
						id = preloadData.records[x].TYPEUID;
						allId = allId+id+"#";
					}
										
					for(i=0;i<count;i++){
					
				
							type = preloadData.records[i].TYPEUID;
							
							icon = preloadData.records[i].ICONID;
							
							typeName = preloadData.records[i].NAME;
							
							if(typeName.length>22)
							{
								typeName=typeName.substring(0,22);
								typeName+="...";
								
							}
						
							recordId = preloadData.records[i].RECORDID;
							
							
							
							//alert(allId);
							var oTR = document.createElement('tr');
							oTR.setAttribute('id','type'+type);
							oTR.setAttribute('class','precord');
							oTR.setAttribute('height','30');
							//oTR.setAttribute('onMouseOver','(oTR.style.cursor=pointer)');
							oTR.style.cursor='pointer';
							oTR.setAttribute("onclick","setTypeBorder('"+allId+"','"+type+"','"+groupId+"')");
							
							var oTD1 = document.createElement('td');
							oTD1.setAttribute('width','5%');
							oTD1.setAttribute('align','center');
							oTD1.setAttribute('class','lowIcon');
							var img  = document.createElement('IMG');
							img.setAttribute('src', 'images/LowIcons/low'+icon+'.png');
							img.setAttribute('style', 'cursor:default');
							oTD1.appendChild(img);
							oTR.appendChild(oTD1);
														
							var oTD2 = document.createElement('td');
							oTD2.setAttribute('width','95%');
							oTD2.setAttribute('class','blueblock');
							oTD2.appendChild(document.createTextNode(typeName));
							oTR.appendChild(oTD2);
							oTBody.appendChild(oTR);
					}
					oTable.appendChild(oTBody);
					
					document.getElementById('firstColumn').appendChild(oTable);
					
					document.getElementById('indicator').style.display="none";
				}
			});


		
}

/*
Function 	:setTypeBorder(alltid,typeid,groupid)
Brief 		:setTypeBorder sets type border
Detail 		:This member function is used to set a border to the selected type
Input param :alltid- all the type id's, typeid - selected type id,groupid -group id
Input/ output param : none
Return 		:Returns void
*/
function setTypeBorder(alltid,typeid,groupid)
{
	
	document.getElementById('searchcontent').style.display='none';
	document.getElementById('search_term').value='';
	document.getElementById('midColumn').innerHTML='';
	document.getElementById('lastColumn').innerHTML='';

		var typeId = 'type'+typeid;
		var allId = alltid;
		var arr = new Array();
		arr = allId.split("#");
		var length = arr.length; 
		c =0;
		
		for(c =0;c< length-1;c++){
			var id = 'type'+arr[c];
			
			if(id != typeId){
				Element.removeClassName(id, 'active1');
				Element.addClassName(id,'precord');
			}
			
		}
		
		Element.removeClassName(typeId, 'precord');
		Element.addClassName(typeId,'active1');
		//document.getElementById('midColumn').update();
		getDescription(typeid,groupid);
		
	
}

/*
Function 	:setsearchTypeBorder(alltid,typeid,groupid)
Brief 		:setsearchTypeBorder sets type border
Detail 		:This member function is used to set a border to the selected type after search
Input param :alltid- all the type id's, typeid - selected type id,groupid -group id
Input/ output param : none
Return 		:Returns void
*/
function setsearchTypeBorder(alltid,typeid,groupid){
	//var search_term=document.getElementById('search_term').value;
	var search_term= termSearch;
	
	document.getElementById('midColumn').innerHTML='';
	document.getElementById('lastColumn').innerHTML='';
	

		var typeId = 'type'+typeid;
		var allId = alltid;
		var arr = new Array();
		arr = allId.split("#");
		var length = arr.length; 
		c =0;
		
		for(c =0;c< length-1;c++){
			var id = 'type'+arr[c];
			
			if(id != typeId){
				Element.removeClassName(id, 'active1');
				Element.addClassName(id,'precord');
			}
			
		}
		
		Element.removeClassName(typeId, 'precord');
		Element.addClassName(typeId,'active1');
		//document.getElementById('midColumn').update();
		getsearchDescription(typeid,search_term,groupid);
		
	
}


/*
Function 	:getDescription(tId,groupId)
Brief 		:getDescription displays record description
Detail 		:This member function is used to display record description in the second column of the view
Input param :tId - type id,groupId -group id
Input/ output param : none
Return 		:Returns void
*/
function getDescription(tId,groupId)
{
	document.getElementById('indicator').style.display="block";

	new Ajax.Updater('user', '../webservices/getDescription.php',
			{
				asynchronous:true, 
				evalScripts:true,
				postBody: 'typeId='+ tId+'&groupuid='+groupId,
				requestHeaders: {Accept: 'application/json'}, 
				onSuccess:function(request)
						{
							//Element.hide('spinner');
							var desc = request.responseText.evalJSON(true);
							//alert(request.responseText);
							count = desc.descCount;
					
							var oTable = document.createElement('table');
							oTable.setAttribute('cellpadding','0');
							oTable.setAttribute('cellspacing','0');
							oTable.setAttribute('width','100%');
		
							var oTBody = document.createElement('tbody');
							allId = "";
							for(x=0;x<count;x++){
								id = desc.description[x].RECORDID;
								allId = allId+id+"#";
								
							}
								
							
							for(i=0;i<count;i++){
								
									description1 = desc.description[i].FIELD1;
									if(description1.length>24)
								 	{
										description1=description1.substring(0,24);
										description1+="...";
								 	}
									
									rId = desc.description[i].RECORDID;
									//alert(allId);
									var oTR = document.createElement('tr');
									oTR.setAttribute('id','ctype'+rId);
									oTR.setAttribute('class','cprecord');
									oTR.setAttribute('height','30');
									//oTR.setAttribute('onMouseOver','(oTR.style.cursor=pointer)');
									oTR.style.cursor='pointer';
									oTR.setAttribute("onclick","setRecordBorder('"+allId+"','"+rId+"')");
									oTR.setAttribute("ondblclick","openEditRecord()");
									var oTD2 = document.createElement('td');
									oTD2.setAttribute('width','100%');
									oTD2.setAttribute('class','blueblock');
									oTD2.appendChild(document.createTextNode(description1));
									oTR.appendChild(oTD2);
									oTBody.appendChild(oTR);
							}
							oTable.appendChild(oTBody);
							
							document.getElementById('midColumn').appendChild(oTable);
							document.getElementById('indicator').style.display="none";
							return true;
						}
			 
					});
}



/*
Function 	:getsearchDescription(tId,searchterm,groupId)
Brief 		:getsearchDescription displays record description
Detail 		:This member function is used to display record description in the 
			 second column of the view based on the search term
Input param :tId - type id,groupId -group id,searchterm- search term 
Input/ output param : none
Return 		:Returns void
*/
function getsearchDescription(tId,searchterm,groupId)
{
	
	document.getElementById('indicator').style.display="block";
	
	new Ajax.Updater('user', '../webservices/getsearchDescription.php',
			{
				asynchronous:true, 
				evalScripts:true,
				postBody: 'typeId='+tId+'&searchTerm='+searchterm+'&groupuid='+groupId,
				requestHeaders: {Accept: 'application/json'}, 
				onSuccess:function(request)
						{
							//Element.hide('spinner');
							var desc = request.responseText.evalJSON(true);
							
							count = desc.recCount;
				
							var oTable = document.createElement('table');
							oTable.setAttribute('cellpadding','0');
							oTable.setAttribute('cellspacing','0');
							oTable.setAttribute('width','100%');
		
							var oTBody = document.createElement('tbody');
							allId = "";
							for(x=0;x<count;x++){
								id = desc.description[x].RECORDID;
								allId = allId+id+"#";
								
							}
								
							
							for(i=0;i<count;i++){
							
								
									description1 = desc.description[i].FIELD1;
								if(description1.length>24)
								 {
									description1=description1.substring(0,24);
									description1+="...";
								 }
									rId = desc.description[i].RECORDID;
									//alert(allId);
									var oTR = document.createElement('tr');
									oTR.setAttribute('id','ctype'+rId);
									oTR.setAttribute('class','cprecord');
									oTR.setAttribute('height','30');
									//oTR.setAttribute('onMouseOver','(oTR.style.cursor=pointer)');
									oTR.style.cursor='pointer';
									oTR.setAttribute("onclick","setRecordBorder('"+allId+"','"+rId+"')");
									oTR.setAttribute("ondblclick","openEditRecord()");
									var oTD2 = document.createElement('td');
									oTD2.setAttribute('width','100%');
									oTD2.setAttribute('class','blueblock');
									oTD2.appendChild(document.createTextNode(description1));
									oTR.appendChild(oTD2);
									oTBody.appendChild(oTR);
							}
							oTable.appendChild(oTBody);
							
							document.getElementById('midColumn').appendChild(oTable);
							document.getElementById('indicator').style.display="none";
							return true;
						}
			 
					});
}
/*
Function 	:setRecordBorder(alltid,recordid)
Brief 		:setRecordBorder sets record description border
Detail 		:This member function is used to set a border to the selected record description in 2nd column
Input param :alltid- all the record id's, recordid - selected record id
Input/ output param : none
Return 		:Returns void
*/

function setRecordBorder(allrid,recordid){
	
	
		var recId = 'ctype'+recordid;
		var allId = allrid;
		var arr = new Array();
		arr = allId.split("#");
		var length = arr.length; 
		c =0;
		
		for(c =0;c< length-1;c++){
			var id = 'ctype'+arr[c];
			if(id != recId){
				Element.removeClassName(id, 'active2');
				Element.addClassName(id,'cprecord');
			}
			
		}
		Element.removeClassName(recId, 'cprecord');
		Element.addClassName(recId,'active2');
		//document.getElementById('lastColumn').update();
		getRecordDetails(recordid);
}



/*
Function 	:getRecordDetails(recId)
Brief 		:getRecordDetails displays the record details 
Detail 		:This member function is used to display the record details in the third column of the view
Input param :recId - record id
Input/ output param : none
Return 		:Returns void
*/
function getRecordDetails(recId)
{

GlobalVarRecordId = recId;	

document.getElementById('indicator').style.display="block";
document.getElementById('lastColumn').innerHTML="";
var param ='recid='+GlobalVarRecordId+'&mask='+SessionMask;
new Ajax.Updater('user','../webclient/setRecordSession.php',
							{
								asynchronous:true,
								evalScripts:true,
								postBody: 'recid='+recId,
								requestHeaders: {Accept: 'application/json'},
								onSuccess:function(request){
								new Ajax.Updater('user', '../webservices/getRecordDetails.php',
								{				
								asynchronous:true, 
								evalScripts:true,
								postBody:param,
								requestHeaders: {Accept: 'application/json'}, 
								onSuccess:function(request1)
							{
							var details = request1.responseText.evalJSON(true);
					//alert(request1.responseText);
							var fieldArray = new Array();
							fieldArray[0] = details.fields.FIELD1;
							fieldArray[1] = details.fields.FIELD2;
							fieldArray[2] = details.fields.FIELD3;
							fieldArray[3] = details.fields.FIELD4;
							fieldArray[4] = details.fields.FIELD5;
							fieldArray[5] = details.fields.FIELD6;
							fieldArray[6] = details.fields.FIELD7;
							fieldArray[7] = details.fields.FIELD8;
							fieldArray[8] = details.fields.FIELD9;
							fieldArray[9] = details.fields.FIELD10;
							fieldArray[10] = "Attachment";
							
							
							fieldvalue1 = details.fieldvalues.FIELD1;
							fieldvalue2 = details.fieldvalues.FIELD2;
							fieldvalue3 = details.fieldvalues.FIELD3;
							fieldvalue4 = details.fieldvalues.FIELD4;
							fieldvalue5 = details.fieldvalues.FIELD5;
							fieldvalue6 = details.fieldvalues.FIELD6;
							fieldvalue7 = details.fieldvalues.FIELD7;
							fieldvalue8 = details.fieldvalues.FIELD8;
							fieldvalue9 = details.fieldvalues.FIELD9;
							fieldvalue10 = details.fieldvalues.FIELD10;
							fieldvalue11 = details.attachmentName;
							//alert(fieldvalue11);
							//fieldvalue11 = "ret.txt";
							//fieldOld10 = details.fieldvalues.FIELD10;
							//fieldvalue10 = fieldOld10.split(" ",1);
							
							//var b=	details.mask;	
							var b = SessionMask;
							//alert("b="+b);
							groupName = details.fieldvalues.GROUPNAME;
							
							notes = details.fieldvalues.NOTE;
							
							mask=details.fields.MASKS;
							
							var num1=1;
							var num2=2;
							var num3=4;
							var num4=8;
							var num5=16;
							var num6=32;
							var num7=64;
							var num8=128;
							var num9=256;
							var num10=512;
							
							maskfield1=mask & num1;
							maskfield2=mask & num2;
							maskfield3=mask & num3;
							maskfield4=mask & num4;
							maskfield5=mask & num5;
							maskfield6=mask & num6;
							maskfield7=mask & num7;
							maskfield8=mask & num8;
							maskfield9=mask & num9;
							maskfield10=mask & num10;
						
							
							icon = details.fields.ICONID;
							
							if(fieldvalue1){
								if(maskfield1){
									if(b==1){
										fieldvalue1='****';
									}else{
										 fieldvalue1=fieldvalue1;
									}
								}else{
									 fieldvalue1=fieldvalue1;
								}
							}
						
							
							if(maskfield10){
								if(b==1){
									fieldvalue10='****';
								}else{
									 fieldvalue10=fieldvalue10;
								}
							}
							
							
							var oTable = document.createElement('table');
							oTable.setAttribute('cellpadding','0');
							oTable.setAttribute('cellspacing','0');
							oTable.setAttribute('border','0');
							oTable.setAttribute('width','310');
							oTable.setAttribute('class','lastColTable');
							oTable.setAttribute('align','center');
							oTable.setAttribute('style','background-color:white');
														
							var oTBody = document.createElement('tbody');
							var oTR1 = document.createElement('tr');
							
							var oTD1 = document.createElement('td');
							oTD1.setAttribute('width','20');
							oTD1.setAttribute('height','50');
							oTD1.setAttribute('align','center');
							oTD1.setAttribute('style','padding:0px 20px 0px 20px');
							var img  = document.createElement('IMG');
							img.setAttribute('src', 'images/HighIcons/high'+icon+'.png');
							
							oTD1.appendChild(img);
							oTR1.appendChild(oTD1);
							
							var oTD2 = document.createElement('td');
							var oDIV1  = document.createElement('div');
							oDIV1.setAttribute('style','width:200px;word-wrap:break-word');
							oDIV1.setAttribute('class', 'descHeader');
							
							oDIV1.appendChild(document.createTextNode(fieldvalue1));
							
							oTD2.appendChild(oDIV1);
							
							var oDIV2  = document.createElement('div');
							oDIV2.setAttribute('class', 'modifiedOn');
							oDIV2.appendChild(document.createTextNode('Modified on '+fieldvalue10));
														
							oTD2.appendChild(oDIV2);
							oTR1.appendChild(oTD2);
							oTBody.appendChild(oTR1);
							
							
							var oTR2 = document.createElement('tr');
							oTR2.setAttribute('height','30');
								
							var oTD3 = document.createElement('td');
													
							var oTD4 = document.createElement('td');
							var oDIV3 = document.createElement('div');
							oDIV3.setAttribute('class','details_category');
							oDIV3.setAttribute('style','width:200px;word-wrap:break-word');
							oDIV3.appendChild(document.createTextNode(groupName));
							oTD4.appendChild(oDIV3);
							
							oTR2.appendChild(oTD3);	
							oTR2.appendChild(oTD4);
							oTBody.appendChild(oTR2);
							
							a = 0;
							
							var fieldvalueArray = new Array();
							var field = new Array();
							if(fieldvalue2){
								//field name
								field[a]=fieldArray[1];
								if(field[a].length>9){
										field[a]=field[a].substring(0,9);
										field[a]+="...";
								}
								
								//field value
								if(maskfield2){
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue2;
									}
								}else{
									 fieldvalueArray[a] = fieldvalue2;
								}
								a++;
							}
							
							if(fieldvalue3){
								
								field[a]=fieldArray[2];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
								if(maskfield3)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue3;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue3;
								}
								
								a++;
							}
							
							
							if(fieldvalue4){
								
								field[a]=fieldArray[3];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
								if(maskfield4)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue4;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue4;
								}
								
								a++;
							}
							
							if(fieldvalue5){
								
								field[a]=fieldArray[4];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
								if(maskfield5)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue5;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue5;
								}
								
								a++;
							}
							if(fieldvalue6){
								
								field[a]=fieldArray[5];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
								if(maskfield6)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue6;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue6;
								}
								
								a++;
							}
							
							
							if(fieldvalue7){
								
								field[a]=fieldArray[6];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
								if(maskfield7)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue7;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue7;
								}
								
								a++;
							}
							
							
							
							if(fieldvalue8){
								
								field[a]=fieldArray[7];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
								if(maskfield8)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue8;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue8;
								}
								
								a++;
							}
							
							
							if(fieldvalue9){
								
								field[a]=fieldArray[8];
								if(field[a].length>9)
									 {
										field[a]=field[a].substring(0,9);
										field[a]+="...";
									 }
									
								if(maskfield9)
								{
									if(b==1){
										fieldvalueArray[a]='****';
									}else{
										 fieldvalueArray[a] = fieldvalue9;
									}
									
								}else{
										 fieldvalueArray[a] = fieldvalue9;
								}
								
								a++;
							}
							
							if(fieldvalue11){
								
								field[a]=fieldArray[10];
								fieldvalueArray[a] = fieldvalue11;
								
								
								a++;
																	
							}
													
							end =a;
							
							for(i=0;i<end;i++){
							class1 = "fieldsEven";	
								/*if(i%2 == 0){
									class1 = "fieldsOdd";
								}else{
									class1 = "fieldsEven";
								}*/
								
						
							
							var oTR3 = document.createElement('tr');
							oTR3.setAttribute('height','25');
							oTR3.setAttribute('id',id);	
							oTR3.setAttribute('class',class1);	
							
							var oTD5 = document.createElement('td');
						
							oTD5.setAttribute('align','right');
							oTD5.setAttribute('style','padding:0px 8px 0px 6px;border-bottom:4px solid white;');
								var oDIV2 = document.createElement('div');
								oDIV2.setAttribute('class','fieldsContent');
								oDIV2.setAttribute('width','60');
								oDIV2.appendChild(document.createTextNode(field[i]+':'));
								oTD5.appendChild(oDIV2);
							oTR3.appendChild(oTD5);
							
							var oTD6 = document.createElement('td');
							oTD6.setAttribute('style','border-bottom:4px solid white;');
							if(field[i] == "Attachment"){
								var oDIV3  = document.createElement('div');
								oDIV3.setAttribute('id','fieldContent'+id);
								oDIV3.setAttribute('class','fieldsContent');
								oDIV3.setAttribute('title',fieldvalueArray[i]);
								oDIV3.setAttribute('style','width:200px;margin-top:3px;word-wrap:break-word');
								oDIV3.appendChild(document.createTextNode(fieldvalueArray[i]));
								oTD6.appendChild(oDIV3);
								
								var oDIV4  = document.createElement('div');
								oDIV4.setAttribute('class','attachmentView');
								oDIV4.setAttribute("onclick","window.location.href='../webservices/viewAttachment.php'");
								oTD6.appendChild(oDIV4);
									
							}else{
								var oDIV3  = document.createElement('div');
								oDIV3.setAttribute('id','fieldContent'+id);
								oDIV3.setAttribute('class','fieldsContent');
								
								oDIV3.setAttribute('style','width:200px;word-wrap:break-word');
								oDIV3.appendChild(document.createTextNode(fieldvalueArray[i]));
								oTD6.appendChild(oDIV3);
							}
							
							oTR3.appendChild(oTD6);
							
							oTBody.appendChild(oTR3);
							
							}
														
							var oTR4 = document.createElement('tr');
							var oTD7 = document.createElement('td');
							oTD7.setAttribute('colspan','2');
							var oDIV4  = document.createElement('div');
							oDIV4.setAttribute('id', 'field10');
							oDIV4.setAttribute('class', 'detail_notes');
							oDIV4.appendChild(document.createTextNode('Notes:'));
							oTD7.appendChild(oDIV4);
							oTR4.appendChild(oTD7);
							oTBody.appendChild(oTR4);
							
							var oTR5 = document.createElement('tr');
							var oTD8 = document.createElement('td');
							oTD8.setAttribute('colspan','2');
							var oDIV5  = document.createElement('div');
							oDIV5.setAttribute('id', 'fieldContent10');
							oDIV5.setAttribute('class', 'detail_notes_desc');
							oDIV5.setAttribute('style','word-wrap:break-word');
							oDIV5.appendChild(document.createTextNode(notes));
							oTD8.appendChild(oDIV5);
							
							oTR5.appendChild(oTD8);
							oTBody.appendChild(oTR5);
							
							oTable.appendChild(oTBody);
							
							document.getElementById('lastColumn').appendChild(oTable);
							document.getElementById('indicator').style.display="none";
						}
			 
					});								
									
			}
		});

	
}

/*
Function 	:testmask()
Brief 		:testmask checking if the record being viewed is masked
Detail 		:This member function is used to checkif the record being viewed is displayed as masked
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function testmask()
{

	if(SessionMask == 0){
			SessionMask =1;
	}else{
			SessionMask = 0;
	}
	var recId=GlobalVarRecordId;
	getRecordDetails(recId);
}

/*
Function 	:searchData()
Brief 		:searchData displays records after search
Detail 		:This member function is used to display record type in the first column of the view
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function searchData(){
	
	document.getElementById('indicator').style.display="block";
	document.getElementById('firstColumn').innerHTML='';
	document.getElementById('midColumn').innerHTML='';
	document.getElementById('lastColumn').innerHTML='';

	var searchterm=termSearch;
	
	var groupId=document.getElementById('categoryid').value;

	if(searchterm){
		new Ajax.Updater('user','../webservices/searchData.php',
				 {
				 asynchronous:true, 	
				 evalScripts:true,
				 	postBody: 'search_val='+searchterm+'&groupuid='+groupId,
				 requestHeaders: {Accept: 'application/json'},
				 
					onSuccess:function(request){		
								
					var preloadData=request.responseText.evalJSON(true);
			
					count = preloadData.recordCount;
					groupId=preloadData.GROUPUID;
					
					if(!count)
					{
						var oTable = document.createElement('table');
						oTable.setAttribute('cellpadding','0');
						oTable.setAttribute('cellspacing','0');	
						var oTBody = document.createElement('tbody');
						var oTR = document.createElement('tr');
						var oTD = document.createElement('td');
						oTD.setAttribute('class','searchempty');
						var para=oTD.appendChild(document.createTextNode('No matching records found'));
						oTR.appendChild(oTD);
						oTBody.appendChild(oTR);
						oTable.appendChild(oTBody);
								
					}
					
					else
					{
										
						var oTable = document.createElement('table');
						oTable.setAttribute('cellpadding','0');
						oTable.setAttribute('cellspacing','0');
	
						var oTBody = document.createElement('tbody');
						allId = "";
						
						for(x=0;x<count;x++){
						
							id = preloadData.records[x].TYPEUID;
							allId = allId+id+"#";
							
						}
									
						for(i=0;i<count;i++){
					
								type = preloadData.records[i].TYPEUID;
								
								icon = preloadData.records[i].ICONID;
								
								typeName = preloadData.records[i].NAME;
								if(typeName.length>22)
								{
									typeName=typeName.substring(0,22);
									typeName+="...";
								}
							
								recordId = preloadData.records[i].RECORDID;
								
								
								var oTR = document.createElement('tr');
								oTR.setAttribute('id','type'+type);
								oTR.setAttribute('class','precord');
								oTR.setAttribute('height','30');
								oTR.style.cursor='pointer';
								oTR.setAttribute("onclick","setsearchTypeBorder('"+allId+"','"+type+"','"+groupId+"')");
								
								var oTD1 = document.createElement('td');
								oTD1.setAttribute('width','5%');
								oTD1.setAttribute('align','center');
								oTD1.setAttribute('class','lowIcon');
								var img  = document.createElement('IMG');
								img.setAttribute('src', 'images/LowIcons/low'+icon+'.png');
								img.setAttribute('style', 'cursor:default');
								oTD1.appendChild(img);
								oTR.appendChild(oTD1);
															
								var oTD2 = document.createElement('td');
								oTD2.setAttribute('width','95%');
								oTD2.setAttribute('class','blueblock');
								oTD2.appendChild(document.createTextNode(typeName));
								oTR.appendChild(oTD2);
								oTBody.appendChild(oTR);
					}
					oTable.appendChild(oTBody);
					}
					
					document.getElementById('firstColumn').appendChild(oTable);
					document.getElementById('indicator').style.display="none";
					}
			});
		 
	}
	else
	{
		preloadData(groupId);	
	}

		
}


/*
Function 	:clearsearch()
Brief 		:clearsearch clears the search text
Detail 		:This member function is used for  clearing the search text on clicking clear search button
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function clearsearch()
{
	document.getElementById('search_term').value='';
	document.getElementById('searchcontent').style.display='none';
}



/*
Function 	:checkprintrecord()
Brief 		:checkprintrecord prints the selected record
Detail 		:This member function is used for printing the selected record
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function checkprintrecord()
{
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							
							 requestHeaders: {Accept: 'application/json'},
						 
							 onSuccess:function(request){	
										var datapermission = request.responseText.evalJSON(true);
										/*alert(request.responseText);*/
										
										permission=datapermission.datapermission;
										
										var num1=1;
										var num2=2;
										var num3=4;
										var num4=8;
										var num5=16;
										var num6=32;
										
										maskfield1=permission & num1;
										maskfield2=permission & num2;
										maskfield3=permission & num3;
										maskfield4=permission & num4;
										maskfield5=permission & num5;
										maskfield6=permission & num6;
										
										if(!maskfield1){
												alert("You don't have privilege to print record.");		
										}else{
												var recordExists = GlobalVarRecordId;
												if(recordExists != 0){
															createiframe();
												}else{
															noPrint();
												}
										}
							
							}
					});
	
}


/*
Function 	:checkmaskrecord()
Brief 		:checkmaskrecord masks/unmasks the  record details 
Detail 		:This member function is used for masking/unmasking of record details on clicking Mask/Unmask button
Input param :none
Input/ output param : none
Return 		:Returns void
*/

function checkmaskrecord()
{
	var recordExists = GlobalVarRecordId;
	if(recordExists != 0){
		testmask();
	}else{
		noMask();
	}
	
}


/*
Function 	:noMask()
Brief 		:noMask displays record not selected error message
Detail 		:This member function is used for displaying error message on clicking Mask button 
			 when no record is selected to be masked
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function noMask()
{
		openDHTMLWindow("", filePath+'noMaskrecord.php', 300,100, "norecord");
}



/*
Function 	:createiframe()
Brief 		:createiframe creats an hidden iframe 
Detail 		:This member function is used for creating an hidden iframe for printing records
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function createiframe()
{
    var iframe = document.createElement('iframe');
    iframe.src = 'print.php';
   	iframe.height="0";
    iframe.width="0";
    
    document.body.appendChild(iframe);
}


/*
Function 	:noPrint()
Brief 		:noPrint displays record not selected error message
Detail 		:This member function is used for displaying error message on clicking Print 
			 button when no record is selected for printing
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function noPrint()
{
		openDHTMLWindow("", filePath+'noPrintrecord.php', 300,100, "norecord");
		
}	
/*
Function 	:autosearch()
Brief 		:autosearch search data based on search term
Detail 		:This member function is used to get list of data similar to search term
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function autosearch()
{
	var searchdata=document.getElementById('search_term').value;
	var groupIdvalue=document.getElementById('categoryid').value;
	
	new Ajax.Updater('user','../webservices/autosearch.php',
						 {
							 asynchronous:true, 	
							 evalScripts:true,
							postBody: 'searchdata='+ searchdata+'&groupuid='+groupIdvalue,
							 requestHeaders: {Accept: 'application/json'},
							 onSuccess:function(request){											
										var checkdata = request.responseText.evalJSON(true);
										//alert(request.responseText);
										var datacount=checkdata.datacount;
										var dataarray= new Array();
										for(i=0;i<datacount;i++){
											dataarray[i]=checkdata.data[i];
										}
										var sort_arr=dataarray.sort();
										var newarray= new Array();
										var results=[];
										
										for(i=0;i<datacount;i++){
											if(sort_arr[i+1]!=sort_arr[i]){
												results.push(sort_arr[i]);
											}
										}
										var datalength=results.length;
										
										
										if(!datacount){
											document.getElementById('searchcontent').style.display='none';
											document.getElementById('firstColumn').innerHTML='';
											document.getElementById('midColumn').innerHTML='';
											document.getElementById('lastColumn').innerHTML='';
											var oTable = document.createElement('table');
											oTable.setAttribute('cellpadding','0');
											oTable.setAttribute('cellspacing','0');	
											var oTBody = document.createElement('tbody');
											var oTR = document.createElement('tr');
											var oTD = document.createElement('td');
											oTD.setAttribute('class','searchempty');
											var para=oTD.appendChild(document.createTextNode('No matching records found'));
											oTR.appendChild(oTD);
											oTBody.appendChild(oTR);
											oTable.appendChild(oTBody);
											document.getElementById('firstColumn').appendChild(oTable);
										}
										else{
											
											for(i=0;i<datalength;i++){
												
												newarray[i]=results[i];
											
												if(newarray[i].length>14){
													newarray[i]=newarray[i].substring(0,14);
													newarray[i]+="...";
												}
											}
											
											var oTable = document.createElement('table');
											oTable.border=0;
											oTable.setAttribute('cellspacing','0');
											oTable.setAttribute('align','center');
											oTable.setAttribute('width','130');
										
											var oTBody = document.createElement('tbody');
											for(y=0;y<datalength;y++){
											
												var rowcolor='selectdata'+y;
												document.getElementById('searchcontent').innerHTML='';
												document.getElementById('searchcontent').style.display='block';
											
												var oTR=document.createElement('tr');
												oTR.setAttribute('height','10');
												oTR.setAttribute('class','rowhover');
													var oTD=document.createElement('td');
													oTD.appendChild(document.createTextNode(newarray[y]));
													oTD.setAttribute('class','datafonts');
													oTD.setAttribute('id','selectdata'+y);
													oTD.setAttribute("onMouseover","autofill('"+searchdata+"','"+escape(newarray[y])+"')");
													oTD.setAttribute("onclick","selectdata('"+escape(results[y])+"')");
												oTR.appendChild(oTD);
												oTBody.appendChild(oTR);
								
										}
								
									oTable.appendChild(oTBody);
									
									document.getElementById('searchcontent').appendChild(oTable);
								}
										
							}
					 });
	
}

/*
Function 	:autofill(searchdata,dataarray)
Brief 		:autofill fills the search box 
Detail 		:This member function is used to fill the search box with the selected data on hover
Input param :searchdata- search term,dataarray- all data similar to search term
Input/ output param : none
Return 		:Returns void
*/
function autofill(searchdata,dataarray)
{
	dataarray = unescape(dataarray);
	var actuallength=searchdata.length;
	var datalength=dataarray.length;
	
	var x=dataarray.substring(actuallength,datalength);

	var y=dataarray.substring(0,actuallength);

	if(searchdata!=y){
	
	document.getElementById('search_term').value=dataarray;
	}else{
	
	document.getElementById('search_term').value=searchdata+x;
	}
}


/*
Function 	:selectdata(data)
Brief 		:selectdata gets the selected search term
Detail 		:This member function is used to get the selected search data 
Input param :none
Input/ output param : none
Return 		:Returns void
*/
function selectdata(data)
{
	data = unescape(data);
	document.getElementById('searchcontent').style.display='none';
	document.getElementById('search_term').value=data;
	termSearch= encodeURIComponent(data);
	searchData();
	if(data.length>14){
		data1=data.substring(0,14);
		document.getElementById('search_term').value=data1;
	}
	
}


