//
//  editTypeModal.js
//  Phantom
//  Created by Ranjana Paleppady on 7/03/11.
// 	Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//
GlobalVarRowId = 0;
GlobalVarNewId = 0;
GlobalVarNewId2 = 0;
//Function Name    : openEditTypeWindow
//Description      : opens edit type modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function openEditTypeWindow()
{
	openDHTMLWindow("Edit Types", filePath+'editTypes.php', 480,520, "edittypes");
	var getT = getEditTypes();
	
}


//Function Name    : getEditTypes
//Description      : function to get the list of types and display them
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function getEditTypes()
{

	new Ajax.Updater('user','../webservices/editTypes.php',
					 {
						 asynchronous:true,
						 evalScripts:true,
						 requestHeaders: {Accept: 'application/json'},
						 onSuccess:function(request){
					
							var types = request.responseText.evalJSON(true);
							//alert(request.responseText);
							var typecount=types.typecount;
							var typearray= new Array();
							for(i=0;i<typecount;i++){
								typearray[i]=types.types[i];
							}
							
							var typearrayUID= new Array();
							for(j=0;j<typecount;j++){
								typearrayUID[j]=types.typesID[j];
							}
							var oTable = document.createElement('table');
							oTable.border=0;
							oTable.setAttribute('cellSpacing','0');
							oTable.setAttribute('cellPadding','10');
							oTable.setAttribute('align','center');
							oTable.setAttribute('id','tableId');
							oTable.setAttribute('width','460');
							oTable.setAttribute('height','450');
						
							var oTBody = document.createElement('tbody');
							
												
							var oTR1=document.createElement('tr');
							oTR1.setAttribute('id','emptyRow');
							var oTD1=document.createElement('td');
							oTD1.setAttribute('colSpan','4');
							oTD1.style.border='1px solid #B8B8B8';
							oTR1.appendChild(oTD1);
							oTBody.appendChild(oTR1);
							
							
							for(i=0;i<typecount;i++)
							{
								//-------ellipses--------//
								var typenameFull = typearray[i];
								var length = typenameFull.length;
								
								if(length >40){
									
									var	typenameTrunc  = typenameFull.substring(0,40);
									typenameTrunc += "...";
									
								}else{
									var	typenameTrunc = typenameFull;
								}
																
								//-----------------------//
								var indicatorId = "indicator"+typearrayUID[i];
								var trid = "tr"+typearrayUID[i];
								var oTR3=document.createElement('tr');
								oTR3.setAttribute('height','30');
								oTR3.setAttribute('width','90%');
								oTR3.setAttribute('id',trid);
								
								if(i%2!=0)
								{
									oTR3.className='odd_color';
								}
								else
								{
									oTR3.className='even_color';
								}
									var tdid = 'td'+typearrayUID[i];
									var oTD1=document.createElement('td');
									//oTD1.className='edit_types';
									oTD1.setAttribute('align','center');
									oTD1.setAttribute('width','41');
										var div1=document.createElement('div');
										div1.className='edit_types';
										div1.width='41px';
										div1.align='left';										
										oTD1.appendChild(div1);
									oTD1.onclick = new Function("editType('" + tdid + "','" + indicatorId + "')");

									var oTD2=document.createElement('td');
									oTD2.className='type_font';
									oTD2.setAttribute('align','left');
									oTD2.setAttribute('style','padding:0px 0px 0px 15px');
									oTD2.setAttribute('width','205');
									var oSPAN1=document.createElement('span');
									oSPAN1.setAttribute('title',typenameFull);
									oSPAN1.appendChild(document.createTextNode(typenameTrunc));
									oTD2.appendChild(oSPAN1);
									
									var oTD3=document.createElement('td');
									oTD3.setAttribute('width','7px');
									var img=document.createElement('img');
									img.setAttribute('id',indicatorId);
									img.setAttribute('src','images/indicator.gif');
									img.style.display='none';
									oTD3.appendChild(img);
									
									var oTD4=document.createElement('td');
									//oTD4.className='delete_action';
									oTD4.setAttribute('align','right');
									oTD4.setAttribute('width','140');
									oTD4.setAttribute('style','padding:0px 15px 0px 0px');
										var div4=document.createElement('div');
										div4.className='delete_action';
										div4.width='41px';
										div4.align='left';										
										oTD4.appendChild(div4);
									//oTD4.setAttribute("onclick","deleteType('"+tdid+"');");
									oTD4.onclick = new Function("deleteType('" + tdid + "','" + indicatorId + "')");

							
							
								oTR3.appendChild(oTD1);
								oTR3.appendChild(oTD2);
								oTR3.appendChild(oTD3);
								oTR3.appendChild(oTD4);
								oTBody.appendChild(oTR3);
							
							}
							
							oTable.appendChild(oTBody);
							document.getElementById('tab_border').appendChild(oTable);
				
						}
	
					});
	return true;
}


//Function Name    : editType
//Description      : function to get the details of types and display them onclick of edit type button
//Input Parameters : id
//Output Parameters: None
//Return value     : None


function editType(id,createtypeIndicator)
{
	
	if((GlobalVarRowId != 0)&&(GlobalVarNewId != 0)){
		
		
		var index = document.getElementById(GlobalVarNewId).rowIndex;
		var mytable=document.getElementById("tableId");
		mytable.deleteRow(index);
		
		document.getElementById(GlobalVarRowId).style.display="table-row";
	}
	if(GlobalVarNewId2 != 0){
		
		
		var index2 = document.getElementById(GlobalVarNewId2).rowIndex;
		var mytable=document.getElementById("tableId");
		mytable.deleteRow(index2);
		
		//document.getElementById(GlobalVarRowId).style.display="table-row";
	}
	GlobalVarNewId = 0;
	GlobalVarRowId = 0;
	GlobalVarNewId2 = 0;
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var typepermissions = request.responseText.evalJSON(true);
							/*alert(request.responseText);*/
							
							permission=typepermissions.typepermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							typedelete=str.charAt(0);
							typeedit=str.charAt(1);
							typeadd=str.charAt(2);
							
							if(typeedit==0){
								///Element.hide(createtypeIndicator);
							alert("You don't have privilege to edit type.");		
							
							}
							else{
									var col_id=id.split("td");
									x = col_id[1];
									var tId = x;
									
									//start indicator spinning
									//var indicatorId = "indicator"+x;
									
									
									var rowid = 'tr'+col_id[1];
									GlobalVarRowId = rowid;
									//alert("global="+GlobalVarRowId);
									var index = document.getElementById(rowid).rowIndex;
									
									var indexnext = index+1;
									var mytable=document.getElementById("tableId");
									var newrow=mytable.insertRow(indexnext) ;
									var newId = "newid"+x;
									GlobalVarNewId = newId;
									//alert("global="+GlobalVarNewId);
									newrow.id=newId;
									var ocell=newrow.insertCell(0);
									ocell.colSpan ='4';									 
									
									new Ajax.Updater('user','../webservices/getTypeDetails.php',
													 {
														asynchronous:true,
														evalScripts:true,
														postBody: 'typeId='+ tId,
														requestHeaders: {Accept: 'application/json'},
														onSuccess:function(request){
																		var details = request.responseText.evalJSON(true);
																		var field1	= details.fields.FIELD1;
																		var field2	= details.fields.FIELD2;
																		var field3	= details.fields.FIELD3;
																		var field4	= details.fields.FIELD4;
																		var field5	= details.fields.FIELD5;
																		var field6	= details.fields.FIELD6;
																		var field7	= details.fields.FIELD7;
																		var field8	= details.fields.FIELD8;
																		var field9	= details.fields.FIELD9;
																		var field10	= details.fields.FIELD10;
																		var name 	= details.fields.NAME;
																		var icon 	= details.fields.ICONID;
																		var mask 	= details.fields.MASKS;
																		
																		field1	= field1.replace(/"/g,'&'+'quot;');
																		field2	= field2.replace(/"/g,'&'+'quot;');
																		field3	= field3.replace(/"/g,'&'+'quot;');
																		field4	= field4.replace(/"/g,'&'+'quot;');
																		field5	= field5.replace(/"/g,'&'+'quot;');
																		field6	= field6.replace(/"/g,'&'+'quot;');
																		field7	= field7.replace(/"/g,'&'+'quot;');
																		field8	= field8.replace(/"/g,'&'+'quot;');
																		field9	= field9.replace(/"/g,'&'+'quot;');
																		name 	= name.replace(/"/g,'&'+'quot;');
																		
																		
																		var num1=1;
																		var num2=2;
																		var num3=4;
																		var num4=8;
																		var num5=16;
																		var num6=32;
																		var num7=64;
																		var num8=128;
																		var num9=256;
																		var num10=512;
																		//var num11 = 1024;
																		
																		maskfield1=mask & num1;
																		maskfield2=mask & num2;
																		maskfield3=mask & num3;
																		maskfield4=mask & num4;
																		maskfield5=mask & num5;
																		maskfield6=mask & num6;
																		maskfield7=mask & num7;
																		maskfield8=mask & num8;
																		maskfield9=mask & num9;
																		maskfield10=mask & num10;
																		
																		if(maskfield1){
																			var checkbox1 = "checked";
																		}else{
																			var checkbox1 = "";
																			
																		}
																		
																		if(maskfield2){
																			var checkbox2 = "checked";
																		}else{
																			var checkbox2 = "";
																			
																		}
																		if(maskfield3){
																			var checkbox3 = "checked";
																		}else{
																			var checkbox3 = "";
																			
																		}
																		if(maskfield4){
																			var checkbox4 = "checked";
																		}else{
																			var checkbox4 = "";
																			
																		}
																		if(maskfield5){
																			var checkbox5 = "checked";
																		}else{
																			var checkbox5 = "";
																			
																		}
																		
																		if(maskfield6){
																			var checkbox6 = "checked";
																		}else{
																			var checkbox6 = "";
																			
																		}
																		
																		if(maskfield7){
																			var checkbox7 = "checked";
																		}else{
																			var checkbox7 = "";
																			
																		}
																		if(maskfield8){
																			var checkbox8 = "checked";
																		}else{
																			var checkbox8 = "";
																			
																		}
																		if(maskfield9){
																			var checkbox9 = "checked";
																		}else{
																			var checkbox9 = "";
																			
																		}
																		if(maskfield10){
																			var checkbox10 = "checked";
																		}else{
																			var checkbox10 = "";
																			
																		}
																		
																		ocell.style.backgroundColor ='rgb(246, 246, 246)';
									var iconid = "iconid"+x;
									var loadingid = "indicator"+x;
									var maskname = "mask1";
									var imageid = "image"+x;
									var typenameid = "typename"+x;
									//alert(iconid);
									ocell.innerHTML='<form name="editTypeForm'+x+'" id="editTypeForm'+x+'" action="" style="display:inline;"><h2 class="mainheader" style="margin-left:10px;">Edit Type</h2><p class="subheader" style="margin-left:10px;">Please enter field names and details.</p><input type="hidden" id="img'+iconid+'" name="imageId" value="'+icon+'"><div id="errMsg'+x+'" class="errorMessage" style="display:none;" >You must supply a name for this Type!<a href="#" onclick="Element.remove(this.parentNode); return false;">Close</a></div><table width="455" border="0" cellspacing="0" cellpadding="0" style="margin-left:5px;"><tr><td width="50" height="58" class="editFont">Type Name</td><td width="148"><input name="'+typenameid+'" type="text" class="field_text" id="'+typenameid+'" tabindex="1" value="'+name+'" size="16" ></td><td align="center" colspan="4"><img alt="Select Image" id="'+iconid+'" onclick="selectImgEditType(\''+iconid+'\');" ondblclick="" src="images/HighIcons/high'+icon+'.png" style="cursor:pointer;" title="Select Image"></td></tr><tr><td height="36" class="editFont"> Field 1 </td><td width="148"><input name="field1" type="text" class="field_text" style="width:118px;float:left;padding:0 22px 0 2px;" id="field1'+x+'" tabindex="2" value="'+field1+'" size="16" > <div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask1" tabindex="13" value="1" '+checkbox1+'></div></td><td width="34"></td><td width="51" class="editFont"> Field 6 </td><td width="147"><input class="field_text" type="text" name="field6" id="field6'+x+'" size="16"  tabindex="8" value="'+field6+'" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask6" tabindex="19" value="1" '+checkbox6+'></div> </td><td width="25"></td></tr><tr><td height="36" class="editFont"> Field 2 </td><td width="148"><input class="field_text" type="text" name="field2" id="field2'+x+'" size="16"  tabindex="3" value="'+field2+'" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask2" tabindex="14" value="1" '+checkbox2+'></div> </td><td></td><td class="editFont"> Field 7 </td><td width="147"><input name="field7" type="text" class="field_text" id="field7'+x+'" tabindex="9" value="'+field7+'" size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask7" tabindex="20" value="1" '+checkbox7+'></div> </td><td></td></tr><tr><td height="36" class="editFont"> Field 3 </td><td width="148"><input name="field3" type="text" class="field_text" id="field3'+x+'" tabindex="4" value="'+field3+'"  size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask3" tabindex="15" value="1" '+checkbox3+'></div> </td><td></td><td class="editFont"> Field 8 </td><td width="147"><input name="field8" type="text" class="field_text" id="field8'+x+'" tabindex="10" value="'+field8+'" size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask8" tabindex="21" value="1" '+checkbox8+'></div> </td><td></td></tr><tr><td height="36" class="editFont"> Field 4</td><td width="148"><input name="field4" type="text" class="field_text" id="field4'+x+'" tabindex="5" value="'+field4+'" size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask4" tabindex="16" value="1" '+checkbox4+'></div> </td><td></td><td class="editFont"> Field 9 </td><td width="147"><input name="field9" type="text" class="field_text" id="field9'+x+'" tabindex="11" value="'+field9+'" size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask9" tabindex="22" value="1" '+checkbox9+'></div> </td><td></td></tr><tr><td height="36" class="editFont"> Field 5 </td><td width="148"><input name="field5" type="text" class="field_text" id="field5'+x+'" tabindex="6" value="'+field5+'" size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask5" tabindex="17" value="1" '+checkbox5+'></div> </td><td></td><td class="editFont"> Field 10 </td><td width="147"><input class="field_text" type="text" name="field10" id="field10'+x+'" size="16"  tabindex="12" value="'+field10+'" style="width:118px;float:left;padding:0 22px 0 2px;" readonly="true" disabled="true"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask10" tabindex="23" value="1" '+checkbox10+'></div></td><td></td></tr><tr height="16"><td colspan="6"><img alt="loading indicator" class="loading-indicator" id="indicatorSaveEditType'+x+'" src="images/indicator.gif" style="display:none;margin-left:200px;"></td></tr></table><span class="mask_info">* Check a field as maskable.</span><input type="button" class="editDiscard" onclick="editTypeDiscard(\''+rowid+'\',\''+newId+'\')" tabindex="23" /><input class="editSubmit" name="commit" tabindex="22" type="button" onclick="saveEditType(\''+tId+'\')"></form>';
								//alert(rowid);
								document.getElementById(rowid).style.display="none";
								//document.getElementById(id).appendChild(oTD);
								
								return true;
									}
							 });
					}
				///Element.hide(createtypeIndicator);
			}
		});

}


//Function Name    : editType
//Description      : function to save the details of types onclick of edit type save changes button
//Input Parameters : typeid
//Output Parameters: None
//Return value     : None

function saveEditType(typeid)
{
	var field1id = "field1"+typeid;
	var field2id = "field2"+typeid;
	var field3id = "field3"+typeid;
	var field4id = "field4"+typeid;
	var field5id = "field5"+typeid;
	var field6id = "field6"+typeid;
	var field7id = "field7"+typeid;
	var field8id = "field8"+typeid;
	var field9id = "field9"+typeid;
	var field10id = "field10"+typeid;
	var typeNameid ="typename"+typeid;
	var imageid = "imgiconid"+typeid;

	var typeName = $(typeNameid).value;
	var icon 	= $(imageid).value;
	var field1 = $(field1id).value;
	var field2 = $(field2id).value;
	var field3 = $(field3id).value;
	var field4 = $(field4id).value;
	var field5 = $(field5id).value;
	var field6 = $(field6id).value;
	var field7 = $(field7id).value;
	var field8 = $(field8id).value;
	var field9 = $(field9id).value;
	var field10 =$(field10id).value;
	
	typeName = encodeURIComponent(typeName);
	field1 = encodeURIComponent(field1);
	field2 = encodeURIComponent(field2);
	field3 = encodeURIComponent(field3);
	field4 = encodeURIComponent(field4);
	field5 = encodeURIComponent(field5);
	field6 = encodeURIComponent(field6);
	field7 = encodeURIComponent(field7);
	field8 = encodeURIComponent(field8);
	field9 = encodeURIComponent(field9);
	field10 = encodeURIComponent(field10);
	
	var maskSum = 0;
	var mask1 = "mask"+typeid;
	var formid = "editTypeForm"+typeid;
	var formname = $(formid).mask1.length;

	if(($(formid).mask1[0].checked)){
		maskSum += 1;
	}
	if(($(formid).mask1[1].checked)){
		maskSum += 32;
	}
	if(($(formid).mask1[2].checked)){
		maskSum += 2;
	}
	if(($(formid).mask1[3].checked)){
		maskSum += 64;
	}
	if(($(formid).mask1[4].checked)){
		maskSum += 4;
	}
	if(($(formid).mask1[5].checked)){
		maskSum += 128;
	}
	if(($(formid).mask1[6].checked)){
		maskSum += 8;
	}
	if(($(formid).mask1[7].checked)){
		maskSum += 256;
	}
	if(($(formid).mask1[8].checked)){
		maskSum += 16;
	}
	if(($(formid).mask1[9].checked)){
		maskSum += 512;
	}
	//alert(maskSum);
	var parameters = "typeId="+typeid+"&typeName="+typeName+"&iconId="+icon+"&mask="+maskSum+"&field1="+field1+"&field2="+field2+"&field3="+field3+"&field4="+field4+"&field5="+field5+"&field6="+field6+"&field7="+field7+"&field8="+field8+"&field9="+field9+"&field10="+field10;
	//var indicatorId = "indicatorSaveEditType"+typeid;
	///Element.show(createtypeIndicator);
	var typeName1 = typeName.replace(/^\s+|\s+$/g, '');
	
	if(typeName1 === ""){
		
			var errMsg = "errMsg"+typeid;
			///Element.hide(createtypeIndicator);
			Element.show(errMsg);
	}else{
	new Ajax.Updater('user','../webservices/saveEditTypeDetails.php',
					 {
						asynchronous:true,
					 	evalScripts:true,
						postBody: parameters,
						requestHeaders: {Accept: 'application/json'},
						onSuccess:function(request){
							
							var details = request.responseText.evalJSON(true);
							var response = details.save;
							//alert(request.responseText);
							if(response == 1){
											var delRow = "newid"+typeid;
											var insRow = "tr"+typeid;
											
											GlobalVarRowId =0;
											GlobalVarNewId = 0;
											GlobalVarNewId2 = 0;
											var index = document.getElementById(delRow).rowIndex;
											var mytable=document.getElementById("tableId");
											mytable.deleteRow(index);
											document.getElementById(insRow).style.display="table-row";
											//Element.hide("tab_border");
											document.getElementById("tab_border").innerHTML="";
											var getT2 = getEditTypes();
											//test();
											//alert(details);
							}else{
											alert("Type already exists!");
							}		
						}
					 });
	}// else of if typeName

}

//Function Name    : editTypeDiscard
//Description      : function to descard the details of types onclick of edit type discard button
//Input Parameters : rowid,newid
//Output Parameters: None
//Return value     : None

function editTypeDiscard(rowid,newid)
{
	var id=rowid.split("tr");
	var x= id[1];
	//start indicator spinning
	//var indicatorId = "indicatorSaveEditType"+x;
	///Element.show(createtypeIndicator);
	GlobalVarRowId =0;
	GlobalVarNewId = 0;	
	GlobalVarNewId2 = 0;
	var index = document.getElementById(newid).rowIndex;
	var mytable=document.getElementById("tableId");
	mytable.deleteRow(index);
	//var d = document.getElementById(rowid).style.display;
	//Element.hide("tab_border");alert(22);
	//Element.show("tab_border");
	document.getElementById(rowid).style.display="table-row";
	///Element.hide(createtypeIndicator);
	
	
}

//Function Name    : editTypeDiscard
//Description      : function to display the new type fields types onclick of create new type
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function createNewType()
{
	//Element.show(createtypeIndicator);
	
	if((GlobalVarRowId != 0)&&(GlobalVarNewId != 0)){
		
		
		var index = document.getElementById(GlobalVarNewId).rowIndex;
		var mytable=document.getElementById("tableId");
		mytable.deleteRow(index);
		
		document.getElementById(GlobalVarRowId).style.display="table-row";
	}
	if(GlobalVarNewId2 != 0){
		
		
		var index2 = document.getElementById(GlobalVarNewId2).rowIndex;
		var mytable=document.getElementById("tableId");
		mytable.deleteRow(index2);
		
		//document.getElementById(GlobalVarRowId).style.display="table-row";
	}
	GlobalVarNewId = 0;
	GlobalVarRowId = 0;
	GlobalVarNewId2 = 0;
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var typepermissions = request.responseText.evalJSON(true);
							/*alert(request.responseText);*/
							
							permission=typepermissions.typepermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							typedelete=str.charAt(0);
							typeedit=str.charAt(1);
							typeadd=str.charAt(2);
							
							if(typeadd==0){
								//Element.hide(createtypeIndicator);
							alert("You don't have privilege to add type.");		
							
							}
							else{
									rowid= "emptyRow";
									var index1 = document.getElementById(rowid).rowIndex;
									
									var indexnext = index1+1;
								
									var mytable=document.getElementById("tableId");
									var newrow=mytable.insertRow(indexnext) ;
									//------spinning indicator-----//
									//var indicatorId = "createtypeIndicator";
									//Element.show(indicatorId);
									
									//---random id generation----------//
									var chars='ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
									var randno='';
									var length = 16;
									for(r=0; r< length;r++)
									{
										var i = Math.floor(Math.random() * 36);
										randno += chars.charAt(i);
									}
									//----------------------------------//  
									var newId = "newid"+randno;
									GlobalVarNewId2 =newId; 
									newrow.setAttribute('id',newId);
									//newrow.setAttribute('style','padding-left:5px;');
									var ocell=newrow.insertCell(0);
									ocell.setAttribute('colSpan','4');
									
									var x = randno;
									var iconid = "iconid"+x;
									var loadingid = "indicator"+x;
									var maskname = "mask2";
									var imageid = "image"+x;
									var typenameid = "typename"+x;
									ocell.setAttribute('style','background-color: rgb(246, 246, 246)');
								
								ocell.innerHTML ='<form name="createTypeForm'+x+'" id="createTypeForm'+x+'" action=""><span class="mainheader" style="margin-left:10px;text-align:left;">New Type<br/></span><span class="subheader" style="margin-left:10px;">Please enter field names and details.</span><input type="hidden" id="img'+iconid+'" name="imageId" value="1"><div id="errMsg'+x+'" class="errorMessage" style="display:none;" >You must supply a name for this Type!<a href="#" onclick="Element.remove(this.parentNode); return false;">Close</a></div><table width="455" border="0" cellspacing="0" cellpadding="0" style="margin-left:5px;"><tr><td width="50" height="58" class="editFont">Type Name</td><td width="148"><input name="'+typenameid+'" type="text" class="field_text" id="'+typenameid+'" tabindex="1" value="" size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ></td><td align="center" colspan="4"><img alt="Select Image" id="'+iconid+'" onclick="selectImgEditType(\''+iconid+'\');" ondblclick="" src="images/HighIcons/high1.png" style="cursor:pointer;" title="Select Image"></td></tr><tr><td height="36" class="editFont"> Field 1 </td><td width="148"><input name="field1" type="text" class="field_text" id="field1'+x+'" tabindex="2" value="field 1" size="16" style="width:118px;float:left;padding:0 22px 0 2px;"><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask1" tabindex="13" value="1" ></div> </td><td width="34"></td><td width="51" class="editFont"> Field 6 </td><td width="147"><input class="field_text" type="text" name="field6" id="field6'+x+'" size="16"  tabindex="8" value="field 6" style="width:118px; float:left;padding:0 22px 0 2px;" > <div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask6" tabindex="19" value="1"></div> </td><td width="25"></td></tr><tr><td height="36" class="editFont"> Field 2 </td><td width="148"><input class="field_text" type="text" name="field2" id="field2'+x+'" size="16"  tabindex="3" value="field 2" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask2" tabindex="14" value="1" ></div> </td><td></td><td class="editFont"> Field 7 </td><td width="147"><input name="field7" type="text" class="field_text" id="field7'+x+'" tabindex="9" value="field 7" size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask7" tabindex="20" value="1"></div> </td><td></td></tr><tr><td height="36" class="editFont"> Field 3 </td><td width="148"><input name="field3" type="text" class="field_text" id="field3'+x+'" tabindex="4" value="field 3"  size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask3" tabindex="15" value="1"></div> </td><td></td><td class="editFont"> Field 8 </td><td width="147"><input name="field8" type="text" class="field_text" id="field8'+x+'" tabindex="10" value="field 8" size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask8" tabindex="21" value="1"></div> </td><td></td></tr><tr><td height="36" class="editFont"> Field 4</td><td width="148"><input name="field4" type="text" class="field_text" id="field4'+x+'" tabindex="5" value="field 4" size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask4" tabindex="16" value="1"></div> </td><td></td><td class="editFont"> Field 9 </td><td width="147"><input name="field9" type="text" class="field_text" id="field9'+x+'" tabindex="11" value="field 9" size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask9" tabindex="22" value="1"></div> </td><td></td></tr><tr><td height="36" class="editFont"> Field 5 </td><td width="148"><input name="field5" type="text" class="field_text" id="field5'+x+'" tabindex="6" value="field 5" size="16" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask5" tabindex="17" value="1"></div> </td><td></td><td class="editFont"> Field 10 </td><td width="147"><input class="field_text" type="text" name="field10" id="field10'+x+'" size="16"  tabindex="12" value="DateMod" readonly="true"  disabled="true" style="width:118px;float:left;padding:0 22px 0 2px;" ><div style="margin:-21px 3px 0 0;float:right;"><input name="'+maskname+'" type="checkbox" class="maskit" id="mask10" tabindex="23" value="1"></div></td><td></td></tr><tr height="16"><td colspan="6"><img alt="loading indicator" class="loading-indicator" id="indicatorSaveCreateType'+randno+'" src="images/indicator.gif" style="display:none;margin-left:200px;"></td></tr></table><span class="mask_info">* Check a field as maskable.</span><input type="button" class="editDiscard" onclick="createTypeDiscard(\''+newId+'\')" tabindex="23"/><input class="editSubmit" name="commit" tabindex="22" type="button" onclick="saveCreateType(\''+randno+'\')"></form>';
								
								
								document.getElementById("tab_border").scrollTop="0px";
								//Element.hide(createtypeIndicator);
								return true;
						}
					
				}
		});
	
}

//Function Name    : editTypeDiscard
//Description      : function to save the data in fields onclick of create type save changes button
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function saveCreateType(typeid)
{
	
	var field1id = "field1"+typeid;
	var field2id = "field2"+typeid;
	var field3id = "field3"+typeid;
	var field4id = "field4"+typeid;
	var field5id = "field5"+typeid;
	var field6id = "field6"+typeid;
	var field7id = "field7"+typeid;
	var field8id = "field8"+typeid;
	var field9id = "field9"+typeid;
	var field10id = "field10"+typeid;
	var typeNameid ="typename"+typeid;
	var imageid = "imgiconid"+typeid;

	var typeName = $(typeNameid).value;
	var icon 	= $(imageid).value;
	var field1 = $(field1id).value;
	var field2 = $(field2id).value;
	var field3 = $(field3id).value;
	var field4 = $(field4id).value;
	var field5 = $(field5id).value;
	var field6 = $(field6id).value;
	var field7 = $(field7id).value;
	var field8 = $(field8id).value;
	var field9 = $(field9id).value;
	var field10 =$(field10id).value;
	
	typeName = encodeURIComponent(typeName);
	field1 = encodeURIComponent(field1);
	field2 = encodeURIComponent(field2);
	field3 = encodeURIComponent(field3);
	field4 = encodeURIComponent(field4);
	field5 = encodeURIComponent(field5);
	field6 = encodeURIComponent(field6);
	field7 = encodeURIComponent(field7);
	field8 = encodeURIComponent(field8);
	field9 = encodeURIComponent(field9);
	field10 = encodeURIComponent(field10);
	
	var maskSum = 0;
	//var mask1 = "mask"+typeid;
	var formid = "createTypeForm"+typeid;
	var formname = $(formid).mask2.length;

	if(($(formid).mask2[0].checked)){
		maskSum += 1;
	}
	if(($(formid).mask2[1].checked)){
		maskSum += 32;
	}
	if(($(formid).mask2[2].checked)){
		maskSum += 2;
	}
	if(($(formid).mask2[3].checked)){
		maskSum += 64;
	}
	if(($(formid).mask2[4].checked)){
		maskSum += 4;
	}
	if(($(formid).mask2[5].checked)){
		maskSum += 128;
	}
	if(($(formid).mask2[6].checked)){
		maskSum += 8;
	}
	if(($(formid).mask2[7].checked)){
		maskSum += 256;
	}
	if(($(formid).mask2[8].checked)){
		maskSum += 16;
	}
	if(($(formid).mask2[9].checked)){
		maskSum += 512;
	}
	
	var parameters = "typeId="+typeid+"&typeName="+typeName+"&iconId="+icon+"&mask="+maskSum+"&field1="+field1+"&field2="+field2+"&field3="+field3+"&field4="+field4+"&field5="+field5+"&field6="+field6+"&field7="+field7+"&field8="+field8+"&field9="+field9+"&field10="+field10;
	//var indicatorId = "indicatorSaveCreateType"+typeid;
	//Element.show(createtypeIndicator);
	var typeName1 = typeName.replace(/^\s+|\s+$/g, '');
	
	if(typeName1 === ""){
		
			var errMsg = "errMsg"+typeid;
			///Element.hide(createtypeIndicator);
			Element.show(errMsg);
	}else{
		
			new Ajax.Updater('user','../webservices/saveCreateTypeDetails.php',
							 {
								asynchronous:true,
								evalScripts:true,
								postBody: parameters,
								requestHeaders: {Accept: 'application/json'},
								onSuccess:function(request){
									var details = request.responseText.evalJSON(true);
									var response = details.save;
									if(response == 1){
											var remRow = "newid"+typeid;
											var index = document.getElementById(remRow).rowIndex;
											var mytable=document.getElementById("tableId");
											mytable.deleteRow(index);
											document.getElementById("tab_border").innerHTML="";
											GlobalVarRowId =0;
											GlobalVarNewId = 0;
											GlobalVarNewId2 = 0;
											var getT3 = getEditTypes();
											///Element.hide(createtypeIndicator);
									}else{
										alert("Type already exists!");
									}
									
								}
							 });
	}//end else not empty
}



//Function Name    : createTypeDiscard
//Description      : function to discard data in fields onclick of create type discard button 
//Input Parameters : newid-the type id to be discarded
//Output Parameters: None
//Return value     : None

function createTypeDiscard(newid)
{
	
	///Element.show(createtypeIndicator);
	var id=newid.split("newid");
	var x= id[1];
	
	GlobalVarRowId =0;
	GlobalVarNewId = 0;
	GlobalVarNewId2 = 0;
	var index = document.getElementById(newid).rowIndex;
	var mytable=document.getElementById("tableId");
	mytable.deleteRow(index);
	
	///Element.hide(createtypeIndicator);
}


//Function Name    : deleteType
//Description      : function to delete the type onclick of delete type button
//Input Parameters : newid-the type id to be deleted
//Output Parameters: None
//Return value     : None

function deleteType(idtype)
{
	//alert(idtype);
	//alert(createtypeIndicator);
//Element.show(createtypeIndicator);
	
	new Ajax.Updater('user','../webservices/checkPermissions.php',
				 		{
							 asynchronous:true, 	
							 evalScripts:true,
							
							 requestHeaders: {Accept: 'application/json'},
						 
							onSuccess:function(request){	
							var typepermissions = request.responseText.evalJSON(true);
							/*alert(request.responseText);*/
							
							permission=typepermissions.typepermission;
							
							permission=parseInt(permission);
							var i=0;
							var bin=permission.toString(2);
							var str='';
							var len=bin.length;
							var append=3-len;
							for(i=0;i<append;i++){
								str+=0;
							}
							str+=bin;
							typedelete=str.charAt(0);
							typeedit=str.charAt(1);
							typeadd=str.charAt(2);
							
							if(typedelete==0){
								///Element.hide(createtypeIndicator);
								alert("You don't have privilege to delete type.");		
							
							}
							else{
								var delConfirm =confirm('Deleting a Type will cause all entries with that type to be deleted.\nAre you sure you want to do this?');	
								if(delConfirm){
									var tid=idtype.split("td");
									var id = tid[1];
									
									//var delIndicator = "indicator"+id;
									
									delParam = "typeId="+id;
									//Element.show(delIndicator);
									
									new Ajax.Updater('user','../webservices/deleteType.php',
														 {
															asynchronous:true,
															evalScripts:true,
															postBody: delParam,
															requestHeaders: {Accept: 'application/json'},
															onSuccess:function(request){
																//var details = request.responseText.evalJSON(true);
																//alert(request.responseText);
																//Element.hide(delIndicator);
																document.getElementById("tab_border").innerHTML="";
																var getT4 = getEditTypes();
																
															}
							 						});
									}
									///Element.hide(createtypeIndicator);
							}
						}
								
	});
}
//-------------------------------end Edit Types and create new Type------------------------------------//