//
// 	toolsExportModal.js
//  Phantom
//  Created by Ranjana Paleppady on 8/04/11.
//  Copyright  2011, SplashData 
//	Written under contract by Robosoft Technologies Pvt. Ltd.
//


//--------------on click of export button --------------//
//Function Name    : exportVid
//Description      : check whether the record is selected and password- confirm password are same
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function exportVid()
{

	var password = $("fileExport").value;
	var confirmPass  = $("confirmFileExport").value;
	if(password != confirmPass){
		flag= false;
		alert("Your password does not match the confirm password!");
		return false;
	}else{
		dataEncryption();
		return true;
	}
							 
}
//--------------on click of export button error message if confirm password != password--------------//
//Function Name    : noConfirmPassword
//Description      : open wrong confirm password error message modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function noConfirmPassword()
{
		openDHTMLWindow("", filePath+'noConfirmPassword.php', 300,100, "noconfirm");
		
}

//--------------on click of export button error message if no record is selected --------------//
//Function Name    : noExport
//Description      : open no record selected error message modal window
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function noExport()
{
		openDHTMLWindow("", filePath+'noExport.php', 300,100, "noexport");
		
}

//global variables
newExportWindow = false;
newImportWindow = false;

//Function Name    : openExportWindow
//Description      : open export window
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function openExportWindow()
{
	var a = attachmentBtn;
	var r = radioBtn;
	//alert(r);
	newExportWindow = window.open('downloadwindow.php?a='+a+"&r="+r ,'mywin','left=300, top=250, width=480, height=330, location=no, menubar=no,scrollbars=no,toolbar=no,resizable=no,copyhistory=no');
	if(!newExportWindow)
	{
		alert("Please uncheck Block pop-up windows checkbox.");
	}
}

//Function Name    : exportData
//Description      : get export record details
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function exportData()
{
	
	rBtn= $('radioBtn').value;
	aBtn= $('attachmentBtn').value;
	var param = 'recid='+GlobalVarRecordId+'&catid='+GlobalVarCatId+'&radioBtn='+rBtn;
	new Ajax.Updater('user','../webservices/getExportRecords.php',
						  {
							 asynchronous:true, 	
							 evalScripts:true,
							 postBody:param,
							 requestHeaders: {Accept: 'application/json'},
							 onSuccess:function(request){	
								var recorddetails = request.responseText.evalJSON(true);
								//alert(request.responseText);
								numRows = recorddetails.numRows;
								fieldExportArray = new Array();
								
							
								
								var j =0;
								for( j=0; j< numRows ;j++){
									
									fieldExportArray[j] = new Array();
									fieldExportArray[j]['RECORDID']    	=recorddetails.fieldArray[j].RECORDID;						
									fieldExportArray[j]['TYPEUID']     	=recorddetails.fieldArray[j].TYPEUID;
									fieldExportArray[j]['GROUPUID']    	=recorddetails.fieldArray[j].GROUPUID;
									fieldExportArray[j]['CUSTOMFIELD'] 	=recorddetails.fieldArray[j].CUSTOMFIELD;
									fieldExportArray[j]['ATTACHMENT']  	=recorddetails.fieldArray[j].ATTACHMENT;
									fieldExportArray[j]['FIELD1VALUE'] 	=recorddetails.fieldArray[j].FIELD1VALUE;
									fieldExportArray[j]['FIELD2VALUE'] 	=recorddetails.fieldArray[j].FIELD2VALUE;
									fieldExportArray[j]['FIELD3VALUE'] 	=recorddetails.fieldArray[j].FIELD3VALUE;
									fieldExportArray[j]['FIELD4VALUE'] 	=recorddetails.fieldArray[j].FIELD4VALUE;
									fieldExportArray[j]['FIELD5VALUE'] 	=recorddetails.fieldArray[j].FIELD5VALUE;
									fieldExportArray[j]['FIELD6VALUE'] 	=recorddetails.fieldArray[j].FIELD6VALUE;
									fieldExportArray[j]['FIELD7VALUE'] 	=recorddetails.fieldArray[j].FIELD7VALUE;
									fieldExportArray[j]['FIELD8VALUE'] 	=recorddetails.fieldArray[j].FIELD8VALUE;
									fieldExportArray[j]['FIELD9VALUE'] 	=recorddetails.fieldArray[j].FIELD9VALUE;
									fieldExportArray[j]['FIELD10VALUE']	=recorddetails.fieldArray[j].FIELD10VALUE;
									fieldExportArray[j]['NOTESVALUE']  	=recorddetails.fieldArray[j].NOTESVALUE;	
									fieldExportArray[j]['FIELD1']		=recorddetails.fieldArray[j].FIELD1;
									fieldExportArray[j]['FIELD2']		=recorddetails.fieldArray[j].FIELD2;
									fieldExportArray[j]['FIELD3']		=recorddetails.fieldArray[j].FIELD3;
									fieldExportArray[j]['FIELD4']		=recorddetails.fieldArray[j].FIELD4;
									fieldExportArray[j]['FIELD5']		=recorddetails.fieldArray[j].FIELD5;
									fieldExportArray[j]['FIELD6']		=recorddetails.fieldArray[j].FIELD6;
									fieldExportArray[j]['FIELD7']		=recorddetails.fieldArray[j].FIELD7;
									fieldExportArray[j]['FIELD8']		=recorddetails.fieldArray[j].FIELD8;
									fieldExportArray[j]['FIELD9']		=recorddetails.fieldArray[j].FIELD9;
									fieldExportArray[j]['FIELD10']		=recorddetails.fieldArray[j].FIELD10;
									fieldExportArray[j]['ICONID'] 		=recorddetails.fieldArray[j].ICONID;
									fieldExportArray[j]['MASKS']  		=recorddetails.fieldArray[j].MASKS;
									fieldExportArray[j]['TYPENAME']		=recorddetails.fieldArray[j].TYPENAME;
									fieldExportArray[j]['TYPEFIELD1']	=recorddetails.fieldArray[j].TYPEFIELD1;
									fieldExportArray[j]['TYPEFIELD2']	=recorddetails.fieldArray[j].TYPEFIELD2;
									fieldExportArray[j]['TYPEFIELD3']	=recorddetails.fieldArray[j].TYPEFIELD3;
									fieldExportArray[j]['TYPEFIELD4']	=recorddetails.fieldArray[j].TYPEFIELD4;
									fieldExportArray[j]['TYPEFIELD5']	=recorddetails.fieldArray[j].TYPEFIELD5;
									fieldExportArray[j]['TYPEFIELD6']	=recorddetails.fieldArray[j].TYPEFIELD6;
									fieldExportArray[j]['TYPEFIELD7']	=recorddetails.fieldArray[j].TYPEFIELD7;
									fieldExportArray[j]['TYPEFIELD8']	=recorddetails.fieldArray[j].TYPEFIELD8;
									fieldExportArray[j]['TYPEFIELD9']	=recorddetails.fieldArray[j].TYPEFIELD9;
									fieldExportArray[j]['TYPEFIELD10']	=recorddetails.fieldArray[j].TYPEFIELD10;
									fieldExportArray[j]['TYPEICONID']	=recorddetails.fieldArray[j].TYPEICONID;
									fieldExportArray[j]['TYPEMASKS']	=recorddetails.fieldArray[j].TYPEMASKS;
									fieldExportArray[j]['GROUPNAME']	=recorddetails.fieldArray[j].GROUPNAME;
	
									hasattachment = fieldExportArray[j]['ATTACHMENT'];
									
									if(hasattachment == 1){
									fieldExportArray[j]['ATTACHMENTNAME']=recorddetails.fieldArray[j].ATTACHMENTNAME;
									fieldExportArray[j]['ATTACHMENTKEY']=recorddetails.fieldArray[j].ATTACHMENTKEY;
									}else{
									fieldExportArray[j]['ATTACHMENTNAME']="";
									fieldExportArray[j]['ATTACHMENTKEY']="";
									}
								}
							return true;
							}
						 });
}

//Function Name    : removeChar
//Description      : remove NULL chars
//Input Parameters : None
//Output Parameters: None
//Return value     : None
function removeChar(s)
{
											
	var r=s.length -1;
	while(r > 0 && s[r] == '\0')
	{	r-=1;	}
	return s.substring(0, r+1);
}


//Function Name    : dataEncryption
//Description      : blowfish encryption is done if password is set
//Input Parameters : None
//Output Parameters: None
//Return value     : None

function dataEncryption()
{
	passwordGbl = '';
	var password1 = $("fileExport").value;
	password = removeChar(password1);
	passwordGbl = password;
	$('password').value = password1;
	var len = password.length;
	
	//var endcount = 10;
	if(password != ''){
		bf = new Blowfish(password);
		enc= bf.encrypt("Copyright (c) 2001-02 by SplashData, Inc");
		$("password").value=enc;
		
		
		var space = "\0";
		spacecipher = bf.encrypt(space);
		
	}
	
	
	//alert(fieldvalueArray);
	var encTypeArray = new Array();
	var encFieldArray = new Array();
	var attachmentArray = new Array();
	//var encRecFieldValueArray = new Array();
		
	
	
	
	typeExportArray = new Array();
	var j =0;
	var k =0;
	var r =0;
	var s =0;
	var t =0;
	var l =0;
	var m =0;
	var atch =0;
	var paramType= '';
	var paramField= '';
	countTypeArray = 0;
	fields='';
	var hasAttach='';
	//alert(numRows);
	for(j =0;j<numRows;j++){
			//alert("in for loop "+j);
			
			type = fieldExportArray[j]['TYPEUID'];
			flag = 0;
			countTypeArray = typeExportArray.length;
			for(k =0;k<countTypeArray;k++){
				if(typeExportArray[k] == type){
					//alert(type);
					flag = 1;
					break
				}
			}
			//alert("flag="+flag);
			if(flag == 0){	
					//alert("t="+t);
					r =t;
					s =0;
					typeExportArray[t] 	=fieldExportArray[j]['TYPEUID'];
					//alert("typeArr2="+typeExportArray);
					
					l =0 ;
					
					encTypeArray[l]=fieldExportArray[j]['TYPEICONID'];l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPENAME']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD1']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD2']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD3']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD4']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD5']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD6']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD7']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD8']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD9']);l++;
					encTypeArray[l]=encryption(fieldExportArray[j]['TYPEFIELD10']);l++;
					encTypeArray[l]=fieldExportArray[j]['TYPEMASKS'];l++;
					
					fields += "T,"+encTypeArray+",\r\n";
					//paramType += "type"+r+"="+encodeURIComponent(encTypeArray)+"&";
					//alert(paramType);
					t++;
					
			}
			//alert("r="+r);
			//alert("s="+s);
			
			m = 0;
			encFieldArray[m] =fieldExportArray[j]['ICONID'];						m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD1VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD2VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD3VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD4VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD5VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD6VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD7VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD8VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD9VALUE']);		m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD10VALUE']);		m++;
			
			//alert(aBtn);
			if(aBtn == 1){
				encFieldArray[m]=encryption(fieldExportArray[j]['ATTACHMENTNAME']);	m++;
				encFieldArray[m]=encryption(fieldExportArray[j]['ATTACHMENTKEY']);	m++;
				encFieldArray[m]=encryption(fieldExportArray[j]['RECORDID']);		m++;
				hasAttach = fieldExportArray[j]['ATTACHMENT'] ;
				if(hasAttach == 1){
					attachmentArray[atch] = fieldExportArray[j]['RECORDID']; atch++;
				}
				
			}
			encFieldArray[m] =fieldExportArray[j]['MASKS']	;						m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD1']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD2']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD3']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD4']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD5']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD6']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD7']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD8']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD9']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['FIELD10']);			m++;
			encFieldArray[m] =encryption(fieldExportArray[j]['GROUPNAME']); 		m++;
			if(fieldExportArray[j]['NOTESVALUE'] != ''){
			encFieldArray[m] =encryption(fieldExportArray[j]['NOTESVALUE']);		m++;
			}
			//alert("encFieldArray"+encFieldArray);
			fields += "F,"+encFieldArray+",\r\n";
			//paramField += "fieldData"+r+"of"+s+"="+encodeURIComponent(encFieldArray)+"&";
			//alert(paramField);
			s++;
			
			
			//alert(s);
		
		}
	fields = encodeURIComponent(fields);	
	
	$("attachmentdata").value 	= attachmentArray;
	$("fielddata").value		= fields;
	$("fielddata").readonly		= true;
	$("attachmentdata").readonly= true;
	$("password").readonly		= true;
	
	return true;
}
function encryption(toEncode){
		var password = passwordGbl;
		
		ciphertext = '';
		if(password == ""){
					var str1 = toEncode;
					var str2 = toEncode;
					var str3 = '';
					var searchIndexComma = str1.search(/,/);
					if(searchIndexComma == -1){
						var flag =0;
					}else{
						var flag =1;
					}
					
					var searchIndexDblQuote = str1.search(/"/);
					if(searchIndexDblQuote == -1){
						var flagDQ =0;
					}else{
						var flagDQ =1;
					}
					
					var enterFlag = 0;
					if(flagDQ)
					{
														
						var length = str2.length;
						var j =0;
						var x =0;
						var r ="";
						while(j<length)	{
							var checkString = str2.charAt(j);
							
							if(checkString == '"'){
								
								str3 += '"';
								str3 += str2.charAt(j);
								j++;
							}else{
								
								str3 += str2.charAt(j);
								x++;
								j++;
								
							}
													
						}
						str3 ='"'+str3+'"';
						enterFlag =1;
						
					}
					if((flag)&&(flagDQ != 1)){
						str3 ='"'+str1+'"';
						enterFlag = 1;
						
					}
					
					if(enterFlag == 0){
						returnData = toEncode;
					}else{
						returnData = str3;
					}
					//alert(returnData);						
					
		}else{ //if password is set	
			ciphertext = bf.encrypt(toEncode);
			returnData = ciphertext+spacecipher;
			
		}
		
		return returnData;
		
	}

function onClickRadioBtn(radioObj)
{
	radioBtn ='';
	if(!radioObj)
		radioBtn = "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			radioBtn = radioObj.value;
		else
			radioBtn = "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			radioBtn = radioObj[i].value;
		}
	}
	
	showExportAttachment(radioBtn);
}
function getCheckedValue(radioObj) {
	
	
	
	radioBtn ='';
	if(!radioObj)
		radioBtn = "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			radioBtn = radioObj.value;
		else
			radioBtn = "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			radioBtn = radioObj[i].value;
		}
	}	
	attachmentBtn = '' ;
	var checkBoxSelected = $('exportchkbx').checked;
	var checkbxstyle = $('chkbox').style.display;
	
	if((checkBoxSelected)&&(checkbxstyle == 'block')){
			attachmentBtn = 1;
	}else{
			attachmentBtn = 0;
	}
	var flg = 1;
	
	//showExportAttachment(radioBtn);
	if(radioBtn == '3'){
		//alert(recordExists);
		
		if(GlobalVarRecordId == 0){
			flg = 0;
			noExport();
		}
	}
	//alert(attachmentBtn);
	if(flg == 1){
		openExportWindow();
	}
	
}

function showExportAttachment(rBtn)
{

//alert(GlobalVarRecordId);
//alert(GlobalVarCatId);
var param = 'recid='+GlobalVarRecordId+'&catid='+GlobalVarCatId+'&radioBtn='+rBtn;
	new Ajax.Updater('user','../webservices/checkAttachmentExists.php',
						  {
							 asynchronous:true, 	
							 evalScripts:true,
							 postBody:param,
							 requestHeaders: {Accept: 'application/json'},
							 onSuccess:function(request){											
										var recorddetails = request.responseText.evalJSON(true);
										//alert(request.responseText);
										hasattachment= recorddetails.hasattachment;
																			
										
										if(hasattachment == 1)
										{
											$('chkbox').style.display ="block";
											$('exportchkbx').disabled = false;
										}else
										{
											$('chkbox').style.display ="none";
											$('exportchkbx').disabled = true;
										}
										
								
										
										return true;
							}
						 });
}